2011-02-15  Petr Mladek  <pmladek@suse.cz>  [a2948caa8c99a1b5dd76402e79c5b1e2b31b3e7b]

Version 3.3.1.2, tag libreoffice-3.3.1.2 (3.3.1-rc2)


2011-02-08  Petr Mladek  <pmladek@suse.cz>  [0038bc6128921ad380912b18634212681578abfd]

Version 3.3.1.1, tag libreoffice-3.3.1.1 (3.3.1-rc1)


2011-02-08  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [d7771bc638587e49ea7225312933c73cfc041439]

lp#696527: enable human icon theme in LibreOffice (cherry picked from commit cfa7e88f5959a8b3b729107d61351410be80f49b)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>
(cherry picked from commit c1d45fdb7f6380a0e6640a336cd790027e903b4f)

Signed-off-by: Cedric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-02-07  Jan Holesovsky  <kendy@suse.cz>  [474fbc4e896114f138061af9002b88cd675c8f01]

Branch libreoffice-3-3-1

This is 'libreoffice-3-3-1' - the stable branch for the 3.3.1 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-02-06  Petr Mladek  <pmladek@suse.cz>  [94a2ea07194893531b93b78c2903d96bbc5526ce]

add Ukrainian also into packinfo_office.txt


2011-02-06  Petr Mladek  <pmladek@suse.cz>  [e6e8d8ebbe2ef54704a467cf4930494fdf3be6ff]

add Occitan also into packinfo_office.txt

build fails witout it

2011-02-05  Thorsten Behrens  <tbehrens@novell.com>  [7754d67735a8e698d2b7106cae4c6e35eaf3b75b]

New mimetype icons for LibreOffice

Update from design team, source svg is
http://wiki.documentfoundation.org/cgi_img_auth.php/d/d4/LibreOffice_Initial_Icons-pre_final.svg

2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [adbc618d68569d5b63d1ec87c5d7a9d7f5ba5761]

Resolves: rhbz#673819 crash on changing position of drawing object in header

The header/footer objects are cunning wrappers to pretend to some parts
of the drawing stuff that there are multiple objects, while in reality
there is only one. So call HasText actually gets a totally different
object from the cast :-(

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Rene Engelhard  <rene@debian.org>  [13519789cd6c9f86067251c5566f29a96bdaac44]

another s/OpenOffice.org/LibreOffice/ in nsplugin


2011-02-01  Andras Timar  <timar@fsf.hu>  [c0c2964c3ad1a42a5cd3548b9fcdd1c256c077bf]

Added Occitan dictionary


2011-02-01  Andras Timar  <timar@fsf.hu>  [eacd19b0e2eeba91aa1b2387d93e99996c0efae2]

Added Ukrainian dictionaries


2011-02-01  Tor Lillqvist  <tlillqvist@novell.com>  [ecf859006048314ef1c4a4202a642e74a443ebce]

Fix overflow problem in the custom action for UI language de-selection

In the _all_ installer we have slightly over 100 LibreOffice UI
languages. The code in the custom action that de-selects UI languages
based on the Windows UI language(s) and the user's locale had a limit
of 100.

The consequence was that a few of the alphabetically last LibreOffice
UI languages: Ukrainan, Urdu, Uzbek, Venda and Xhosa, were not
de-selected even if none of those languages was used by the user or
Windows, and thus got installed in a "quick" install and also in a
"custom" install unless the person running the installer noticed.

Reported by aseques_ on IRC, no bug filed yet.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-01-26  Thorsten Behrens  <tbehrens@novell.com>  [a73c1cff1b27dbef84f0d85d594f9628bb48a827]

Revert "Initial LibO mimetype icon design"

This reverts commit bf7cc5f6751d566bccb45b09fb15f82e56fe3333.

2011-01-26  Alexander Thurgood  <alex.thurgood@gmail.com>  [88a6c07dc231ed3508ffe81ec624a753f4c49e75]

Fix window focus for langpack installation on Mac fdo# 33056

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-20  Thorsten Behrens  <tbehrens@novell.com>  [bf7cc5f6751d566bccb45b09fb15f82e56fe3333]

Initial LibO mimetype icon design

As per http://luxate.blogspot.com/2011/01/libreoffice-initial-icons-milestone.html
updating the LibO mimetype and app icons (and the installer icon, for coherence).

2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [f7d7948cbe9e38e2e219f6024c0add130a5f6480]

Remove pesky on-line registration menu entry. (fdo#33112)


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [3097feb2f56b19a1b10b167f5c5869e2c7920be9]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [1b83f908126d09ef6e0015eb531bbd8c4cf57034]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [ccb6459c4e16693c8416a5ac21269491f539f1a8]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-09  Rene Engelhard  <rene@debian.org>  [53f53717db2106313507d9c4c9d222d5c0b18179]

fix nsplugin for LibreOffice name

- OpenOffice path -> LibreOffice path
- only split "LibreOffice path [...] out with OSL_DEBUG_LEVEL > 0

Signed-off-by: Caolan McNamara <caolanm@redhat.com>

2011-01-07  Petr Mladek  <pmladek@suse.cz>  [46bf8d4d5e0e45ce632330289516db4af4729d33]

Micro optimization of the last commit

nBufSize was set by aBuffer.getLength() and had not been used in the end

2011-01-07  Petr Mladek  <pmladek@suse.cz>  [f2d22b6bb9c7cbd7573f23b116c2082224b4f0fd]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [2aa1dc9a47787f2e499a22c901a52939e77a27bc]

CWS-TOOLING: integrate CWS impress208


2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [30321960a424fb71d51172cbbc017998b92388d3]

Make the Reset help agent button wider for Italian text. (fdo#32133)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [6b281dac164c8f71b987bdb6f79e25b6c522064a]

Fixed layout breakage for KDE, X11 and (possibly) Mac. (fdo#32133)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-05  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [2c230853f4941b87edc438a6ac0021d1f16730b0]

impress208: #i115944# fixing large ooxml files


2011-01-03  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [3e36a47e3877299b34e7e7677f9ca2c4510f1e0a]

impress208: #i115944# fixing large ooxml files


2010-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f60707e1a236177548f2351d4d84da35d144b45a]

adding copyright owner to Croatian dictionary package


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [b67926ba6bd659390b18351cf0795198ea7cdfd0]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-17  Petr Mladek  <pmladek@suse.cz>  [5de9a4a1aef05c2510b4d9e966fb56743f6abb98]

fix langpack dependencies after move to helppack

draw, impress langapckages does not lonegr exist; they included
just help

help package is optional, so there should not be hard dependency

2010-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [62ec5368d43ae47500921b43571ebede8ac0422e]

put helppack packinfo in a separate file


2010-12-14  Michael Meeks  <michael.meeks@novell.com>  [70b0313d28bda1b3c594809eba15c7369a2484ec]

Use BrOffice branding on Windows keyed to locale/country-code not exename


2010-12-07  Kohei Yoshida  <kyoshida@novell.com>  [9a14ab77f2437812c48f7c221f18a4f3d2ed8271]

Put the ODMA dialog check box on its own row.

* Put the ODMA dialog check box on its own row, and push everything
  downward to make some room.

* Remove the Help Formatting controls to make more room. Without this
  the enable experimental check box would go outside the visible area
  on Mac.

This fixes fdo#32133.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [76debb82e9bf4c520febb86f5390052e4b8a545e]

Make the ODMA check box clickable again. (fdo#32132)


2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [a8fc429c6f0a19d7bf8e7aee2a9614498dd89c95]

Make 'Reset help agent' button clickable again. (fdo#32132)


2010-12-01  Kohei Yoshida  <kyoshida@novell.com>  [117ea10a00ab0dad44c6968ddd5c04e2325d083d]

Fixed the sizes of Tips and Extended tips check boxes.

The Tips check box control was too wide and it was overlapping with
the Extended tips check box, which prevented it from being clickable.
(fdo#32028)

2010-12-01  Petr Mladek  <pmladek@suse.cz>  [5a392ae6dca41d9bd32eb874d32aee16c649649b]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-30  Michael Meeks  <michael.meeks@novell.com>  [7f88095c37714f83261adb1992368bcf182813de]

first pass at BrOffice artwork branding


2010-11-30  Kalman Szalai - KAMI  <kami911@gmail.com>  [5c39508219d79f84289f6e79ac72a618274da0ef]

Adds OxygenOffice extras as configurable optional

 Introduces:
 --enable-extra-gallery  - for additional galleries
 --enable-extra-template - for additional templates
 --enable-extra-sample   - for additional samples
 --enable-extra-font     - for additional fonts
 configure options.

2010-11-30  Thorsten Behrens  <tbehrens@novell.com>  [6fad93e9b6c856c24befa88f17a30def9f304022]

Updated artwork for rc


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [bcdaee3492ff5449ca567abf001d4df4be012a2d]

Resolves: rhbz#657628# divide by zero (cherry picked from commit cde18c8978d2c680dbee88159246024960cdc705)


2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [d707ff8a7e63b1821b65b0ff8681021a47419658]

Put show credits entry into all app ui configs


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [9b4ade0c0b740726ff5ede70021b0e68700327c5]

Resolves: rhbz#656191 Catch bad alloc and convert to ZipIOException (cherry picked from commit 047a986e3af855cdb4c27274da5a10fb5da37fb6)


2010-11-23  Petr Mladek  <pmladek@suse.cz>  [0fc8da254b882907c252478f6ad0b2bee6a968af]

show the control geometric propertis correctly (bnc#610921)

fix by Noel

2010-11-23  Petr Mladek  <pmladek@suse.cz>  [26767cad1deb335b31bb21f9f8e4e1cd86701e7b]

show the really used default icon theme in options (bnc#603169)

check also the icon theme prefered by the native widget plugin

backport from ooo-build-3-2-1

2010-11-20  Andras Timar  <timar@fsf.hu>  [9f7852a1b7182060f77210d70a6fd46f7a0d949c]

fixing overlapping controls


2010-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba63fa12edcf6ad30f86f9d16a61806631b08cf3]

Add "ti" without sublang into the encoding list


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [352052e41e42815345eabc87c68643b6de3fbb1b]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-08  Robert Nagy  <robert@openbsd.org>  [3edc480907b0d9f55156cdbe0917933f9e032fdb]

add OPENBSD ifdefs where needed


2010-11-08  Thomas Klausner  <wiz@NetBSD.org>  [b0c197cca1c93dee9ed9b7131c556c473efac249]

Improve f3d4826fe53173d0f50d53b11cd2b4402b2a286d: avoid duplicate numbers.


2010-11-08  Robert Nagy  <robert@openbsd.org>  [dfd0c5d162adfc92ff4951cef50821e36ec1b693]

Do not use -ldl on OpenBSD and tidy up the .IF block a bit


2010-11-08  Robert Nagy  <robert@openbsd.org>  [065da7e6ed5ca943613d3ab3dfcebb4cf3188cbe]

add OpenBSD platforms


2010-11-05  Thorsten Behrens  <tbehrens@novell.com>  [c462380ca120d400498629ff28ec302bf7fd4b42]

Use org.libreoffice.script for Mac preferences

This fixes fdo#30568
(cherry picked from commit 78a103ca881d0175d0a3a1bbca2df64cbe63ea77)

2010-11-03  Petr Mladek  <pmladek@suse.cz>  [4f946bd0de4d8de80dab1dcc48ee6c786d40c81b]

Update BROffice branding for Windows and MAC installer (fdo#31089)


2010-11-03  Thorsten Behrens  <tbehrens@novell.com>  [5f4c40d73fb2bd7655c722d61798bd8350b3a754]

Changing a few more strings to read "LibreOffice" (cherry picked from commit da9762a0da84a061fd2adadfdb51295357d5e270)


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [9d9e34a0c0704388b718619eea0c74e533e178d0]

rhbz#648475# crash in scanner dialog, reset link in dtor


2010-11-01  Kalman Szalai - KAMI  <kami911@gmail.com>  [e81a71eaebcba04aeefd3b084cdd93b0960e2fd2]

Save 1MB on wizards per language

Bitmaps are packaged as language dependent files however, no
language dependency at all in bitmaps. This patch only pack one instance
so we can save 1MB diskspace for every language in multi lang installer.

2010-11-01  Joseph Powers  <jpowers27@cox.net>  [8b982eb5a738ec431128fd6da906e9343e9a6b24]

Macro Cleanup in UNO land.


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [f965c94f564a8756e8fb9f462a5af77e2c05e2ed]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [a534643c95475c096f233f3865d608aa25f2dd96]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-10-31  Kalman Szalai - KAMI  <kami911@gmail.com>  [b5b672a51cdb5a38656cb674336dfeb9189b818f]

Adding Barcode extension


2010-10-31  Kalman Szalai - KAMI  <kami911@gmail.com>  [78e529c4cfd37b8e0c575b8aa3e6eb7d620cfb3d]

Adding Validator extension


2010-10-30  Kalman Szalai - KAMI  <kami911@gmail.com>  [6026b4b0e222f9e3082aeddab22f52a86c07b174]

Adding Diagram extension

Diagram is an OpenOffice.org Draw and Impress extension that creates your favorite diagrams with few clicks.
http://wiki.services.openoffice.org/wiki/Diagram_Extension

2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [e1576214241a561a545d3b55933ad72a78d8df90]

include algorithm for std::lower_bound


2010-10-28  Michael Meeks  <michael.meeks@novell.com>  [929597e176808ad77520228ac8664b5c3d87b74e]

re-arrange options dialog to add experimental option


2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [3ed7853ec303deead57261c0cac45fd093df872e]

add modelines to .hxx files as well


2010-10-28  Jesús Corrius  <jesus@softcatala.org>  [29cc3b7054864400bbb19deff561a4e8dbe801b8]

Make some stl functions less ambiguous (fixes VC++ 10 compilation)


2010-10-28  Jesús Corrius  <jesus@softcatala.org>  [b71588f1452a80b1543789a3e0b7adea9e1d692e]

Bump _WIN32_WINNT to 0x0403 (fixes VC++ 10 compilation)


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [77ac06e023d9a94992c4cee79f2a4f825410b16c]

remove vos reference from uno xml descriptions


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [0a253250f92a6b91c15d5478cdebc1a00f492d0e]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [0c84d2e38f652578daa0b08671b09e45b2559b49]

remvove vos/macros.h usage


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [1204c62140fbb37ebadbbf1dafe3135387544f0a]

rename osl::SolarMutexGuard -> SolarGuard to avoid namespace ambiguity


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [781d467f3b32b2cba007ff34325a87c0c75eccf5]

migrate vos::OModule to osl:Module


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e3a51b3aa40ae14430395927b6727855b792e07f]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [d6181f976b230ce1cdc5f794e8d389518edfa02c]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [8956b3e47d307899fd9dec41a58a006dc5fac319]

migrate use of OClearableGuard(SolarMutex) to SolarMutexGuard

3 helper class and a site were using OClearableGuard on the SolarMutex
None of these actually needed the Clearable feature, so
they were replaced by a simple SolarMutexGuard.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [92f9cd7e03320c9b3123bd7f8730918d6d4a26d8]

remove the class TLBSolarMutex and use SolarMutexGuard instead

The class TBLSolarMutex is a wrapper guard arounf the SolarMutex.
the class SolarMutexGuard already provide this function.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [6ed5e648057e0b14b076c9bb7ded5368e5c4428c]

remove the class ALBSolarGuard and replace it's use with SolarMutexGuard

ALBSolarGuard is awrapper guard around the SolarMutex
SolarMutexGuard provide this function now.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [423b5185fa965a3d242a5016d2a3265b46359bc1]

replace BBSolarGuard with SolarMutexGuard

BBSloarGuard iw a simple guard wrapper around the SolarMutex.
the generic SolarMutexGuard provide this feature.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [bceba61c6cc7f4f141859bed9a34809cdc89d348]

forgot base clase init call


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [a2d37fc9e5feb7d48fb2b59354141e1cc0dde28f]

replace the now superfluous TCSolarGuard with SolarMutexGuard

TCSolarGuard is a class that basically wrapped a Guard around Application::GetSolarMutex()
This function is now provided directly by the SolarMutexGuard class.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [1ad06c7fab1a4bc871c0ebd9a65df1a55133e6c8]

use SolarMutexGuard to guard the SolarMutex


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [3f7fe354b2d9f608738ab04e8921c35efed68c3a]

merge vosremoval-pipe.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [9db5fb9aa736977261247a8cb58d5ffde234dc28]

merge vosremoval-timer.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [c2abeee82654e11cc6f15ff71609d32e816a5243]

merge vosremoval-conditn patch


2010-10-25  Gert Faller  <gertfaller@aliceadsl.fr>  [adcd1c248ee309b37dfdf00a768ece347bdd78b1]

cleanup obsolete comments


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [c091f4b33416e6adf5a9f91e28f35b832c95d95a]

#i109882# return early in unlikely event of failure


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [c16d1db2c8ed36dba7923fb64b9fe2e86e42102c]

Merge commit 'ooo/OOO330_m12'


2010-10-24  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [c9f363010e0ac5cf2447729e4d961cca64d1d5b1]

translate comment


2010-10-21  Noel Power  <noel.power@novell.com>  [6e3590dde1bbc168db9818f0025a09aed3c2aaf4]

get rid of extra PROPERTY_ID_VERTICAL_ALIGN define


2010-10-21  Petr Mladek  <pmladek@suse.cz>  [cea59ca7d369a2ccd771a12e97d8efd2328cbfdc]

rename libreoffice-ure package to libreoffice-ure3

we removed the 3rd layer, so the extra package name does not longer makes sense;
it causes conflict with distro specific packages that are not versioned;
discussed on the mailing list

2010-10-20  Kurt Zenker  <kz@openoffice.org>  [03cfe2c9032b9236d283735f95c58ba917e2786f]

CWS-TOOLING: integrate CWS dba33k


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [792813f53579f4eea078678cea82c8761dceae1a]

#i101100# strict aliasing fixes


2010-10-19  Thorsten Behrens  <tbehrens@novell.com>  [50c86e0dbbcbafd6e99826f9b5aebb45ec38ef49]

Switch all urls from TDF to LibreOffice

Additionally, fixes fdo#30667 with new about dialog text, and a
link to http://libreoffice.org/credits.html

2010-10-19  Noel Power  <noel.power@novell.com>  [a472ff20aad64f386c27fdaa0152719e8097bc0d]

fix bogus SAL_N_ELEMENTS usage


2010-10-18  Florian Bircher  <florian.bi@gmx.net>  [85a262b0191750d2837929d326d819eb92430e55]

use SAL_N_ELEMENTS


2010-10-18  Tor Lillqvist  <tlillqvist@novell.com>  [d9da4b95cf16b01102b404d65e0ca77f3e10d5a6]

Two more SAL_N_ELEMENTS reverts

These files don't seem to use LibreOffice coding style and types
anyway.

2010-10-18  Tor Lillqvist  <tlillqvist@novell.com>  [34bc909febcde168393d9bfdab920b30fcead851]

Revert SAL_N_ELEMENTS change for one file

This source file does not seem to include any of the usual LibreOffice
headers, so we should not use SAL_N_ELEMENTS in it.

2010-10-18  Kenneth Venken  <kenneth.venken@gmail.com>  [baae1f2478f664054a264573bad0c8337f7f7d74]

WaE, fix this warning


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [36417ce675abc0f6e032adfbf0444ba383d5a145]

WaE remove annoying warning


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [c7338392fbb10cc74bc8175cc997f8fc0668be6f]

WaE remove this duplicate define


2010-10-16  Kenneth Venken  <kenneth.venken@gmail.com>  [0fd4fdfa8e6536fb27f43dcd09766dcf9c7dce78]

some patches that replace sizeof(a)/sizeof(a[0]) with SAL_N_ELEMENTS(a)


2010-10-16  Florian Bircher  <florian.bi@gmx.net>  [6fa94490b3cf37b4b4313d58d7cc06d279ecad72]

Fix for setup_native win32 SAL_N_ELEMENTS


2010-10-15  Kenneth Venken  <kenneth.venken@gmail.com>  [359030e13cfba00f3151aa77e3ec2d09b788a520]

SAL_N_ELEMENTS changes for components


2010-10-15  Noel Power  <noel.power@novell.com>  [f99ac70389ce3f060ff084c6e70797ad695e9fde]

fix fdo#30856 remove VBAForm property and associated geometry hack


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [6a1534819edb7276bbc18056df92bbed2015e0d3]

CWS-TOOLING: integrate CWS native338


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [07d03e0a830bc3aba604d508d38ac7d7674fb299]

Merge branch 'feature/calc-key-binding-compat' of ssh://git.freedesktop.org/git/libreoffice/components into feature/calc-key-binding-compat


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [2f7fec2ae1631f4defe284f801bd18d8a6555700]

Merge branch 'master' into feature/calc-key-binding-compat


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [8e83621a3e9c13dedec0dab87dfa424cc5e15de3]

fix AIX build


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [dd03ec9de6ed05d0e1c11ce24c91f506d45f938b]

Add NetBSD/amd64.


2010-10-13  Noel Power  <noel.power@novell.com>  [458440d60f9b87206021d99a6dfb414260c5e9b3]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/components


2010-10-13  Ingo Schmidt  <is@openoffice.org>  [ea7d547c4e26b9d025de502596d0ba2c8e2af773]

native338 #i115046# new jre6u22


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [4d811aa74de8e647b5c3f44058a0a1324af62dad]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-10-13  Noel Power  <noel.power@novell.com>  [b4648cb5215c1b0f59c9a740d446031c03a3353b]

Merge commit 'origin/master'


2010-10-13  Michael Meeks  <michael.meeks@novell.com>  [920a6f80417cecb64028f3bfc0cda40f0e3933c0]

Default to evolution


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [8c7036a3592b0d2906cf10653b0ce05f3001c3d8]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Noel Power  <noel.power@novell.com>  [ecf31cd7b1a8f623c644566710af1443e092e43d]

Merge branch 'vba' fix conflics ( below ), trailing ws and leading tabs

Conflicts:
	forms/source/component/RadioButton.cxx
	forms/source/inc/property.hrc

2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [e4ed769b795446b5a65eb5ae94ebb8db22c6bf4f]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [ba23e2ddcff997af2e1575acd243d42c6375566b]

#i112786# make ConfigManager a well-behaved singleton


2010-10-12  Andras Timar  <timar@fsf.hu>  [4f07dfd83191870b691dfa0dd1e0cde0c63114bb]

removed German from the versioninfo


2010-10-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [e14606f2055520f5f12c78b20ba53404cb9934cd]

vos:removal: missed a couple of OThread


2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [d83d9d8310b5e06cdf8af8d3e5e7baedee61d943]

Added new tab page in the Options dialog.

This options tab page is for Calc's compatibility settings, e.g.
default key bindings between the old OOo Calc and Excel.

2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [38a1b4656278e4639ecc36f58f4d42fddc8dd529]

Fixed a build break.


2010-10-11  Alan Du  <alan_du22@yahoo.com>  [2cfd913cb28698c372f436cf32e8e5ab642d641f]

Removed a lot of the //CHINA001 comments.


2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [45e356969cccf091506ba46004fccaaa1c3210eb]

Added new tab page in the Options dialog.

This options tab page is for Calc's compatibility settings, e.g.
default key bindings between the old OOo Calc and Excel.

2010-10-11  Arnaud Versini  <arnaud.versini@gmail.com>  [e7c5a1e7e6ee2babf9acf1f20423a1a6caa2f60d]

Resolving issue 2838 of OOo.

It’s in two parts :
* autocorrection comparison function during the search of the word(s) takes care of the case.
* possibility to insert two times the same words with different
cases.

2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [f05bb54f3cdcff21793ca4676427a2659ec3883a]

vos/socket.hxx was removed, don't include it anymore


2010-10-11  Andras Timar  <timar@fsf.hu>  [e2ed0f18d046b626000c6ca90e7a0315040e5f05]

Added Croatian dictionary extension to setup_native


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [934603e069f0894b78278b39582e2c7f7a809897]

#i112602# use rtl::Static to wrap globals


2010-10-11  David Tardon  <dtardon@redhat.com>  [229aa0d171e529c154438d980230ac38578387c2]

#i114426# prevent possible use of a ref. to deleted LocaleDataWrapper


2010-10-11  Norbert Thiebaud  <nthiebaud@gmail.com>  [9844d74db3f40f966e8d70d5dc60c0ba8b6bd61a]

merge vosremoval-socket patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1964b24bf2e3c4a1cd9e0b12993bfbeab263ba3d]

merge vosremoval-thread patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3dd131d0a971fb04916ecbffcc031e58d5a29529]

merge vosremoval-diagnoses patch


2010-10-09  Thomas Klausner  <wiz@NetBSD.org>  [f919591f5183f316dec470347783748306857d31]

Use standard '=' comparison operator for test(1).


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [026ba5d9422d955d48ba30411f704bda6ea25194]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/components


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [e8b9d3c1f84a1ee4df6c8df79139a012b28472d5]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [3bc9d661ba15d406b8c168a21757773d26d0a5a3]

CWS-TOOLING: integrate CWS dict33a


2010-10-08  obo  <obo@openoffice.org>  [953d1c73f43de5e3df80b127f162d7a603965ad5]

CWS-TOOLING: integrate CWS dba33j


2010-10-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [dff507298d65267c218e8bd9739215ab6542b8a6]

FASTBOOL to bool conversion


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [5785e41ec3646ba5c602a2054002340855bfc4f1]

#i114425# fix a possible dangling reference


2010-10-07  Thorsten Behrens  <tbehrens@novell.com>  [ea8bd49449fb3b1af5f5f8962abe0a81e9013606]

Webservice URLs now point to documentfoundation

Changed places referencing OOo webservices to refer to
*.documentfoundation.org instead. Also, append coutry string to URL.

2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7f7b52db73ae2529272d46732fa31a29807178e4]

fate#307731, fate#307730: Adds dotted and dashed border lines


2010-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f9d11c5d9c0360cdafe8b15d8cbceaff9c687941]

Use lzma which provides better compression


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [ef6e968454c64f874a284c807c062624eeb946d6]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [ec6a51873a939bdc95619c6d5da0c5bd8f6a4d9b]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Noel Power  <noel.power@novell.com>  [b3c30660b2a2c4d93f99d0b22ae192d928a23005]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [8e36ae20a5d9f9a4df87568229d4f4a87d028a0d]

#i111733# fflush on stdin


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [c3b94463f21c63d33fc260e87779ed80f15e6607]

Revert "This patch resolve the issue 2838 of OOo."

This reverts commit 5abaf7746c6c960d090b55ffc311ed018ecaf470.

The build breaks with this change.  Reverting for the time being.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [1583003ba9e0ec86a96c859af1b5b06e127a4fa0]

Ported dde-reconnect-on-load-*.diff from ooo-build.

Improve reliability of DDE connections between documents opened in LO.
With this change, LO tries to reconnect to a DDE server document upon
opening if that server document is being listened to by one of the
open documents.

Also, the old implementation would load a DDE server document
invisible, and would never close it when the user updates the link.
This had the consequence that when the user tries to open this
document while it's loaded hidden, it causes some weird focus issues,
and closing it and opening it again would disconnect the DDE
connection.  The new implementation closes the server document
immediately after the DDE link update is complete.

This change also fixes a bug in Calc where DDE link updates to cells
would fail when the formula syntax is set to something other than Calc
A1.

2010-10-05  Arnaud Versini  <arnaud.versini@gmail.com>  [5abaf7746c6c960d090b55ffc311ed018ecaf470]

This patch resolve the issue 2838 of OOo.

It’s in two parts :
   * autocorrection comparison function during the search of the
word(s) takes care of the case.
   * possibility to insert two times the same words with different
cases.

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [10e3f3f098a6f511fb21d9aa087b64b10813e658]

Add back missing #endif into automation/source/testtool/objtest.cxx


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [54a0ce836f8d7390e59651ee10c824ad1f742add]

fixed cui includes after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [e22d09f9ec66473a89ce4c8cbc943c97ae450027]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [afdb74c7ef53628958aa6a9156e11ca2295f9c45]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [97a79787ef39e47fa0a9a223c472961291799291]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [46e8e662367b15cbbd567f941a3e0604170eb11b]

Ported always-save-option-svx.diff from ooo-build.

Add new option in the Options dialog to allow document save even when
the document has not been "modified".

2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [cd499611ca7ab71972d372b81d561d1f487215f4]

add some configure options to control external libtextcat and libtextcat data


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [18e69aa675aed764226eb496a34a8c0313e9c9d0]

#i113654# these event handler ids need to be a ULONG


2010-10-04  J. Graeme Lingard  <jgraeme+git@gmail.com>  [f72fa433e33a3673ef9db518016b0ccf5b5a0214]

Remove redundant #include directives & comments


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [b51b1be53f417efd0992bdab4def5364d8d6f704]

Ported calc-insert-current-time-svx.diff from ooo-build.

To Make the semicolon and angular braces assignable of commands.

2010-10-04  David Hobley  <davidh@sharpblue.org>  [2176141990ec94492309bf22d69b45917e471a3d]

Comments cleanup


2010-10-04  Jacopo Nespolo  <j.nespolo@gmail.com>  [9cb14e26b39b0442fe0868c6872a3ffe79f91faa]

dead comment removal


2010-10-04  Jacopo Nespolo  <j.nespolo@gmail.com>  [fcd0c3872276a891ddfb4b9753d14abbb7ec4443]

Code cleanup in cui


2010-10-02  Andras Timar  <timar@fsf.hu>  [130b6bc4fd3d96287ec3ff31b0f8e37e1429775e]

make CustomUnitText "Pixel" localisable, #i35956#


2010-10-02  Andras Timar  <timar@fsf.hu>  [7878b9ec6c41c871ad9290701a1d4996d9b55e97]

make CustomUnitText "%" consistent, #i35956#

Despite the state of issue #i35956# this patch was not integrated.

2010-10-02  Andras Timar  <timar@fsf.hu>  [1578b826a258801514588e234dc593517379b40b]

Fix name order for Hungarian on the UI, #i110287#


2010-10-01  jgraeme  <jgraeme+lists@gmail.com>  [e754622cfe54cd461a683614171a31ba5aed3871]

Cleanup commented-out code

* multiple comments containing //CHINA001
* a large section of commented out code

2010-10-01  Petr Mladek  <pmladek@suse.cz>  [80aee06918520fb2e71be0a6e6f9af28171730a0]

xmlsecurity-build-with-nss-3.12.0.diff: Support older system nss


2010-10-01  Jacopo Nespolo  <j.nespolo@gmail.com>  [8d890248dc4e7ca5c5927ba938cd0182b0a9f45b]

Removing dead code and cleaning up some comments


2010-10-01  J. Graeme Lingard  <jgraeme+git@gmail.com>  [42426dd9cb88722572a6cf9a64c5a4d312b8d4f5]

Remove commented out code from cuigrfflt.cxx

This section was probably commented out when code was copied from
libreoffice/libs-core/svx/source/dialog/grfflt.cxx during a code move.

2010-10-01  Caolán McNamara  <caolanm@redhat.com>  [4964008b14dd70952be30466a34748d294483101]

#i112871# missing parentheses around || within &&


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [c0aaf73d6d561c092b4488affe4da5deacfe7531]

libsane leaks and threading crashes


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [653d2ad012009aff08d8a2939a694411f9821700]

#i100686# Euro converter didn't work when searching for ods in a dir


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [d25be311045b48c35e4b322e60ed1315831d7e25]

#i108246# fix crash in Appearance config dialog


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [cb1d46258d7e2af041d8ac982cd8045d3fcd41e9]

Ported autocorrect-accidental-caps-lock-svx.diff from ooo-build.


2010-09-29  Noel Power  <noel.power@novell.com>  [c43ac455fe23c130a394c3a561e09697e08752e1]

fix for bugs.freedesktop.org/show_bug.cgi?id=30452


2010-09-29  Thomas Lange [tl]  <tl@openoffice.org>  [b45f5c99e4da40993a333c64001f87b0925ce1a3]

cws dict33a: #i114774 thesaurus patch applied


2010-09-28  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [e4567b3a3e425d8e3cac6eb71ebf9556afcfb141]

fontdialog: Convert switch with only 1 case to an if ()

This is a switch statement that only ever checks 1 case and has no
default action, so make it an if().

Remove some commented out code in the switch while taking the git
blame anyway.

Signed-off: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8de8dac8d7ad32dc992ac061d8f4960b43c1436a]

dba33k: merge


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3a3bcbdc1bf3dc804b738552c1c9f8bcf0ee74f8]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33j


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [720a931f98327e2ae92ed5c68c1b1504c8d4bcad]

dba33j: #i113631# loadData: restore m_nNULLPos/m_nBoundColumnType when old list data is still cached


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4dafcb0b52527f39a02a25566825230f809ffcd9]

Fixing some merge errors


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4999ec8e3131ac3bd905c0846b642279fc2d2bf0]

LibreOffice branding: fix1


2010-09-28  Thorsten Behrens  <tbehrens@novell.com>  [632d09fb53cfef80e5119eeeefff1cc8af7ea019]

Update Mac installer image and icon config


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [b99e4e1cf3c6e9d104de8c050add04cc866ef7f8]

Updated nsis installer icon from Chris


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [f29b3575c33218883696926cf62285b75f254c9a]

Shrunk NSIS banner image by three pixel


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4f4e350c72b924a3fb5b0a226011386b7196099c]

LibreOffice branding: some more win32 imagery tweaks


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a4dab474af084c30975660657d09bacf35dfb0c1]

Replace the "Help Support" menu item by the "License Information" one


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [7242997a580c3ab95b8be38fd4ba990343877bbd]

new libreoffice artwork


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc61b68fed16e8432d42befb71525f7ae10bc1c6]

LibreOffice branding: fix1


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9ebd256348dc490ee78cd73144a7198d5474167]

LibreOffice Branding: first cut


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [414f16693f0828efb240d64cfa1a99fa8486ca4b]

CWS-TOOLING: integrate CWS native330


2010-09-23  Christian Lippka  <christian.lippka@oracle.com>  [b0f8524b6cbef9c2f61bf7a1fa34ad9bf82651d7]

dba33j: #i111302# fixed truncated strings


2010-09-22  Thomas Lange [tl]  <tl@openoffice.org>  [74c87f4612727c7e490c7772b0111094b6ae93c2]

cws dict33a: merge with OOO330_m8


2010-09-21  Christian Lippka  <christian.lippka@oracle.com>  [d603dc28017861ce297a9d12b28f3971533cff7e]

dba33j: #i111302# fixed truncated strings


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3ec2516b75adca283670bfbfa30e2a46dc4586d4]

dba33j: merge after pulling OOO330.m8


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [90c37127c7040a74100a8e503150bec1f25829f2]

dba33j: #i114566# +getNormalizedStructuredFilter


2010-09-18  Tor Lillqvist  <tlillqvist@novell.com>  [ff75fde570ecca9c791915abd72eea33280ca83c]

Workaround for default_images symlink problem on Cygwin


2010-09-17  Ingo Schmidt  <is@openoffice.org>  [ce53dcd5bacb13b47afcec9662f98bc729dc1a5e]

native330 #i113835# fix


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [53f834b408ecdc51ba6c5aff27ca72b8abdae38c]

dba33j: #i114273#


2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [d07b53d22dd8b3731776fe74947b514af1c4ffe3]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [2a32059a536a6562ea78a6dbb0fb6a21c640d922]

Update .gitignore for Windows builds


2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [6de7a038011cf9d7b7cb20c753769c7540378243]

calc-formula-variable-separators-svx.diff: formula separators changeable

n#447164, i#92056

Make the formula separators changeable per locale setting, and add new
configuration page for formula syntax and separators.

2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [19d212bf57913073a69c8ce7b016da8c4699961a]

default-no-registration-menu.diff: Remove registration from menu.


2010-09-15  Tor Lillqvist  <tlillqvist@novell.com>  [47bf9a3750fbccb561961a623b766b901fc3a024]

Commit missing files in setup_native/source/win32/customactions/sellang/


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0b7ae4e620a78e2b9732f51d4f8dbcf6dff23461]

cjk-default-compatibility.diff: Don't expand spaces with manual breaks

i#54320

2010-09-14  Kalman Szalai - KAMI  <kamihir@freemail.hu>  [0a6fc538714579edc7c613140ee60c44749c58ff]

premium-splitted-language-packages.diff: Language dependent definitions.


2010-09-14  Kalman Szalai - KAMI  <kamihir@freemail.hu>  [fc04f6fdba6a3e3a1ac3457cd8c84887447a30ae]

extensions_packinfo.diff: extension integration, setup_native part.


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [403e72fe876d9131a3759d49ba3cdff3a5b9454a]

metric-field-limits.diff: maximum values were wrong when changing unit


2010-09-14  Tor Lillqvist  <tlillqvist@novell.com>  [de753a15fecd0bf6b80feda4766b0d586e199b07]

win32-multi-lang-installer.diff: Multi-language installer stuff

i#66062, i#88638, i#88639

2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [cbab5dec38efe13dd50455a1a9e50caeb8a6949e]

win32-vs2005-compat.diff: Fix build with Visual Studio 2005


2010-09-14  Ingo Schmidt  <is@openoffice.org>  [9158068afebb908d7273ec6b4ee25936abec3192]

native330 #i114487# fixing installation on Cent OS


2010-09-14  obo  <obo@openoffice.org>  [9f245ff0a3cc039304c4a4e5205baedaf76dbacc]

CWS-TOOLING: integrate CWS dba33i


2010-09-14  obo  <obo@openoffice.org>  [214f5506324ab242201e140da8291cc3f33c22d6]

CWS-TOOLING: integrate CWS dba33h


2010-09-13  Ingo Schmidt  <is@openoffice.org>  [2cab1ad00d080b85294350ed02a3d39e0522a15c]

native330 #163564# fixing installation on Cent OS


2010-09-13  Amelia Wang  <amwang@novell.com>  [b41159c14ec698e01b43a545e6b93419d0206d5d]

cjk-character-units-fix-376788.diff: add a new character unit

i#376788

2010-09-13  Amelia Wang  <amwang@novell.com>  [38d7e2c79e4207d8138a1740e077bf0e83c80856]

cjk-character-units-imp.diff: add a new unit 'character unit'


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [ecd9e9d1a068915607ed0b4cc97e573839c9fe47]

Merge commit 'ooo/OOO330_m7'


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [5145c719bf38b11435c5562b1ef336ecb59b64ae]

Merge commit 'ooo/OOO330_m6'


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [e8b8fec48b3ad2464b6ce6744e419190efeb45b3]

CWS-TOOLING: integrate CWS fwk155


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [61bf1db52942cc7a3d50181e078be2854a6e274a]

dba33i: #i111146# migrated all SFX-based applications to use named views


2010-08-31  Mikhail Voytenko  <mav@openoffice.org>  [86d169e89f39d3ddb7bac7f50d2adb1bb7e7d087]

fwk155: #i107615# integrate the patch from CD


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [fdcca5cd5d150e36a9697892ebeaaf95e99d6a75]

dba33h: merge after pulling OOO330.m6


2010-08-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2f78daf7769342a7016599915e1ae2ef8b6a74ea]

dba33h: #i114122# don't set GraphicObject-URLs at the image control/model, instead, just set the XGraphic, and let the implementation manage the respective XGraphicObject instance and its life time


2010-08-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0e743fea1a7d8dac9dfd04ebe60c72b2108d52e3]

dba33h: #i113991# handle ImageURL and Graphic properties ourselves, do not leave this to the aggregate. Otherwise, both the aggregate and we try to sync those, which is good for some problems ...


2010-08-26  Ivo Hinkelmann  <ihi@openoffice.org>  [b221612dc355d7c219819db42207437eb4fe5fe5]

CWS-TOOLING: integrate CWS ooo33gsl07


2010-08-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6ceaf7dd12df2f66e0f3bbc42ad5ff8d14042e14]

dba33h: #i112659# ensure bound image controls never embed their image in the surrounding document


2010-08-25  Tor Lillqvist  <tlillqvist@novell.com>  [b14bcefa52ba52b714e62dc4f9b606344ae98e26]

novell-win32-odma.diff: ODMA dialog implementation.

i#6885, i#32741

2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a579e848e0b0e55eda9b9da94fc6e5d89ca995ca]

dba33h: #i114022# properly handle new/empty images


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [4f48476894efff2739e6e25b7b2633d41904a252]

CWS-TOOLING: integrate CWS sw33bf08


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [5f4ef9be8671cf2940b83ea83d6ad5315126bd83]

CWS-TOOLING: integrate CWS mib18


2010-08-25  Jan Holesovsky  <kendy@suse.cz>  [bc48f4a069a0d3c20c28e7a28d9c9afd39b02b93]

tango-prefer-over-industrial.diff: Kill the Industrial theme.

Jimmac, the author of the theme, recommended that, and use Tango instead - n#304615.

2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [b971d6fb022a90a9561a0d81343ddf7c18542b41]

Update .gitignore.


2010-08-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [622fdb67821d299bd8314cd9196e85c5d3d2ce84]

ooo33gsl07: #i114002# add missing license headers


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [a48d25e04631e6ea4390ef51d636a16b888afadb]

Create .gitignore.


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [09e35e845fc8941c56e54597ce679b258b97ba1c]

cws sw33bf08: #i113867# removing en-US dictionaries from Ukrainian language pack


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [825fb51589a6f29bedae00ee817edfc958597abc]

cws sw33bf08: #i113867# removing en-US dictionaries from Ukrainian language pack


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [ae0c34553de6ecabbc6420979a99829c11e472fa]

CWS-TOOLING: integrate CWS native324


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [19c39d8ca1d55ac1cd3349a319669ffd0bee7f18]

CWS-TOOLING: integrate CWS jl154


2010-08-16  Ingo Schmidt  <is@openoffice.org>  [d5b054dc43970313df80e253c78a424841a4eed4]

native324 #i113835# preparing rpm installation on debian systems


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [4fd95ed4edd92cff6667f6d237b9430d52ee5265]

mib18: rebase to OOO330m4


2010-08-13  Ingo Schmidt  <is@openoffice.org>  [9edf45e4490cbf5965cba1b7b80b5c20fab0f5bb]

native324 #i113835# preparing rpm installation on debian systems


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e56c03da11bea148347bc37cd317af862f083d32]

jl154: Local merge


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [ad50c65d6433ed7918c9326383708e44925a4e9e]

CWS-TOOLING: integrate CWS writerfilter08ooo330


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bd8d6faa1fdb424a68e50b4ce0dd3f2f72796e78]

jl154: Local merge


2010-08-06  Andreas Bregas  <ab@openoffice.org>  [329c134bc2d01d41a2ab41cbe5a856b764dcf409]

mib18: #163121# Declare Rework


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [92cc5ae9dcff421538ea7beb46e18136e9bab834]

CWS-TOOLING: integrate CWS native323


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [50493840e2f973d56540b826420fe52b0cf0dd5f]

CWS-TOOLING: integrate CWS mib17


2010-08-02  Ivo Hinkelmann  <ihi@openoffice.org>  [b45ea9fcb49c5d12507e6e08724830e55d33b27a]

CWS-TOOLING: integrate CWS native322


2010-08-02  Joachim Lingner  <jl@openoffice.org>  [64623c655d414eac4c0e2b266bee913a5456043a]

jl154 merging with OOO330m2


2010-07-30  Ingo Schmidt  <is@openoffice.org>  [953a5ed0735c12634ae6835d141c3a0cac7f7bd6]

native323 #i113447# setting Windows update path correctly


2010-07-29  Joachim Lingner  <jl@openoffice.org>  [28d217bc56c559e2439d39fdaa406380f32c9412]

jl154 #i162868# Copying from prereg/bundled to user/extensions/bundled failed because of file access right of temporary files in the registry data. The scripts run now chmod after unopkg sync


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [c1b8585f130b1f159fa10a85b3846f3e8524b127]

writerfilter08ooo330: merged OOO330_m2


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [d78ab92882cb21e8da22e4180cf4cf421d8b3bb2]

writerfilter08ooo330: applied patch for writerfilter08


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [8f28b3c61f002a5a59953526a6465ef43d72f03d]

mib17: rebase to OOO330_m2


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [4d52a7c2b4a9af70a0d2e731bb51af0a5ff80d7a]

mib17: rebase to DEV300_m84


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [0d7f3413198b9e0d82cd62056e396883aeae5eee]

mib17: move VBA specific interfaces into vba subdir


2010-07-27  Andreas Bregas  <ab@openoffice.org>  [18d1073abac8ce066b6f54b61033f425fbd03c54]

mib17: #i110822# Fixed named parameter handling in automation bridge


2010-07-23  Ingo Schmidt  <is@openoffice.org>  [6512191685b0f43b0938b44ee95b063de7463387]

jl154 #162868# solaris postinstall script


2010-07-23  Ingo Schmidt  <is@openoffice.org>  [859ab84fcc0707bd6c895517325f1985e9d91d8c]

jl154 #162868# bundled folder in prereg folder


2010-07-22  Ingo Schmidt  <is@openoffice.org>  [ee943cf4436ff8adbd9440211c39a5c27768369a]

jl154 #162868# unopkg in shell script with several quotes


2010-07-22  Ingo Schmidt  <is@openoffice.org>  [6ef1482d39a33925b245d245fe6127b4744d0dfd]

jl154 #162868# unopkg in shell script with several quotes


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [c42035a4015f4db602e57c7362e70eecf31cabef]

CWS-TOOLING: integrate CWS native321


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [b1a36931e113b382b3ecb7822e4a46585f66862d]

CWS-TOOLING: integrate CWS impress194


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [66685a316fe60c2834b80e5dde813acd1078aefc]

CWS-TOOLING: integrate CWS tl81_OOO330


2010-07-22  Ingo Schmidt  <is@openoffice.org>  [b44a3485bc26255a3aa0ca92ad26188de65d6f4d]

native322 #i113364# new jre6 u21


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [afd1eb5b6c81f59342bd8ee7a1b96429289d98dc]

jl154: Local branch merge


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [eb577c4b90718acc2c3b25f9f0c830d40620d58c]

CWS-TOOLING: integrate CWS unoawt2


2010-07-21  Joachim Lingner  <jl@openoffice.org>  [e234443c641e4bc2f5d89b031bbb30f2d560cb95]

jl154 #i162868# changed RemoveExtensions custom action (windows) to delete brand/share/prereg/bundled


2010-07-21  Joachim Lingner  <jl@openoffice.org>  [62729bf5d94eb74bb1ff410cc543d8ffcf4f4bdc]

jl154 #i162868# unopkg sync removes share/prereg/bundled, changing registerExtensions


2010-07-21  Ingo Schmidt  <is@openoffice.org>  [c803ad8da4a88de0689afee5728f0407ff7d791f]

jl154 #162868# new share/prereg folder


2010-07-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a1e6245b5e0a359f1f7e707a263ed1e45dd82067]

jl154: Local merge


2010-07-19  Ingo Schmidt  <is@openoffice.org>  [ffa0e25150cabfc67705e3fc10cc02952b325966]

jl154 #162868# guarantee existence of extensions folder


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [3a7ba2ab93b4ec058d92064e7657497d9cbd4794]

jl154 merging with OOO300_m1


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [8246234a96c80f2dcb29126cf8f9e96597aa3e16]

jl154 #162868# removing the package.txt from the extensions folder. Extensions folder will be created in a different way than installing a dummy file


2010-07-15  Joachim Lingner  <jl@openoffice.org>  [b8e2cf46d6a073c7fbcd51494a92d6da33181622]

jl154 #162868# remove basis/presets/bundled/bundled.ini, and create always share/extensions folder


2010-07-15  Joachim Lingner  <jl@openoffice.org>  [757f1ada9215c698c650eba559e05a70322848b7]

jl154 #162868# remove basis/presets/bundled/bundled.ini, and create always share/extensions folder


2010-07-14  Ingo Schmidt  <is@openoffice.org>  [26cba7b52384a4c1085f7c26cc4eb20df9836005]

native321 #i111115# mac background images


2010-07-14  Joachim Lingner  <jl@openoffice.org>  [0809a24f900b5cf43a70d1f3ab11c681e1906692]

jl154 #162868# removing registration data folder if the last extension was removed


2010-07-14  sj  <sj@openoffice.org>  [1d4e95981465caadaef1be216a73b81589e282eb]

fixed build problem (missing header file)


2010-07-14  Ingo Schmidt  <is@openoffice.org>  [f4230d177ad95e04566dc95859491308b606fdc1]

jl154 #162868# unopkg is back in packaging and installation


2010-07-14  Joachim Lingner  <jl@openoffice.org>  [5e9dc05754c042aae338c22f91e35d6d19780be7]

jl154 #162868# windows custom action for running unopkg sync


2010-07-13  Ingo Schmidt  <is@openoffice.org>  [f423a7a32a7f0c9dc4740d21b3bfda2504eccd56]

jl154 #162868# unopkg is back in packaging and installation


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [f6b4bfd944feedf392c8b3168e9a9952f4dbd61f]

CWS-TOOLING: integrate CWS native317_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [73de5b75edcc33235a1c2edcef85edfbac7d9ca9]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [698b3cb962af8618f3e884ccdf9b9edf1df3b97f]

jl154 #162868# unopkg is back in packaging and installation


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [929f5169397c101ec9fff3fb535376df3de09e2e]

jl154 #162868# unopkg is back in packaging and installation


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [b5c165ca38d0f3c8417540a6f185462eb11904f6]

jl154 #162868# unopkg is back in packaging and installation


2010-07-08  Mikhail Voytenko  <mav@openoffice.org>  [0dbcd1302d027c2d3e722d7c61208d5a318013ab]

mib17: #162917# let basic byte use one byte, let olebridge convert sequence to safearray correctly


2010-07-06  Mikhail Voytenko  <mav@openoffice.org>  [914589c59d1151b4f8f8f45cc7a03e23e5eb6e39]

mib17: #162858# allow to transport COM objects without TypeInfo as before


2010-07-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6ac9be3cccc701f00aa9105b65e6400d4ae18c0e]

unoawt2: removed unused file


2010-07-05  Thomas Lange [tl]  <tl@openoffice.org>  [e80e4bb1c457b646cf5432773741f24e5b09c902]

cws tl81: warning-free code


2010-07-02  Ingo Schmidt  <is@openoffice.org>  [b59794e8a6bc6af1feb97db1db78a44ebed2d5a8]

native317 #i112444# directories below optional components


2010-07-01  Thomas Lange [tl]  <tl@openoffice.org>  [7ffa7e8fdafc8d33ec4f8b9c1be68c7141cde543]

cws tl81: merge with DEV300_m84


2010-06-30  Joachim Lingner  <jl@openoffice.org>  [a5c95fbe4b239c7be2ba0569922bab29d0c21ad3]

jl154 merge with DEV300_m84


2010-06-29  Andreas Bregas  <ab@openoffice.org>  [c799303eb630864cc74f04119160c6cde5a13d18]

mib17: #i110821# Hot fix to avoid regression


2010-06-28  Thomas Lange [tl]  <tl@openoffice.org>  [9e1e8344b45d6e3e90c71426547085a686e7b949]

cws tl81: #i112695# change in user data implementation for thesaurus dialog


2010-06-25  Andreas Bregas  <ab@openoffice.org>  [ffd8271996bff0bbbe5d63218e13d6d2a2063446]

mib17: #i110821# COM default member support


2010-06-24  Thomas Lange [tl]  <tl@openoffice.org>  [6059aecb42ff6a0a52076e0e7c3ebb5520b6ecfd]

cws tl81: #i112310# fixed duplicate short-cut problem


2010-06-24  Thomas Lange [tl]  <tl@openoffice.org>  [809f78bc45d6c8f2c939c9122f8eef63ecec3286]

cws tl81: #i112179# dictionary issue with context menus fixed


2010-06-23  Thomas Lange [tl]  <tl@openoffice.org>  [ed6b350b9fd385acd1a59a1bad3c244ba690a0de]

cws tl81: #i112363# patch for accessibility crash


2010-06-22  obo  <obo@openoffice.org>  [c04b3821d6d9bb01ea2520629175510e816cfd88]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [c48b72e7694a494e563aca31e4635f61ba4f1a6f]

CWS-TOOLING: integrate CWS cmcfixes75


2010-06-22  obo  <obo@openoffice.org>  [b6a705c9d40a88b57a070bf4a965fb2d8eb125ed]

CWS-TOOLING: integrate CWS jpropenable


2010-06-22  obo  <obo@openoffice.org>  [4fb3729ce4d65caa10a76101b69637789caa21b3]

CWS-TOOLING: integrate CWS mythes12


2010-06-22  obo  <obo@openoffice.org>  [cd4bed17f8230434d570153abbefb13954271630]

CWS-TOOLING: integrate CWS fwk143


2010-06-22  obo  <obo@openoffice.org>  [85ae6b65270f1d0154354581995c6e243c3d2d9b]

CWS-TOOLING: integrate CWS jl152


2010-06-22  obo  <obo@openoffice.org>  [8c63c354ff84cc759214dca253dc75c331a230b1]

CWS-TOOLING: integrate CWS mba33issues01


2010-06-22  Joachim Lingner  <jl@openoffice.org>  [1fad720c60b970adc87aba05dceadc512ab290fc]

jl152 merge with DEV300_m83


2010-06-22  obo  <obo@openoffice.org>  [a12a3ede76d101163e4d71fe3607569c8f2d278f]

CWS-TOOLING: integrate CWS mib16


2010-06-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [27aa3c5ba10e06dea75567b79007f6a7cf67e86f]

unoawt2: #i10000#


2010-06-21  obo  <obo@openoffice.org>  [4799f6835b9a05fae76c0535c95bf5309667dc14]

CWS-TOOLING: integrate CWS vcl112


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [7c4c46e36d6cef86dba272ecebc0272b6c641473]

mib16: rebase to m83


2010-06-21  obo  <obo@openoffice.org>  [3358d612d6fc7d2f3d367bace0a2177719e9c3f9]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [576af3ed3cca970801d12b0459e68d02b9264f92]

unoawt: now that the image control/model are not connected via XImageProducer/Consumer anymore, ensure that images loaded from a database document are displayed, too


2010-06-18  tono  <tono@openoffice.org>  [5b2962b98121baa350f247125128769e3b754b3b]

i#111956: MinGW port fix: dependency to shared library: pure porting fix again


2010-06-18  tono  <tono@openoffice.org>  [4d8960dcde5699ebed7f6eea21fc7ee8044bcc6f]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [130d6d4343a6a6ff1850941bd6db51251df22514]

Backed out changeset: f63af3433bcb


2010-06-18  tono  <tono@openoffice.org>  [1fa198c8c9ac8821bc15e1f574b172780c939db0]

Backed out changeset: d80a58fd55d9


2010-06-18  Joachim Lingner  <jl@openoffice.org>  [facb228d4aaf84e06d9c62bb6edfc528617185a4]

jl153 #i112218# correctly displaying issuer/subject names when they use multi-value RDN


2010-06-18  Mikhail Voytenko  <mav@openoffice.org>  [b6a4aa227db61ffcadf3ee72eac6354b37348e8a]

rebase to m83


2010-06-18  obo  <obo@openoffice.org>  [24944322be8a13a3ab062cb5729a3c7f3eabe74b]

masterfix: #i10000# remove DOS lineends


2010-06-18  obo  <obo@openoffice.org>  [56ccc391e96663769be229a99b49c4431d455fe8]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [49a6b499efcc2c3ee0e329f56eeb276c35db9501]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [a008fd3046c05c48f7436f7800fc29730377024a]

CWS-TOOLING: integrate CWS tl78


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [e7e6981323685a588317fe4d9e11b984cb43d777]

CWS mba33issues01: rebase to m83


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [6d0e3a3739e40640f480d3454ecf5ebb5d2751cd]

mib16: rebase to m82


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [a3ce05877c9e05377ca1bd5b253b87786491e6e6]

jl153 merge with DEV300_m82


2010-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [cc2aed7a097db8bd2d83196ff9ec4a54f2249ec7]

jpropenable: #i112445# exclude this file from l10n process


2010-06-16  Release Engineering  <releng@openoffice.org>  [f86b554ecdad865978a821661c274d4b419c32cc]

masterfix: #i10000# PACKAGE_STORAGE to embed::StorageFormats::PACKAGE


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [ceb017b15acd7b9d56aa3b1c4f194dcfb204cdb4]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Helge Delfs [hde]  <hde@openoffice.org>  [a0ef8d2b25ee81150ac3adcaeb172eaeb8816347]

cws/tl78: issue 109976 and 112414


2010-06-15  tono  <tono@openoffice.org>  [0ea3d09c5834ef796251e92d8ce942de10dfe244]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  Thomas Lange [tl]  <tl@openoffice.org>  [1ed972c2c4115352419e036e7d57426063f192e3]

cws tl78: #i112304# help ids fixed


2010-06-15  obo  <obo@openoffice.org>  [909b86bd4b9a97da5971807df169e92809883715]

CWS-TOOLING: integrate CWS native305


2010-06-15  obo  <obo@openoffice.org>  [97447082af0fd8ff4b61f2c6f80df59c3207e5de]

CWS-TOOLING: integrate CWS unoawt


2010-06-15  obo  <obo@openoffice.org>  [09fad69b068c1afc9bcee4a74d10db0e64e30c21]

CWS-TOOLING: integrate CWS fwk139


2010-06-15  obo  <obo@openoffice.org>  [870016ea8a42c9c34aef2e2bf251b082ef3bd96c]

CWS-TOOLING: integrate CWS os140


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [8c5315828bbbf0119372a5b5b65087db0f22ffe8]

calctabcolor: rebased to DEV300_m82.


2010-06-14  obo  <obo@openoffice.org>  [de40500be30c475c686e52af82791e956fa47322]

CWS-TOOLING: integrate CWS tl80


2010-06-14  obo  <obo@openoffice.org>  [5d76742049fa669e3849834543fbd28f13a263f9]

CWS-TOOLING: integrate CWS dv12


2010-06-14  obo  <obo@openoffice.org>  [9476431526a6ca620334e286ee13893f9d5235f8]

CWS-TOOLING: integrate CWS calc54


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [c07d560d047d7ebb57364d106eb9fb078e1bce1c]

CWS tl80: merge with DEV300_m82


2010-06-14  obo  <obo@openoffice.org>  [3bc7caddd0b54c0f952091c7cd93d13f47a2bf7d]

CWS-TOOLING: integrate CWS automationdev300m79


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [8a488f3a9ab8cabbf344bd5741485a4e97601fb0]

cws tl78: #i112304# missing help ids added


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [237a8e441514d9c77b8daba9fbd02184029aa9e3]

jl152: Local merge


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [8360c03032e823606219e41da9c508caa78769a3]

cmcfixes75: merge with DEV300 m81


2010-06-11  Thomas Lange [tl]  <tl@openoffice.org>  [45135c615ad08542186e2339e8fe9f30f49cb159]

cws tl78: #i112304# missing help ids added


2010-06-11  Thomas Lange [tl]  <tl@openoffice.org>  [952c250d6c03b1c4ab92b2b2dd09db75b43bc02a]

cws tl78: #i112304# missing help ids added


2010-06-11  Carsten Driesner  <cd@openoffice.org>  [5f03177a5ce1291d8fe7328e6010ff851b9d82dc]

fwk143: #i104704# Hyperlink dialog needs its own HID to be accessible by the testtool


2010-06-11  obo  <obo@openoffice.org>  [c38d471b24924e0e413ff88b065f84b0f2fee52a]

masterfix: #10000# fix ambigous String


2010-06-10  Thomas Lange [tl]  <tl@openoffice.org>  [bc60661945e738f691f6bc2c2926c294a3e5cba9]

cws tl78: #i109634# late changes to the new password dialog


2010-06-09  obo  <obo@openoffice.org>  [550dbe616396cd31fd3616779a7086071a0f6177]

CWS-TOOLING: integrate CWS tl74


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [7f204b3bd94b02c4b81e6435932efad7b2ce32de]

cws tl74: merge with DEV300_m81


2010-06-09  Thorsten Bosbach  <tbo@OpenOffice.org>  [a6317cb5881eb9140fa915597bf773714f917369]

#i111784 CWS gridcontrol_03: Tablecontrol.select does not trigger selection event


2010-06-09  Caolán McNamara  <cmc@openoffice.org>  [9cc189c60aad0658239b5f5d8a5a04081dcd35b1]

cmcfixes75: merge with DEV300 m81


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [839f72fd931160136fb07042b9e47157526511cc]

jl152: Local branch merge


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [63149af3c1a4919cfbb6d00e1e84e0b2be4672a1]

cws tl78: #i109634# additional dialog parameter


2010-06-08  Ingo Schmidt  <is@openoffice.org>  [eb92a673099eea829e0dafe03de3c076e0e8167c]

nativejl152 #i77196# new modules for extensions


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8846381e0e5e95221294f3db705db0cedda3a915]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [a288e2adb6064c5098dc265a3024d5e2f4c97f3b]

cws tl79: merge with DEV300_m80


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [bab4ecd934179a7dc801f9cdfadf5ce28d1536bf]

jl152 merge with DEV300_m80


2010-06-05  tono  <tono@openoffice.org>  [081003a22fc485eb1e679586a889edfaf4c75c3c]

mingwport30: merge with DEV300 m80


2010-06-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [37169bad784213ce98f4452f7ca94656a5a1e6d6]

vcl112: #i112119# check return value (thanks cmc!)


2010-06-04  Carsten Driesner  <cd@openoffice.org>  [d0d9cfb98d74fec94ff373b864ef0782e71353de]

fwk143: #i104704# Set unique ID for hyperlink dialog


2010-06-04  os  <os@openoffice.org>  [541cc24968ee11f46910c245943f421db3b921e8]

rebase to m80


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [425b65cd413c03652034814e5eeb38e4f4292cba]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [1051358a9bec0fa5213fd611757daeec5d028828]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a69f5d42164a8d560fecc4717ad5bc2f34f53852]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [0a790b00a4cc4acbffc9c4e3c18396fcecfa5d92]

fwk139: Merge changes


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4589de743453d38bef63b495fb6ece1cd532a234]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [1737a185edc1c2d6ff626bae7d6347b502464d93]

masterfix: #i10000# #i112039# OOXML files not recognized fix


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [fb53a3aafa4f722f5b51ebb4abf9317f4b2a8b90]

fwk139: #i10000# avoid warnings on solaris


2010-06-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [69e70cd1eb142098ebb615d3177cc03fefca2a62]

vcl112: #i111983# remove unused code (thanks cmc !)


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [97976b89b60ad7ef90033cad8cbf70843f0378f3]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [a415e5b7cc6bd14f87c9a5b3b35af3389160ffaa]

rebase to DEV300_m80


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [de9bec206e78825df94595525c9e4659739e7e4c]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [cf9ea46b13aca8222a607cf1a75f141b271ffa86]

CWS-TOOLING: integrate CWS renaissance2


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [bddc062798472dccbf4a2b4db9a7d73dc43d38a4]

CWS mba33issues01: #i78637#: shorten text for conversion options


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [4791f73efd5adb9b63f9fb5aec370307b20195f3]

CWS mba33issues01: merge to m80


2010-06-02  Dirk Voelzke  <dv@openoffice.org>  [afb4f3e8decfeec6b5201a11961c294712a1a8a1]

jl152#i77196# better handling of extensions with unaccepted license


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [f249102862d1ed0246ca4476a2d6aca567321e0e]

cws renaissance2: rebase m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [dc03df1d22b1beae9aa872ac61ef32c083fe3094]

cmcfixes74: merge with DEV300 m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [7f598b7fcbfc5ffe9a7e4062ea655a3fba26687a]

cmcfixes75: merge with DEV300 m80


2010-05-31  tono  <tono@openoffice.org>  [18ccbe653ddd04e5625b3300a66072260c3e91ab]

i#111956: MinGW port fix: dependency to shared library


2010-05-28  Ingo Schmidt  <is@openoffice.org>  [7848af96a4e2882fa381e1ed0d9be1bedb5aa6c3]

native305 #i92977# new Windows INSTALLLOCATION settings


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [a4b2d226e819616bbc12a93ed831c7285d987956]

cws tl79: merge with DEV300_m79


2010-05-26  Niklas Nebel  <nn@openoffice.org>  [e0f5bef98bc3e954dcbbe5ddcfe0f77ab8bf9f84]

calc54: merge with DEV300_m79


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [26957a2d6d959003fa40c9806ae49ecc7f023797]

cmcfixes74: merge with DEV300 m79


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [01c2aa815576f8d002c20af25f0e0bba1c45f942]

fwk139: #i110803# integrate patch


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [bd4ddc58402f656afec30357952c1c529c98760d]

fwk139: #i110802# integrate patch


2010-05-26  Ingo Schmidt  <is@openoffice.org>  [56133f284b3bc53edf4e906a9519cfd38b59177f]

native305 #i92977# new Windows INSTALLLOCATION settings


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [0e3533213f0a4138b259463fae676e88ec7e7f35]

cmcfixes75: merge with DEV300 m79


2010-05-25  Ingo Schmidt  <is@openoffice.org>  [e9a0e36fdad318a7b6b087392701a8b48f0c12e1]

native307 #i111766# new mac background image for non oracle builds


2010-05-25  Ingo Schmidt  <is@openoffice.org>  [9d56617ad3c8c4c0059366cce21b670cf7c707d7]

native307 #i111766# new mac background image for non oracle builds


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [d43b86f08d263428b27334b12dd8bd680bb803b9]

CWS-TOOLING: integrate CWS fwk138


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [0ec485c4ad974213d481849c6cc899d4b6a1b2b0]

CWS-TOOLING: integrate CWS sb120


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7edce222ec464821b693f523e679d06ddda94ae5]

unoawt: onFinish does not need this parameter, it's always called with RET_OK


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [52fe8d4909fbad4955da20708a6c02d677cf3bcc]

unoawt: completely separated the controller functionality of a wizard page from the wizard page itself, by moving the canAdvance method from OWizardPage to the IWizardPage interface, which in this course has been renamed to IWizardPageController. This will later on allow to have implementations where the TabPage is provided by an external component (e.g. as UNO Service), but the controlling of those pages is still intercepted and handled internally.


2010-05-24  Caolán McNamara  <cmc@openoffice.org>  [c176f04b0423bfe395d5419983ad6e54c23a7caa]

cmcfixes75: #i111791# use hunspell api to free list


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [2b830505b8caa48d272d7344ac9104cdc303aa9f]

CWS-TOOLING: integrate CWS gridcontrol_03


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [c485c5461b1e50a5b4c4fb4021d2c460480b009f]

CWS-TOOLING: integrate CWS npower13_objectmodules


2010-05-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [191b4b8bfc6f766d431f0d12397129b736807dd6]

merge to actual m78


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [1ad21f9374a57e025a94889e60d1ec6e4377453b]

npower13_objectmodules: rebase and merge with DEV300_m78


2010-05-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [16e57f17e608e9c42ce31349a108fdf6390f492d]

tl78: merge


2010-05-20  sb  <sb@openoffice.org>  [074ca334cbd8fa784d3fe71343bfa8eddabc0a37]

sb120: merged in DEV300_m78


2010-05-20  Caolán McNamara  <cmc@openoffice.org>  [4ad725d8b230a5c291e6fa2982932b9828a13a2c]

cmcfixes75: merge with DEV300 m78


2010-05-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4cd66ec230ebda5d958cd95c8f5ba977d36befa7]

unoawt: UNO API for generic wizards, wrapping around the existing C++ RoadmapWizard


2010-05-19  Thomas Lange [tl]  <tl@openoffice.org>  [e6d6202169631279336dd19c87f913bb188e01ff]

cws tl79: #i110254# new security tap page in 'File/Properties'


2010-05-18  Ivo Hinkelmann  <ihi@openoffice.org>  [d0ce41584132aca59485a711c8b3a72e593a4d8a]

#i10000# fixed transplanted nativeb


2010-05-17  Thomas Lange [tl]  <tl@openoffice.org>  [e82587b80eff753029e4ed809c11f0359691b7c3]

cws tl78: branch merge


2010-05-12  Dirk Voelzke  <dv@openoffice.org>  [f9360560d9e217e4d1d18babb387829effce32ec]

dv12# merged with master fixes


2010-05-11  Kohei Yoshida  <kyoshida@novell.com>  [ce633b2bc8b549c4d4426f528f1b5d900f9786e3]

rebased to DEV300_m77.


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [c923dbbdebe707a6fcbdf70c9210e8f2304393f8]

fwk139: Rebase to DEV300m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [777174a7df7b6fb08736c984572b2ff5446aec16]

cws tl80: merge with DEV300 m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [e7f5e03255be4564af1e723f36b3cd33bdec4ca0]

cws tl78: #i109634# changes to password to open/modify dialog


2010-05-10  Niklas Nebel  <nn@openoffice.org>  [8cf1c1b8f9408c9a63ed3e76ea08451a4c312607]

calc54: #i111482# use right variable for loop in ApplyLanguageOptions


2010-05-06  Mikhail Voytenko  <mav@openoffice.org>  [5e8a994e2e6efaa3cbbc076725679289d8f623e8]

fwk139: #i110801# integrate the patch


2010-05-06  npower Developer  <npower@openoffice.org>  [ad36d82ce9acb84859a09c915422ac142b1e0885]

npower13_objectmodules: #i111419#


2010-05-06  Joachim Lingner  <jl@openoffice.org>  [877e9a65436f984490eae8b377719421f8e510c4]

jl152 merging with sb122


2010-05-06  Dirk Voelzke  <dv@openoffice.org>  [2473699f909806bf2236401d807a6f4c203f97a2]

dv12#i88957# improved handling of downloading new versions


2010-05-05  npower Developer  <npower@openoffice.org>  [3ef7b4affccb7fdd28aa43c965fecf63b4da00af]

fix for insert


2010-05-03  sb  <sb@openoffice.org>  [b484bd91c159bde975640b156ecaef880eb636a2]

sb120: #i111333# disabled failing tests for now


2010-05-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [11705da2555d6e53dd9c45e2d1c9f8e6a147a890]

slidecopy: what a stupid idea to hard-code numeric resource IDs in Java files - this *cries* for breakage ...


2010-04-30  sb  <sb@openoffice.org>  [adc79521f77e348bb71607bc86b73bc70ed37666]

sb120: #i111285# disabled failing tests for now


2010-04-30  npower Developer  <npower@openoffice.org>  [798fb7324ef4ed26cbb51c978d8e5c661de92ee8]

npower13_objectmodules: #i111245# fix core dump on rename


2010-04-30  Mihaela Kedikova  <misheto@openoffice.org>  [7cc7c75e95f63ef42dd94965fc36f9737fe74cc0]

gridcontrol_03: bug fixes


2010-04-29  sb  <sb@openoffice.org>  [3f528676392bdd79013d45166d6566873abd3555]

sb120: #i111148# disabled failing tests for now


2010-04-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [47226ecd54d8d6645cda1e733ce094883a41f1ae]

fs33a: #i111238# ensure that form control list boxes, which override the StringItemListProperty, update it when the aggregated toolkit list box changes it


2010-05-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [49bfe17405f78c6ce20dda2aad391a942f4adaed]

unoawt: merge after pulling from CWS slidecopy


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [65730916611b0bb4823209a696bd0c8c964745a8]

cws tl78: merge with DEV300 m77


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [3630d9a5949009c38ec869e893dc8cc64f1dc666]

renaissance2: rebase m77


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [505916b71e4357b636d71e683ec12b7551871bcb]

#i107213# use toolbox item window as parent for popup menu


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [fd23c35e4ac47fe68c5277ad4e80afc071123a47]

cws tl79: merge


2010-04-28  sb  <sb@openoffice.org>  [2c85c7ad301c8e0d623a3fa1205fd66fd0c434cc]

sb120: #i109939# disabled failing tests for now


2010-04-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [49567b3c4f725e40ea0612fbd8154e51ae85d35d]

slidecopy: make compile on unxsol[i|s]4.pro and unxmacxi[.pro]


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [4bda3989e172ff4051e514797eaf42a39fd9206f]

gridcontrol_03: merge with DEV300_m77


2010-04-27  Rene Engelhard  <rene@openoffice.org>  [2708b65f978df4b7d63dd1d2e162a7d83f6ad6db]

mythes12: move to proper external mythes module


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [c42aa3c2b51dfdfd801642503d37f845b3f065ad]

cws tl79: merge with DEV300_m77


2010-04-27  Christian Lippka  <christian.lippka@sun.com>  [f2e6942b7e9ed57aa78d62f500d580624e5c532b]

#i107213# notify a11y api if a toolbar popup window is opened


2010-04-27  Mikhail Voytenko  <mav@openoffice.org>  [cfd00320ad0ab39632e54c99e072402938598152]

Merge to DEV300_m77


2010-04-27  sb  <sb@openoffice.org>  [dcd2ffa0071689d439b1d36e03eba9a29e096b2e]

sb120: #i111182# disabled failing tests for now


2010-04-27  sb  <sb@openoffice.org>  [c64f5b5c92f8ec9f3f79eff5c97e54bd11e8acce]

sb120: #i109939# disabled failing tests for now


2010-04-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [657d099669ce9376c760c593ce062303a55836c0]

slidecopy: corrected parenthood of the ToolPanelDecks's A11Y object - had a cyclic ancestor chain before ...


2010-04-26  sb  <sb@openoffice.org>  [2eecd38a5cc38d61b106c679090153ae96a66a6a]

sb120: #i111148# disabled failing tests for now


2010-04-25  Caolán McNamara  <cmc@openoffice.org>  [15e74366870df52be24acdd5eb17fe212c1102f0]

cmcfixes74: merge with DEV300_m77


2010-04-23  sb  <sb@openoffice.org>  [c09c571b9c29e260f0adb52a3243c6e66eea90e3]

sb120: merged in DEV300 masterfixes


2010-04-23  sb  <sb@openoffice.org>  [de6ae2383032997a5f9842147944e314c7a7d6b1]

sb121: merged in DEV300 masterfixes


2010-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [2bfd6cf1789026beb6a014a048435edfa577a5ff]

DEV300 masterfix: #i111081#: javainstaller2: fix build w/o sdf files


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [62f0268d61dfa3143e4b09caff2708c197eabf98]

slidecopy: removed accelerator/*/default.xml - they're not used for a long time now ... (accelerator config is now in Accelerators.xcu in officecfg. No need to confuse people with those dead files)


2010-04-22  Thomas Lange [tl]  <tl@openoffice.org>  [79168a24fe31bdd6ff0cdea1d41b115d36be3106]

cws tl80: #i110341# problems with spell check dialog fixed


2010-04-22  sb  <sb@openoffice.org>  [789a37491e9474ab8f67127aef391f0c6237b2a6]

sb121: merged in DEV300_m77


2010-04-22  Dirk Voelzke  <dv@openoffice.org>  [ff24c53e5a60b6815ddf58eff2a0dff09ef097f1]

dv12: merge with DEV300_m77


2010-04-22  Dirk Voelzke  <dv@openoffice.org>  [0003cea9afc4d29705cfe6f6b74f1be77415e39d]

dv12: merge with DEV300_m76


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [fa17722b3fd50c12129cfbe882115da0b2069f29]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [a96cf58dd04981626950691cd387c9979fae6c36]

sb120: merged in DEV300_m77


2010-04-21  Joachim Lingner  <jl@openoffice.org>  [88330dec2f57af941cd90d45e300dd9eae77c7e1]

jl152 import 263449 from native0jl:#i77196#   no registration of components in uno.exe at startup, fixed extension activation, basic, etc.


2010-05-04  Joachim Lingner  <jl@openoffice.org>  [db7a110ff0a2d13ab7eb0191ef2bcc7343ab0910]

jl152 bundled extensions, import of changeset  263438:8b253e76e957 from native0jl


2010-04-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6896a068fd3f06fc1aa529e890138f87ae18bac8]

slidecopy: in the event logger, display event numbers / revoke the ObjectViewContainer as listener from unselected nodes, to not display their events/properties (which is confusing especially in the case of the event logger)


2010-04-21  sb  <sb@openoffice.org>  [c6cdbc5217ccaf2d06370ff51dc019396cbacfe7]

sb120: #i109916# prevent further frm::OInterfaceContainer::implInsert deadlocks (patch by fs)


2010-04-21  os  <os@openoffice.org>  [36fe58f85fd0d835b4171cb5aff5d0556fff20dd]

rebase to m76


2010-04-20  sb  <sb@openoffice.org>  [058f72131aa4507997466e434fa4854f045f22f8]

sb120: #i111006# disable failing tests for now


2010-04-20  Ingo Schmidt  <is@openoffice.org>  [7ffc9a61f820c214b0edda16fc22b43a16a07bff]

nativeb #162023# BrOffice bitmaps for Java GUI Installer


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [316c3e2cfae1e5a3412953499932fc238a185c21]

CWS-TOOLING: integrate CWS hr76


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [e32c0631f14c863deb43e473d48912c9b6cceefb]

CWS-TOOLING: integrate CWS npower14miscfixes


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [cea02bedaad65c94010e0267c3420ff88d932086]

CWS-TOOLING: integrate CWS sg01


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [69f9953277463554fbd0e4c15a8a39edecc4e4c2]

CWS-TOOLING: integrate CWS dtardon01


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [47e5667e4d53e5498ab4a4d41854221a77a17039]

CWS-TOOLING: integrate CWS linuxaxp01


2010-04-20  npower Developer  <npower@openoffice.org>  [20f890a83eae0eb9e829cc6fb0790146c19a830a]

remove some stray instances of lcl_getObject ( now implemented in ModuleInfoHelper::getObjectName )


2010-04-20  sb  <sb@openoffice.org>  [5d2893229fc4bec5cd2fcabbd90ac0c414ca4253]

sb120: #i109916# prevent frm::OInterfaceContainer::fakeVbaEventsHack deadlock (patch by fs)


2010-04-20  Jens-Heiner Rechtien  <hr@openoffice.org>  [e207699df279ca4891645f88cfe9a08569597c5e]

dv12: Merge with DEV300_m63


2010-04-19  npower Developer  <npower@openoffice.org>  [734f4532a5f48c78ef83c9b3a1e2cecef67871c5]

npower13_objectmodules: fold in review comment ( about making lcl_getObjectName & lcl_getModuleType  'real' methods of a helper for basctl)


2010-04-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [381c59859605907be1f21e46fd741701202f8191]

dba33f: post-rebase build problems fixed


2010-04-16  Daniel Rentz  <dr@openoffice.org>  [56a832522bd2b6ff81104dd92864d4ea4c0f8237]

npower13_objectmodules: uppercase UNO constants


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8530e78d705cda9c22b93eea30aea7ae17f71665]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [2165e104cf4e670d14075da4c6d938865f9bb8ad]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Ingo Schmidt  <is@openoffice.org>  [8e62aa4d8fbb5729bc73af98b98dd026ace89806]

native299 #i110930# preparing new JRE6U20


2010-04-16  Ingo Schmidt  <is@openoffice.org>  [84250640f73104ea3b76dffb9a5ed2d5f81be130]

nativeb #162023# new broffice bitmaps for nsis download installer


2010-04-15  Mikhail Voytenko  <mav@openoffice.org>  [9e54849413645ff65921f2645b01b3f1493cea38]

fwk138: #i87496# let the UNO type be used


2010-04-15  sb  <sb@openoffice.org>  [bc39f740b85d5eec385b8b0e8017c16b95aeb78c]

sb120: merged in backout from cws/sb118


2010-04-14  sb  <sb@openoffice.org>  [f16a22b82c578482cc4a2df7dd845182c363d403]

sb118: merged in backout


2010-04-14  Kurt Zenker  <kz@openoffice.org>  [0b9258ac8d7c2adaeb523b1795ee3f07ee1bc026]

masterfix: #i110833# patch applied to prevent a build error without GTK


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [6cb9d714b56b19d52424c76feef325f276056c32]

CWS-TOOLING: integrate CWS sb118


2010-04-14  Mikhail Voytenko  <mav@openoffice.org>  [8ebb28684da7803f9e28c6e996135c5f1ece0c8e]

fwk138: fix warning


2010-04-14  Mikhail Voytenko  <mav@openoffice.org>  [fdc4d07cb950e353f77973a0ab1104a4bf60a06d]

fwk138: fix warning


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [e096c4254a61d7bdcfc46ad375cfd4dbd91279ab]

cws tl74: merge with DEV300 m76


2010-04-14  Dirk Voelzke  <dv@openoffice.org>  [198a022560896ae0a8fcafc7961ece44a6db6687]

nativeb: #i110754#: rebranding nsplugin


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [3beda856f1b58d0b684563e6a58f34a269b5123a]

CWS-TOOLING: integrate CWS sb121


2010-04-13  Mikhail Voytenko  <mav@openoffice.org>  [9e1117fcadf74dcef5a5b2af52648ac0fbf9e3fd]

fwk138: #i87496# add header


2010-04-13  Mikhail Voytenko  <mav@openoffice.org>  [1ecb12cbc746235f13f775098fcd38336a5ea3f3]

fwk138: #i87496# Use the UNO constants


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1d77668369bcd8600a564df9473997604a9654a0]

slidecopy: merge


2010-04-12  Steffen Grund  <Steffen.Grund@sun.com>  [b75631e86cb8009ff94e21cb8c18c1af572bba6c]

sg01: merge with DEV300_m76


2010-04-12  sb  <sb@openoffice.org>  [ab2cc80cfb529baa92cbd7e5f3a0ad3d0b9f420e]

sb121: merged in DEV300_m76


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [081b8994a53d61e0db1bf72b81faf29a9edac04d]

cmcfixes74: merge with DEV300 m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b3f3fecbf07040fe7550d05548fbc21263be9398]

slidecopy: merge CWS wth MWS-m76


2010-04-08  npower Developer  <npower@openoffice.org>  [642519a9a80309fe1c9f869779687d809cc2ff32]

npower13_objectmodule: merge heads ( from merge to DEV300_m75 )


2010-04-08  npower Developer  <npower@openoffice.org>  [1a0c77e86f528ba4321b5f97d6d158e71361c1aa]

npower13_objectmodule: fold in review comments ( for basctl )


2010-04-08  Mikhail Voytenko  <mav@openoffice.org>  [d8940792ebd9ff2376cf86e233f6281f94806304]

fwk138: #i104759# let the string be changed


2010-04-08  Mikhail Voytenko  <mav@openoffice.org>  [b5fd1e6d56b4be0202ab5abcc8e46a84244b6421]

fwk138: #i104759# open the OpOfXML documents in repair mode always


2010-04-08  Daniel Rentz  <dr@openoffice.org>  [addedfabc4cbb477edf9d17fecabe13628c28c9d]

tl78: #i109634# use MAP_APPFONT for MoreButton delta


2010-04-08  Thomas Lange [tl]  <tl@openoffice.org>  [99fd91a44daed111844d773178414f80740a580d]

cws dict321: #i79203# adding Kurdish spell check extension


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [373909f6d57c1522eda210c4394097ec5a417fea]

cws dict321: #i79203# adding Kurdish spell check extension


2010-05-06  Ivo Hinkelmann  <ihi@openoffice.org>  [046eec95621e848393fca635084802a4640cab30]

ooo321l10n: added support for hi qcv-ES sq, removed hi-IN


2010-04-09  Ivo Hinkelmann  <ihi@openoffice.org>  [cecfaccaa94b5c5f26b4defa743daec4571a92bf]

#i110522# fixed valencian entry


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2a1d75228dd9d6abbd6e675831789b3ac37902e1]

slidecopy: VCLEVENT_LISTBOX_ENTRY_EXPANDED/COLLAPSED => VCLEVENT_ITEM_EXPANDED/COLLAPSED (to allow re-using it in the tool panel drawer items)


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0ec089194220e0c4a850ae64239e302362d590d4]

slidecopy: additional assertion when creating the XAccessible for the panel


2010-04-07  sb  <sb@openoffice.org>  [b70947acf3ae887d2ab9e5a9aa8c0d414b913663]

sb120: merged in re/DEV300_next towards DEV300_m76 via cws/sb118


2010-04-07  sb  <sb@openoffice.org>  [08e554fb800d49fed5714e04197559eb54885618]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [94f993c7fed53ad0c52861a228d38815abc0b579]

slidecopy: merge


2010-04-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3f6153e0e46c211d439ef88c073740672655fca4]

slidecopy: silence warning 'bout unused parameters


2010-04-06  Mikhail Voytenko  <mav@openoffice.org>  [7ade3d638b7562889777bffb2ae20687ed6e2715]

fwk138: #i110177# fix typo


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3674601559fe0d71fb64ee82705755f0de562dc7]

slidecopy: event notifications for inserted/removed panels


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2d403ce43bf2d486c79aff3999330d8588c4368d]

slidecopy: the A11Y API for the PanelTabBar now also includes the scroll buttons


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [00c7774641ab1b976f5fa9b0afeaf4fe3d58a742]

slidecopy: improved A11Y API implementations for the ToolPanelDeck items left: - A11Y representation of the scroll buttons of the PanelTabBar - AccessibleToolPanelTabBar event notifications - consolidate AccessibleToolPanelDeck/TabBar/Item?


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3313876b218beadb94890e899e89c4e3710e3934]

slidecopy: initial version of the A11Y API for the tool panel deck's tab layouter. Effectively, the implementation showed that the current appraoch of the Deck having n+1 children (n panel selector items, plus one active panel) doesn't work. So, a next step will be a re-factoring so that the PanelDeck has 1+x children, where x children are provided by the layouter.


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2eaf82b544df7565cbd42c613887f003d895ddca]

slidecopy: #i10000# (unxlngi6)


2010-03-31  Carsten Driesner  <cd@openoffice.org>  [bf00ea9073baba0cb0de0881f6f1189af9a281d2]

nativea: #161909# Exchange names and URLs


2010-03-31  Eike Rathke [er]  <erAck@sun.com>  [b24a8db9b543979d5bcacb239648359da5d11af1]

OOO321l10n: #i110522# added qcv-ES for Catalan Valencian l10n


2010-05-05  Ivo Hinkelmann  <ihi@openoffice.org>  [bba0c6a0ac1dcb26580142871f6a10f7c712e02d]

nativel #161976# new license file structure


2010-04-13  Mikhail Voytenko  <mav@openoffice.org>  [fc6014684e3ae23386dd2e8abb2a4e2bccd3c10f]

fwk140: #i110747# integrate the patch


2010-04-28  Mikhail Voytenko  <mav@openoffice.org>  [e4c05b4fde8c17dc3e24228f01cb9e9f19a139ff]

fwk141: #i111191# do not use RegDeleteKeyEx for 32-bit library


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [d612635a3e41101d6b693525b4e6f405f9133adc]

CWS-TOOLING: integrate CWS nspluginglobal


2010-04-14  Mathias Bauer  <mba@openoffice.org>  [de2ab2d6ee995b063c51beb70dae74da3506f858]

CWS nspluginglobal: merge commit


2010-04-14  Mathias Bauer  <mba@openoffice.org>  [b1ffc85fd202e0db6596eb7804b549fd57db4dc8]

CWS nspluginglobal: #i49590#: warning fixed


2010-04-14  Rene Engelhard  <rene@openoffice.org>  [30684f6bd8e06c02f74c0f4104f36d6d123907b6]

nspluginglobal: ifdef UNIX -> LINUX and add missing ifdefs


2010-04-14  Rene Engelhard  <rene@openoffice.org>  [5682096f829fea7f4da9ce948b8c790bd1bab62a]

nspluginglobal: remove unsed variable for WaE builds...


2010-04-13  Rene Engelhard  <rene@openoffice.org>  [c6a370aa11aa917f328082e69837768e3cda3c09]

nspluginglobal: disable "Mozilla Plug-In" page in options when we have the plugin registered globally


2010-04-13  Rene Engelhard  <rene@openoffice.org>  [d8eb594295341da829cfe0adf20483f7f13c3cf9]

nspluginglobal: add patch to make mozilla plugin work when registered globally


2010-03-31  Vladimir Glazunov  <vg@openoffice.org>  [cf514ff2ecfc067baaec443df7124a046b9f5769]

CWS-TOOLING: integrate CWS mingwport29


2010-03-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0bda5575d6f78540a9a212b458bdfc2c2c635d30]

slidecopy: more A11Y implementations for the ToolPanelDeck


2010-03-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d5876fa4ed2089d8741e8ed4231cf8012dc9342d]

slidecopy: A11Y for the ToolPanelDeck VCL control


2010-03-25  Thomas Lange [tl]  <tl@openoffice.org>  [0fdaab2b7f2b556949ff0c395bd0e9d69cedaad5]

cws tl78: merge with DEV300_m75


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [6d64cd3b482a8fb5734145beec3dde485157ebb3]

cws tl78: merge with DEV300_m75


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [6d3b699435a9c21aa98c3ff3356050dab043920c]

cws tl74: merge with DEV300_m75


2010-03-24  tono  <tono@openoffice.org>  [32d363c0b9d24dc72626357b77e7561b3dbe79de]

i#110193: Mingw port update fix: subject name of certificate in xmlsec


2010-03-24  tono  <tono@openoffice.org>  [c1f9e0ca8b8cdec49c861a22f4e91b953abff498]

mingwport29: merge with DEV300 m75


2010-03-23  Mikhail Voytenko  <mav@openoffice.org>  [1c0b40dff783426df2c50e311a729ffe9eb0923f]

fwk138: #i105549# integrate the patch


2010-03-23  Mikhail Voytenko  <mav@openoffice.org>  [fed3bced6461c5464d61cf9d152b623ab1c0c793]

fwk138: #i106389# integrate the patch


2010-03-23  Mikhail Voytenko  <mav@openoffice.org>  [0a9584b0669bd7edb331a2d8a44b21855f0c9c86]

fwk138: #i87496# publish services, interfaces and etc.


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [b030195cde88adc509af906d5d8e43a67d9450d1]

npower14miscfixes: merge with DEV300_m75


2010-03-19  Thomas Lange [tl]  <tl@openoffice.org>  [61e48f45116c2290983e38737a56ba2fa44af6b4]

cws tl79: #i110254# new 'Security' tab page


2010-03-18  Ingo Schmidt  <is@openoffice.org>  [d8a0716f91d80e9d388df2542c94cfcbdad938f7]

native0 #161764# new nsis bitmap


2010-03-17  Steffen Grund  <Steffen.Grund@sun.com>  [2f3978fdef0b8e7c2b1cc1d3510450076f324e69]

sg01: merge with DEV300_m75


2010-03-17  Ingo Schmidt  <is@openoffice.org>  [cf1ce6eb45c079f4b925793c88806f33db032384]

native0 #161763# new windows download icon


2010-03-15  Caolán McNamara  <cmc@openoffice.org>  [d6e52156767f5a4827f205a25404b7fd19808419]

linuxaxp01: #i110145# first cut


2010-03-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c800efed84c905a7f5dfbbc40a7fb4ccf4c732cd]

dba33f: #i110036#: when creating new controls or grid columns, set MouseWheelBehavior to NEVER


2010-03-15  sb  <sb@openoffice.org>  [2a6799a09a70d5a3868de14f5f9ac751e4806ede]

sb121: merged in DEV300_m75


2010-03-12  Ingo Schmidt  <is@openoffice.org>  [89e592f8e6ffa14c7b772a528755f3813e7352fb]

native0: #161763# new bitmaps for OOo


2010-03-12  sb  <sb@openoffice.org>  [5ccf3c471aaa186076028ce691bd6ec7d1e151e4]

sb121: #i86044# call crash_report with full path (and make some simplifications)


2010-03-11  sb  <sb@openoffice.org>  [80de3745ed37ab2887991fbe60f00afc0990ae55]

merged in re/DEV300_next towards DEV300_m75


2010-03-11  Frank Schönheit  <fs@openoffice.org>  [0f8f144afd639409066daa2bcff93f7087dd98df]

dba321a: #i109535# grid columns now returning proper types in getTypes


2010-03-10  Steffen Grund  <Steffen.Grund@sun.com>  [e21b717bac4e0c02071bbfd34955ee08dd84e861]

sg01: merge with DEV300_m73


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [59c89deac84fb624c9271c6252e2e9e267ded1a8]

CWS-TOOLING: integrate CWS jl137


2010-03-10  David Tardon  <dtardon@openoffice.org>  [04a84909c99aa0ca9b98b6d38cf50fa684ca94f3]

dtardon01: update to DEV300_m74


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [d73958a7dd985979d6d617d76f60f31d4a990d38]

CWS-TOOLING: integrate CWS mingwport28


2010-03-10  Thomas Lange [tl]  <tl@openoffice.org>  [e85b68d95cc268b6147f5344d244628c6b4db880]

#i109999# added missing help id for automatic testing


2010-03-09  sb  <sb@openoffice.org>  [ac1599f3afaa7706807e880f69964d7ddf85b49d]

sb120: #i109978# removed --disable-qadevooo


2010-03-09  Thomas Lange [tl]  <tl@openoffice.org>  [12d0091a22326c2146cbd005268c745e582041ab]

cws tl74: #i109418# fixed an issue with the hyphenation dialog


2010-03-08  obo  <obo@openoffice.org>  [d9b024d8fbf65ec3a5941b6f1c12fdd448b96a1a]

#i10000# build hangs in accessibility/source/extended for unxsoli4


2010-03-08  Thomas Lange [tl]  <tl@openoffice.org>  [3236907874418a04683aee334dc35bb887a3cd0c]

cws tl87: #i109634# password to open/modify dialog


2010-03-08  Thomas Lange [tl]  <tl@openoffice.org>  [05321c895f23278ad9621e2646b29e34b72eeaa1]

cws tl78: warning free code


2010-03-05  npower Developer  <npower@openoffice.org>  [8d80fc1e600e4c6bdb317578c2ab3c0c7156446e]

npower14miscfixes: #i103859#


2010-03-05  Thomas Lange [tl]  <tl@openoffice.org>  [e9433c33f61f22d7343307e6294e611d2bd0d47e]

cws tl74: #i107721#, #i108358# fixed broken SVX_RES to CUI_RES after merging to m73 where those dialogs got moved to cui project


2010-03-04  sb  <sb@openoffice.org>  [8c12b5384409ece21c59446fd3f9280e21064b87]

merged in re/DEV300_next towards DEV300_m74


2010-03-04  Thomas Lange [tl]  <tl@openoffice.org>  [02ea5eaccc5b07a387fa5bcad2b2691f2db7c46e]

#i109634# password to open/modify dialog


2010-03-03  npower Developer  <npower@openoffice.org>  [669019a788ac77db6a683147867188314eadfb36]

npower13_objectmodule: #i109734# fix a couple of problems, a) introduce lazy init of xModule for ModuleWindow ( needed because we get the module added before basic is updated ), b) fix compile warning, c) make sure elementRemoved really does try to remove the ModuleWindow


2010-03-03  npower Developer  <npower@openoffice.org>  [ee5ee8ecccb6beef33d803d17097f8c214cdc181]

npower13_objectmodule: #i109734# re-instate listening for module creation/delete ( useful generally I think )


2010-03-03  npower Developer  <npower@openoffice.org>  [ea648b2a1e575e4a09483695d272f8115e04422a]

npower13_objectmodule: disable IDE changes


2010-03-03  npower Developer  <npower@openoffice.org>  [2bd93e53faa77b3f1fca62874c40f868b052ff53]

npower13_objectmodule: clean up IDE changes


2010-03-03  Ingo Schmidt  <is@openoffice.org>  [f7889e16741dc77a4c4f6fc07a86879e3d657148]

native0: #161646# new vendor


2010-03-03  Thomas Lange [tl]  <tl@openoffice.org>  [0f90e79325ecc9c8eaa7d142fe985b9b35e68808]

#109634# password to modify dialog


2010-03-03  npower Developer  <npower@openoffice.org>  [a08d1c88c8d103f3526919705b9cec1677e33431]

npower13_objectmodule: tweak IDE to only run macros from cursor in VBA mode


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [a3cb7e3b32d42f21380f7e3edfaf529a0a496f02]

CWS-TOOLING: integrate CWS native278


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [f9bca57296fe6b413e4bbd4284a265f5693a4878]

CWS-TOOLING: integrate CWS sb119


2010-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [c01c98dd38714845043510cc904d3b4c2e127ffc]

CWS-TOOLING: integrate CWS jl145


2010-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [287063196da968b69195b2cecbaaa43e392acef3]

CWS-TOOLING: integrate CWS sb111


2010-03-02  npower Developer  <npower@openoffice.org>  [216a20edf8d3be44582017f9f2827174685463a6]

npower13_objectmodule: #i109734# object module stuff


2010-03-01  sb  <sb@openoffice.org>  [851a277fd3d3775fd281b1ccca33dcccf2231db4]

merged in CWS sb119


2010-03-01  Thomas Lange [tl]  <tl@openoffice.org>  [dea0df3e3ddcd56bd33b64c369bb6795dcf681db]

cws tl74: #i107721#, #i108358# fixing build problems after merge with DEV300_m72


2010-02-27  David Tardon  <dtardon@openoffice.org>  [1c7cc0734006bb51cbfe029591ca1aedd01ecccd]

dtardon01: update to DEV300_m72


2010-02-26  Dirk Voelzke  <dv@openoffice.org>  [3af3c9395a61bbf6337db01418ae7000040ba230]

nativ0: #161144#: Call survey for OpenOffice.org only


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [00e5e3e3b95c9da085605f6fc46ed53f3f71c0fe]

calctabcolor: resynced with the repository to get more recent changes in.


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [60e1131f1fe1ed81e8921201ddd036936513b71e]

calctabcolor: rebased to m72.


2010-02-26  sb  <sb@openoffice.org>  [278c9273d332482d154a4332c22488787f5c8d1b]

sb119: merged in DEV300_m72


2010-02-26  Thomas Lange [tl]  <tl@openoffice.org>  [71f05b4374b121a11b2e672a417ce1a92890b6f2]

cws tl74: merge with DEV300_m72


2010-02-25  sb  <sb@openoffice.org>  [a01c3f469c29e0ca00ec8a0dfd9cd9c474c37a98]

sb111: merged in DEV300_m72


2010-02-25  Frank Schönheit  <fs@openoffice.org>  [6611b608b8aed9e104cf411d0a93f9b4e6b47549]

#i109081# translateDbColumnToControlValue: force the current value to be the same type as our bound field (if we have one), since the values we will compare it with will also have this type


2010-03-30  Ingo Schmidt  <is@openoffice.org>  [29fd546272cd9cda7170a5d17def9f230f427f70]

native292 #161926# new jre6u19


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [a078a0a057dc6e1aaed5eea11b010036097ff616]

CWS-TOOLING: integrate CWS installer10


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [c5665c0567bbb55d5fb38ba062e6d4337109e7d1]

CWS-TOOLING: integrate CWS ause117


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [f2de3c5a2c39143d9f3a54315791bb260fd7c070]

CWS-TOOLING: integrate CWS dtardon02


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [4280dd23060c70d795a71739e6782c3ef93dae19]

CWS-TOOLING: integrate CWS cmcfixes73


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [56fb48ba7338d77f3d82b0ce13b881486cf8cbeb]

CWS-TOOLING: integrate CWS writerfilter07


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [b5f1c61e48de63cd1ca96ee7f14e4057116588a9]

CWS-TOOLING: integrate CWS native290


2010-04-02  Caolán McNamara  <cmc@openoffice.org>  [90e8ec653f16f80445f950df7fd6b5d277170132]

cmcfixes73: #i110566# silence gcc warnings


2010-04-02  Caolán McNamara  <cmc@openoffice.org>  [9aab7e045b089951975bb6f11224a534e6b7aacb]

cmcfixes73: merge with DEV300 m75


2010-03-24  Hans-Joachim Lankenau  <hjs@openoffice.org>  [f1aab29b6c197e79a8f1c30e1c3c461954bfc581]

ause117: #i110262# more targets that require rpm


2010-03-24  Ingo Schmidt  <is@openoffice.org>  [3e3637ee7f59d9a67b2d1544582def96de0d3dae]

native290 #i107880# allowing spaces in pathes to linux installation sets


2010-03-24  Hans-Joachim Lankenau  <hjs@openoffice.org>  [ea4323886445ba2071a47598e23808be9779ade6]

ause117: #i110262# just call rpm if you want/have rpm


2010-03-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [8af53d0a62d585a47971550719d4f5052fd05e58]

writerfilter07: merged DEV300_m75


2010-03-22  Hans-Joachim Lankenau  <hjs@openoffice.org>  [5ad67d3d4b7e4542e22b2399b8598547832dd8ef]

ause117: #i110262# make noarch group writeable


2010-03-11  David Tardon  <dtardon@openoffice.org>  [8f7ad54b44d1ae40939c24efef1f0e796f490af4]

dtardon02: #i108497# remove empty file in basctl


2010-02-25  Dirk Völzke  <dv@openoffice.org>  [6fd58660e70487c1d86fcbc1ad45a86331f885f7]

#i96594# Allow customization of 'register for Microsoft File Types' in custom setup


2010-02-25  sb  <sb@openoffice.org>  [9538b8c4117bdcbba4c2cec0153672254978639f]

sb118: merged in DEV300_m72


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [d20958ac13853b2346995f14a0fa05d8aed38ea8]

calctabcolor: Use static constant values instead of macro define for more type safety.


2010-02-23  Ingo Schmidt  <is@openoffice.org>  [cbee5bffc4f9799b507ed20dd919f93305a6f25a]

native0: #161646# new parameter for unopkg


2010-02-19  sb  <sb@openoffice.org>  [90c1126d19b572c4fa1b2db0eba0c2b658ed381c]

sb118: fix lifetime of InitUpdateCheckJobThread, preventing modification of deleted object (m_pInitThread->setTerminating(); in UpdateCheckJob::notifyTermination)


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [26184096de4a1586ef7b22aca962f975383b45ab]

dba33f: #i109431#: need a css.form.runtime.FormController, not the legacy css.form.FormController


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [71d34247b329e6c3cd41c1f8d022f1b0f923898b]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-17  Kohei Yoshida  <kyoshida@novell.com>  [5d608f9f4461bac29856f36adcb65a5c4f20a161]

calctabcolor: rebased to m71.


2010-02-16  Vladimir Glazunov  <vg@openoffice.org>  [a8fb1a5194435417e8672e7a9331a7d10c5d41ef]

CWS-TOOLING: integrate CWS cbosdo01


2010-02-16  sb  <sb@openoffice.org>  [411a33f6b9bbf872ecbe5d299aba6c4ca76eab2c]

sb118: adapted remaining */qa/unoapi tests to new framework


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [6ed61cf2206f699b5dae6bf872976b6ea879775f]

CWS-TOOLING: integrate CWS cmcfixes71


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [3e1990b36c7f24a1682949c6d19ead86b10f7d52]

CWS-TOOLING: integrate CWS dv17


2010-02-12  Vladimir Glazunov  <vg@openoffice.org>  [01c92c45ebb2015f4642fcbb303b5841504e4ed4]

CWS-TOOLING: integrate CWS kohei03


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [7a22386c58f390e1c290d43378997023571111dc]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [d9a8d4a0a881bd82c02d219a930952daacefd991]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  Thomas Lange [tl]  <tl@openoffice.org>  [16da6c5370dd986dbabebd3a30722d67485dc2fe]

cws tl74: merge


2010-02-12  Henning Brinkmann  <hbrinkm@openoffice.org>  [d5579131e000c8e716169ef3f334f61842bf2e6b]

writefilter07: merged DEV300_m71


2010-02-11  sb  <sb@openoffice.org>  [a4ec1c3e6a35032da5f1863166a403b3bbc9677b]

sb118: #i109112# re-purpose EXTRAJARFILES


2010-02-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [abafb7616d6f3d3d03873ef9a7dfbda0dfc7ce9f]

automated merge from dba33e


2010-02-10  os  <os@openoffice.org>  [2c560df4f6c9326003e523ab3aa5fb31189c826d]

update to m71


2010-02-10  tono  <tono@openoffice.org>  [dd467b63144374ad73c4382cc812b2d308d529b6]

i#109027: mingw port: Fix WeakReference assigment failure using WeakReference::clear()


2010-02-09  Ingo Schmidt  <is@openoffice.org>  [a46b6230445da47fe63739497e501eb30a552c27]

native0 #161619# preparations for o5office


2010-02-08  sb  <sb@openoffice.org>  [0c29e04c03e027854b8e1390c97ef44ea69121c6]

sb118: fixed merge error


2010-02-08  os  <os@openoffice.org>  [d1e6c2bd6e1f1688245057be1721de3743fc30d6]

#i103024# display and use of tab stops fixed


2010-02-08  Ingo Schmidt  <is@openoffice.org>  [d1da79d20790fba339a34274796275ab9b288808]

native 0 #161561# fixing merge problems


2010-02-08  sb  <sb@openoffice.org>  [23cb3ac3d243a467173267d7058d9e340f6f6a07]

sb118: merged in DEV300_m71


2010-02-05  Thomas Lange [tl]  <tl@openoffice.org>  [dec6f0c452024e9023f9adb751a4f33a907c2eb2]

#161586# allowing for thesaurus vendor images


2010-02-05  Vladimir Glazunov  <vg@openoffice.org>  [180c6e2796e86867a21961da7c5b1fe401edb7dc]

CWS-TOOLING: integrate CWS svxsplit


2010-02-05  sb  <sb@openoffice.org>  [53c5c504099d672bcc767868651215d51a853401]

sb111: merged in DEV300_m71


2010-02-04  Mathias Bauer  <mba@openoffice.org>  [47ea589338e84c860c077afdcfced43ca5505e28]

CWS svxsplit: merge with m71


2010-02-04  Vladimir Glazunov  <vg@openoffice.org>  [aaabb811e48afafd02552d6f4cdec688683c644b]

CWS-TOOLING: integrate CWS ab71


2010-02-04  David Tardon  <dtardon@openoffice.org>  [0692bd6a7b8bec8e1079a03d804e117a1b60d0f4]

dtardon01: update to DEV300_m71


2010-02-04  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a590e4ca97c4061e45fbdc3cc5edb6de91857a16]

Merge from DEv300:m71


2010-02-03  Caolán McNamara  <cmc@openoffice.org>  [c895f7e192399b8656b4e162607deb70e55c8197]

cmcfixes71: merge with DEV300 m71


2010-02-02  Mathias Bauer  <mba@openoffice.org>  [367384eac00c198e170a0d20fed82b81274b00bf]

#i107450#: some fixes for problems found in CAT0 test


2010-02-01  Release Engineering  <releng@openoffice.org>  [250f8b1b2ed681d4692fe13e167b6b6a39ceec0f]

#i10000# reenabled missing include


2010-02-01  sb  <sb@openoffice.org>  [5a4507f70fbaf3c96776515c78123ca0a680c7df]

sb119: merged in DEV300_m70


2010-01-29  sb  <sb@openoffice.org>  [fc98fb3dfbe7302e334151b561664dfbcbdd26a0]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [26d36b6902d6ed952432cc723e958650213d1db6]

CWS-TOOLING: integrate CWS l10ntools


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [a05369d407a025ca9e6aac7e9a1f35869727e7bb]

CWS-TOOLING: integrate CWS koheidatapilot03


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [8876bb3e9704ce51659ea40b65423bffe4fdfdf6]

CWS-TOOLING: integrate CWS native280_DEV300


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [65a9f49b4b5c1cdca19e9ed875cdb7fabf833206]

merge


2010-01-28  Jens-Heiner Rechtien  <hr@openoffice.org>  [c7b2036850cff87311ee12d95795f7415df85ffb]

koheidatapilot03: merge with DEV300_m63


2010-01-28  Jens-Heiner Rechtien  <hr@openoffice.org>  [9f45d9be1c4185066cc2138c6244b1c8b5ebd19c]

koheidatapilot03: merge with DEV300_m60


2010-01-28  Jens-Heiner Rechtien  <hr@openoffice.org>  [14a24d0d60d55612e56c22408fd52c73afd54889]

koheidatapilot03: merge with DEV300_m57


2010-01-28  Jens-Heiner Rechtien  <hr@openoffice.org>  [9ef6125e16b8f0b539da93fa7acf8b2df6427408]

koheidatapilot03: merge with DEV300_m56


2010-01-28  Ingo Schmidt  <is@openoffice.org>  [175bd1aab3a06f8213399da64eee32fab90b2a68]

native0: #161561# new product


2010-01-27  Ingo Schmidt  <is@openoffice.org>  [b58cae50b14c24cc869c3c0a0b03625fbac5c792]

native0: #161561# new products


2010-01-27  Ingo Schmidt  <is@openoffice.org>  [a1d9b0cb18932c86ecadae58fe5fd4d399d84351]

native0: #161561# changes for Oracle products


2010-03-04  Ingo Schmidt  <is@openoffice.org>  [e4250f754712d8e1e6218e53e2f27e9b0d9900b5]

native287 #i92147# fixing langpack problem


2010-03-24  Vladimir Glazunov  <vg@openoffice.org>  [5c4f5db0f36ab2b0cf93861d6ba8329b4fb3440a]

CWS-TOOLING: integrate CWS mtaccfixes


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [b6fc7078718dd2fe29a05ea5c51747bcf6f36518]

CWS-TOOLING: integrate CWS autorecovery


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [733824ead1795808e865ebef430d824511c9c172]

CWS-TOOLING: integrate CWS sw33bf02


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [af38b9e3fa0d60acb8313cd2e7b161634a04e127]

CWS-TOOLING: integrate CWS vcl109


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f007b261dc1e4ed890541b968040a87bfce1ada5]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-03-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [ba5aa7cbd27cc67d2a00cf50ab8c2719ce66d254]

sw33bf02: merge with DEV300_m74


2010-03-02  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [0104238402405f8a41466798fdd33070622e7996]

mtaccfixes: merge with DEV300_m73


2010-02-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4e1da8156af374e9d237e59344dad54194fac95c]

autorecovery: pass a MacroExecMode when creating a blank document - with the changed implementation, it is not (as before) by accident that a suitable MacroExecMode is set automatically


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6b64a89b08f3bb33ab9896108bd743ddf967670d]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-19  Malte Timmermann  <Malte.Timmermann@sun.com>  [9c59387b9f61e7cb51177244548865db6bc352aa]

mtaccfixes: #i100788# group lines support accessible text now


2010-02-19  Malte Timmermann  <Malte.Timmermann@sun.com>  [02a5be07445be8b9407bf7d7f9909646cf14f36f]

mtaccfixes: #100833# FixedLine needs to be in correct z-order


2010-02-18  Malte Timmermann  <Malte.Timmermann@sun.com>  [f046b85e6b8aa7d6b40036a7b25b0225c7efdb0e]

mtaccfixes: #100833# FixedLine needs to be in correct z-order


2010-02-08  Malte Timmermann  <Malte.Timmermann@sun.com>  [4787287e524cc8c5efe0b587ed13f1dfb7a18d19]

mtaccfixes: #i104470# Don't notify selection changes for caret movements


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d72d188bc9bbe5c7e1edd10f57ba422bcd784115]

autorecovery: allow for a human-readable DocumentServiceName instead of this strange class ID when creating a document definition


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d8ec31150daf48288efd443e145fc56b590f78c3]

autorecovery: use a human-readable media type instead of this strange class ID


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [be53dcb94cd70aed79319ef59f9852b4b2c1d10a]

autorecovery: merge


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b9c20e19e1278f2ded364e886d67ed664ab25e89]

autorecovery: merge


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [165875718847f3d7a67379647dc4b9d5e9a6d51a]

autorecovery: merge after pulling CWS dba33e


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [97ee9a5ef0b8fa16afb359235cfec13975dc04b9]

autorecovery: form and report wizzard now also using XDatabaseDocumentUI, instead of manipulating document definitions

All database object wizards by now employ XDatabaseDocumentUI. This way, it is ensured that the controller
has the full control over the opened sub components.

Still, other third-party code could use direct access to the document definitions, and open sub documents this way.
This would go unnoticed by the application controller at the moment. I would be possible to fix this, by introducing
broadcasts from the document definitions, listened to by the controller. But as this sounds like a rare case, and
XDatabaseDocumentUI is the preferred way for third-party components, too, such an implementation is deferred to Later ...
2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b9091f12baf6c64a8419dba85371b41d19ab7665]

autorecovery: post-rebase build problems solved


2010-02-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [0ef144f8780d4b7c9e86731618eeb51b88138f5c]

sw33bf02: merge with DEV300_m71


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [030c86e9830f1c523a134b1923a2a50e366ed42d]

autorecovery: commit resolved merge (after rebase to m71)


2010-02-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [de9bdec4482ee2cdb78cccc382bd1ed58e11e03f]

merge with DEV300_m71


2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a749a7163acbdb919579b6911042db73d470c18f]

autorecovery: more unused interfaces removed


2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c71033cae619abdd29d4f5ead3bfb65145da7b1c]

autorecovery: populate the 'Command' property


2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1e07388cdd2f2ac3a86a520c01b238f6b65844d8]

autorecovery: also moved the QueryWizard to using XDatabaseDocumentUI.loadComponent, instead of opening the sub component itself


2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [10ec15b1e531ee561e727d57e7a9065cb4905f53]

autorecovery: removed unused class XCallQueryWizard


2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [03aba74885c72b4add75d69985f6f39e34974071]

autorecovery: re-work the table wizard so that it does not open the table itself, but uses XDatabaseDocumentUI

Consequently, it does not need to return the created model/controller anymore. This way, the application controller
has full control over its sub components, which didn't work reliably before.

Other wizards (query/form/report) are to follow. For this purpose, they're also to be based on the newly introduced
DatabaseObjectWizard class.
2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [747f8338114c74a21c1dc19a32e54a60ee4c986e]

autorecovery: addDatabaseDocument: do not close the document after having disposed it - this will throw nowadays


2010-02-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c0c22a0286540fce6220edc626f1ef9815ef406f]

autorecovery: more sophisticated configuration data for interaction handlers The generic css.task.InteractionHandler implementation in module uui is now able to instantiate "sub handlers", i.e. components to delegate a request to, based on the type of the request, and some configuration data.

The "old" (and now deprecated) configuration scheme at org.openoffice.ucb.InteractionHandler did not contain type
information, so any handlers registered there were always called when no default implementation for a given request
was available.

The "new" configuration scheme at org.openoffice.Interaction contains UNO type information. That is, a given handler
implementation can declare itself responsible for an arbitrary set of UNO types, and for each of those types, whether
it is also responsible for sub types.
The generic interaction handler implementation uses this configuration data, when it encounteres an interaction
request it cannot fullfill itself, to instantiate a component to delegate the request to.

As with the "old" data, such a component is required to support the css.task.XInteractionHandler2 interface. Also,
if it supports css.lang.XInitialization, then it will be initialized with a name-value pair, the name being
"Parent", the value being the XWindow interface of the parent window for any message boxes.

As an examplary implementation for this feature, the css.sdb.InteractionHandler has been deprecated. Now the
css.sdb.DatabaseInteractionHandler is reponsible for database-related interactions, and the new configuration scheme
is pre-filled with data assigning this responsibility.

Consequently, a lot of places previously creating an css.sdb.InteractionHandler have been modified to create the
default css.task.InteractionHandler.
2010-01-27  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [7bc7c57a735a54affd6c3e1611512b85d0fc1bab]

fixed warning on Linux


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [ae212fe5aed2f34c81ad5bd325a117a6262c18ea]

CWS-TOOLING: integrate CWS dba33d


2010-01-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [475270c298c186f108b195fefb8a2ecf69054b8d]

writerfilter07: merged DEV300_m70


2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [2904a37b6a612e4fdfc9f8d014c0c3141470df2c]

CWS-TOOLING: integrate CWS vcl108


2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [bf3d9cd9239c42b519675611f8da3467dd4557e5]

CWS-TOOLING: integrate CWS kso42


2010-01-25  Ivo Hinkelmann  <ihi@openoffice.org>  [e101d46861f747a2203d1257c464c8c1f29b980f]

l10ntools: #i108657# rename transex3 to l10ntools


2010-01-25  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f957c1643649f620ad45bb9d30126b271f55371f]

cbosdo01: merged with DEV300_m70


2010-01-25  Dirk Voelzke  <dv@openoffice.org>  [ff80bfdc8a8d2a0c80cd5cc1beb0bbe654e2d6d3]

dv17: #i70994#: Proprty handler should work with 64bit, too


2010-01-22  Ivo Hinkelmann  <ihi@openoffice.org>  [c39e23ed0be5ee779db7ba41ef815854f9fd8248]

cws l10ntools: #i107386# #i107993# #ii107992# #i107991# #i108587# Added some buildtypes , fix for broken localize_sl regarding UPDMINOREXT , pmladeks localize.pl ooo enforcer patch


2010-01-22  Caolán McNamara  <cmc@openoffice.org>  [e73551b494d3bae159075271e20189416a94f842]

cmcfixes71: #i108577#: fix automation strict aliasing warnings


2010-01-22  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f86f0fe104bd351b03a48b8458b7c24e7e55354a]

vcl109: #i108553# add forgotten export statement


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [25627ced99f3d0af31b4179fc60daf6b0856ba76]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e86bc3d2a8c51809dcab6c382856c34183e9aefa]

dba33f: #i108548# extend SingleSelectQueryComposer appendFilterByColumn with additonal parameter


2010-01-21  David Tardon  <dtardon@openoffice.org>  [d5e8d3c068a737ca21a2a8e742656e095578aec7]

dtardon01: update to DEV300_m70


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [11f36104f6174e31fe83e9a25cce7cafb974ca8e]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [365f8074cda2c973402089d9426c282a64a5467e]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-21  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [a8b1bffcf38b04877852ae1910c753c348a75eb4]

cbosdo01: Changed the behaviour of nbsp autocorr

* The Non-breaking space insertion autocorrection is now done when typing the
:!?; character instead of the word separator following it.

* Removed the custom quote replacement option in autocorrection.
2010-01-21  Mathias Bauer  <mba@openoffice.org>  [a58b4093a3e31697b24608b020d66f05840916c4]

resync to DEV300_m70


2010-01-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f13efbc5f9f1ce43a22fbe1ac126ad9baea0fb1c]

rebase to DEV300m70


2010-01-21  sb  <sb@openoffice.org>  [7c4794f1785c3dc4a0d6e58bb5f93fb4cccee26a]

sb118: merged in DEV300_m70


2010-01-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [31546b305282ace99356a86368c338dc6c1a9845]

vcl109: #i108499# remove unused files (thanks dtardon !)


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c87ef9cb09b1ba0a696efc47a95f2d54e3f560d3]

dba33e: merge to m70


2010-01-21  sb  <sb@openoffice.org>  [18cc9c75453af2e36df42914b0bdf87a1a4340af]

sb111: merged in DEV300_m70


2010-01-20  Dirk Voelzke  <dv@openoffice.org>  [0428ee3e970ba2c4a8a02b0cb0c0f3d2daf7f3d4]

dv17: merge with DEV300_m69


2010-01-19  Kohei Yoshida  <kyoshida@novell.com>  [3dc031b4149f6975f13d67922ed955ae50dcace0]

rebased to DEV300_m69.


2010-01-19  Michael Stahl  <mst@openoffice.org>  [d50ef4e72add9fc054794ff1c737381b2f9fb6f6]

sw33bf02: xmlsecurity: deliver unix libraries to lib, not bin


2010-01-19  Mathias Bauer  <mba@openoffice.org>  [6615bf778310e0fb6792aea3e0825bb166dd3913]

#i107450#: some problems with the dialog factory


2010-01-19  Joachim Lingner  <jl@openoffice.org>  [1481a8b26e67e742a6a1269387da28d6bced0a6f]

jl145: #i108452# tests for digital signatures


2010-01-19  hb  <hbrinkm@openoffice.org>  [28e4686219c2a992323a3be0162d065e9580520d]

merged DEV300_m69


2010-01-19  Steffen Grund  <Steffen.Grund@sun.com>  [44a500fdec9e13dfccae34973a7890c8edc4ffc2]

#161490# removed scheme vnd.sun.star.wfs


2010-01-19  Steffen Grund  <Steffen.Grund@sun.com>  [f0838c01b748062ab870e0cae087b561ec32fc8c]

#161490# removed scheme vnd.sun.star.wfs


2010-01-19  Mathias Bauer  <mba@openoffice.org>  [db4ad0ad8d92a5dc57da9048d83c36e97a8a148a]

#i107450#: use reliable way to access attribute name strings


2010-01-18  sb  <sb@openoffice.org>  [5884a9e5933f10c4b1d833b8cb23569916596b4a]

sb119: merged in DEV300_m69


2010-01-18  sb  <sb@openoffice.org>  [c5f6d12d8a59a85b58c34afb1be3f0e6d46cb702]

sb119: #i108102# clened up --enable-crashdump and crashrep/


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [8261856e129451a0ca863de573e5a64fcb733e16]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [6e925d7b195a878c1b013fb65e27ed7bac671a73]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6f6cec822d1ba7ac945e7a3a3225fb16d5ab1a47]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [edc76e6af55523fc5ad4276fc9e575ab2dcf10ca]

cbosdo01: Removed remaining code for the Fraction autocorrection


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [87658d390683b2f1cfecd04bec9fff704fb045f9]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9805f6087a6510c8624edc2c616c820c3f3f99c4]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d8da951461a9d25dfb373f7d105c1e5e324c0072]

dba33b: merge m69


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9088e3905a28fa0142857c06043c716c7fc280bf]

Automated merge with http://hg.services.openoffice.org/cws/dba33d


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [50f9dde4107734d0e1cdddf4fae8e4ababcc3d07]

dba33d: set the control only when not before or after last row


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [819fc49e69d19c9d71c64b580e877969d45268a5]

undo previous erroneous change, solar.hrc belongs to svl instead vcl now


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [2955bfb26cafe6c421b8a40e0d7d0c975d2162b8]

rebase to DEV300_m69


2010-01-14  Mathias Bauer  <mba@openoffice.org>  [f3193a449f06a7466d3dae35d16222835cd59b36]

#i107450#: more files moved out of svx


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [0ebd4b0d4ce04e8a11e599092dcc0334b11ba58b]

CWS-TOOLING: integrate CWS dict32b_DEV300


2010-01-14  Ingo Schmidt  <is@openoffice.org>  [969957adb66932c69e7285bd0022f41e905fc5b2]

#i108322# new java6u18


2010-01-14  Thomas Lange [tl]  <tl@openoffice.org>  [bc25e9eafe32fa8c6b107c1e8673a93d23ef07e5]

#i107721# new thesaurus dialog


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4101923f35d9adb088db42fc583bcaecd2184b9a]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a6de50ff91f5b0a43fc69bfcc30d7af724b11637]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [fc33ff5c54bac0d4deed3353d62ed4b8b4795b4e]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [10b700fbdcb8dd841a1261abdabb4425d2e8fb2c]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [203509b25b4d75c23ed8c9716b1b9ca6fed5f3df]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-13  Mathias Bauer  <mba@openoffice.org>  [34b98d5ca3d09423cb919650f7f7106c0e0a89df]

#i107450#: move more code out of svx


2010-01-13  Ingo Schmidt  <is@openoffice.org>  [725749de236408d61c3e11b33d6cf0a44c15470d]

native278: #i105537# correct string for mac language packs


2010-01-13  Ingo Schmidt  <is@openoffice.org>  [26b777a617cf586ed2391c1bbe9dfd4509482945]

native278: #i107880# white spaces in pathes


2010-01-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7fe429b75caa35d575fab43fa494e5bfd113ce98]

autorecovery: initial implementation of a new save/recovery for database documents

For the moment, the document only stores and loads itself, as before.

In this course, the AutoRecovery service now delegates the decision whether or not a document
needs to be stored (to the "salvage location") to the document itself, using the new method
XDocumentRecovery::wasModifiedSinceLastSave, superseded the previous E_MODIFIED_SINCE_LAST_AUTOSAVE
flag.

XDocumentRecovery::wasModifiedSinceLastSave has been implemented for SfxBaseModel, yielding the same
behavior as before.

It has also been implemented for database documents, where the implementation is somewhat "sloppy",
in that it returns always <TRUE/> when any of the opened sub components of the document is modified.
2010-01-12  sb  <sb@openoffice.org>  [aa280d9d5e08274da71c6928a28676641fc963a0]

sb118: #i108269# first step of removing tcsh support


2010-01-12  Joachim Lingner  <jl@openoffice.org>  [d9f0d4bc42dfc45bcf9eb24e74686fe4b7216ae2]

jl145: merge with DEV300_m69


2010-01-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [78257698081ae18066dc041bce03f8093aa37060]

cbosdo01: merge with DEV300_m69


2010-01-12  Thomas Lange [tl]  <tl@openoffice.org>  [d5f145f5b57446f22a5874ec8a476c1fa9c344d2]

#i108247# missing include added


2010-01-12  Thomas Lange [tl]  <tl@openoffice.org>  [daf6181c105a12a1cb37dc0ae52559229ad35ba0]

#i108247# missing include added


2010-01-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [acc2fa86cab825e87994bef70732a650df89b0c7]

sb111: Local merge


2010-01-12  Thomas Lange [tl]  <tl@openoffice.org>  [a8f4defeff82c2b818dcc650891cdcab7187d1ce]

#i108247# missing include added


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e651678244e306154a526ea4db4fe71ecc9fcb36]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33d


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9ffd9c9ff981d49316a55f0bf3678f264f20198e]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33b


2010-01-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [75068d8d8cb93b85f6fbaee788af0f8a59ebd1b3]

dba33e: svx split


2010-01-09  sb  <sb@openoffice.org>  [dc8cd7eb6c1122c752332d9cee626e2ee43f2aa2]

sb118: merged in DEV300_m69


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [68f1e1481298d7b5a8082639c3007e6604d39ba7]

autorecovery: merge after rebase to m69


2010-01-08  Mathias Bauer  <mba@openoffice.org>  [02f9b8dfaee166327ad48ed5a6398cb24cd1cd51]

#i107450#: build all other modules with new editeng lib


2010-01-08  David Tardon  <dtardon@openoffice.org>  [c9f6856ded44c731648481a99b30290e411e8bd1]

update to DEV300_m69


2010-01-08  Thomas Lange  <tl@openoffice.org>  [6cf2d830c25bee70c1c345c1a7acbcbe21bb1366]

#i108111# added entries for ar, en-GB, pt installation sets


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [53b4716949a2eb8a305c67c21a2c54bf42a3d56a]

dba33f: merge from dba33e


2010-01-08  sb  <sb@openoffice.org>  [dda64daf7b0d9503b60aea6fffa6726cc35925d3]

sb111: merged in DEV300_m69


2010-01-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bd5d1fcb74abd77fa9b823602cd4034469502251]

autorecovery: basdoc.cxx needs exceptions by now (well, really, it always needed them, but now the compiler complains)


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [0f400f811e0a99d1fc49875c85a465c7a287b2f8]

kohei03: rebased to DEV300_m69.


2010-01-07  Kai Sommerfeld  <kso@openoffice.org>  [364fea22b780a1732349f18b80cccf8987ad8586]

rebase to dev300 m69.


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [0e9ac6c8bdc0a62d8da6baae18daa478d9026ebf]

kohei03: reverted changes in the cws that were not intended.


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [55a347dc1f7f50b4bb3a3183a1ffb33852f3bdb0]

kohei03: rebased to DEV300_m68.


2010-01-07  Jens-Heiner Rechtien  <hr@openoffice.org>  [c7ef0b75e916253331e8a02f0476ef0302d080d5]

DEV300 masterfix: get_sis_time_string(): correct calculation of month


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4a12d77013fdf5ca626c6a65ea496edc2b458e40]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [8c713307c7903eacbf5203c6f82b1e34455f8df1]

enable hierachical queries


2010-01-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4a7dcb22280e2c68f5cb29c9329fdd410f308488]

autorecovery: allow creating SFX-based documents which do not support the XDocumentRecovery interface For this purpose, the SFX document factory methods got an additional parameter respectively flag ("DocumentRecoverySupport" resp. SFXMODEL_DISABLE_DOCUMENT_RECOVERY). This flag is used by database documents to remove the interface from sub documents (aka forms/reports). In this course, some of the functionality around those SFXMODELL_* flags, previously duplicated in all applications, has been consolidated into a new SfxObjectShell constructor.


2010-01-06  Jens-Heiner Rechtien  <hr@openoffice.org>  [c4acd52280b02607f7df1ad9a3e78f24c6c91f1f]

DEV300 masterfix: #i10000#: add missing <string.h> includes; fix CR/LF


2010-01-06  Thomas Lange  <tl@openoffice.org>  [037941bd7f97b271526fc712a52fa05fcee28c90]

#i101963#, #i101887# fix for missing Catalan and Romanian dictionaries


2010-01-06  Thomas Lange  <tl@openoffice.org>  [9395ba90ea674f1cd168972c5a92f70b93ca38b9]

#i108111# fixed use of English dictionaries for nb, nn, ca and ro


2010-01-06  Thomas Lange  <tl@openoffice.org>  [752e7f6b221afa6bbc21728f49c507664f388170]

#i105565# fixed use of split up German dictionaries


2010-01-06  Thomas Lange [tl]  <tl@openoffice.org>  [f9a73854245b71aac3b2a3b5d7eac12eb10e70b7]

cws tl74: merge with DEV300_m68; AND Unix LF conversion for some files!


2010-01-05  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [db4c4ef9e4d0bae2e52947b80009e37846782b0a]

writerfilter07: merged DEV300_m68


2010-01-05  Thomas Lange  <tl@openoffice.org>  [60d059754a2df8cb9ab7d8e6300df97b3e361c86]

#i105565# 'de' dictionary extension fix (single extension split into three as in repository)


2010-01-05  Mathias Bauer  <mba@openoffice.org>  [be63d4cfb1481b5d37ccc9f2952541bbb6c3aa11]

merge commit for m68


2010-01-05  Thomas Lange  <tl@openoffice.org>  [7dabe4ba9279212c2a4b8226c683f52ce61ac67d]

#i101945# fixed missing Norwegian dictionary packages


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [9f555117df8f8c1a8d07d4b36f751c945458ef51]

CWS-TOOLING: integrate CWS fwk133_DEV300


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [2caec70b67a71adc870c3b71270a27f3d061e115]

CWS-TOOLING: integrate CWS fontooocleanup


2010-01-05  sb  <sb@openoffice.org>  [60d5260ed4cda53981ee712ffbf3d7fc5077c21a]

sb111: merged in DEV300_m68


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [7791b4f0e53eb2036a379d1361849f8b3b8ed5e2]

CWS-TOOLING: integrate CWS sb116


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [81935960958e988f5d1decaef191c2910b004acf]

CWS-TOOLING: integrate CWS d2v02


2010-01-05  Thomas Lange  <tl@openoffice.org>  [233e9c59042bab91e779077601aafd82f9e8407e]

#96422# fixed dictionary list for 'sh' builds


2010-01-04  Jens-Heiner Rechtien  <hr@openoffice.org>  [13c52fef5b1458c8399590ad4fb615e344541460]

CWS-TOOLING: integrate CWS aw078


2010-01-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [d84ca12a86b5f637b6f92101a98b2e01bf749259]

merge with DEV300_m68


2009-12-21  David Tardon  <dtardon@openoffice.org>  [90a987572ebe310cbbbb5921d7976db7b3ec0edc]

dtardon01: update to DEV300_m68


2009-12-21  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [95b72020f99985634dbfe6ddf1f62211583d092d]

aw078: resync to DEV300m68for integration


2009-12-17  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [c4891795989ed2941f3c84fe674232d02c7f2f47]

writerfilter07: merged DEV300_m67


2009-12-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8073768ea9002d60e6511175ec74230927bc781b]

dba33e: #i107611#: display a text sample for text formats, to better distinguish text formats from non-text formats


2009-12-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9ee205cf84cb70da80dc8c66f494388936a21b5a]

dba33e: #i107251#: properly buld the select statement for filling the filter list when the field we're bound to has an alias name


2009-12-16  Release Engineering  <releng@openoffice.org>  [0b6f842a95cba1ac43dad8bc711dc5252934d51e]

#100000# fix for SO build environment


2009-12-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [694536e555ef1dcabcb9a22f679c3efd5bc613d3]

tl74: merge with DEV300 m60


2009-12-16  Mikhail Voitenko  <mav@openoffice.org>  [8f18aeb37e45d41a92a08e7fcf6338a73ee7114a]

#i107688# handle the broken documents correctly


2009-12-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9a51ab0b78784edaa966e8dbe50f1e82ee4f8c5e]

dba33e: #i107623# allow finishWizard to return a success flag, and re-enable the finish button in case of failure


2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3f3d1166af39457d507695b1b0fa3ed11eaa2134]

autorecovery: SfxViewFrame's SfxFrame is a reference now, no pointer (it can never be NULL)


2009-12-15  Mathias Bauer  <mba@openoffice.org>  [13ff141445d2212d8e00e4343788ce772f66a622]

#i107706#: liquidate goodies module


2009-12-15  Vladimir Glazunov  <vg@openoffice.org>  [eacb84d563e849fde99e80319df2e7adf064722a]

CWS-TOOLING: integrate CWS mingwport26_DEV300


2009-12-15  Vladimir Glazunov  <vg@openoffice.org>  [6c2d2f54fd3ee6b8afce14dcb7b161c99b2b14a2]

CWS-TOOLING: integrate CWS communitypatches320_DEV300


2009-12-15  Andreas Bregas  <ab@openoffice.org>  [5d395870aa610623688f91118ffaad6a9489abff]

#i102261# Removed warnings, added project dependencies


2010-01-29  Jens-Heiner Rechtien  <hr@openoffice.org>  [ec65d7081ca59ef88fae0ea8cbcb280ee1dc3666]

ab71: merge with DEV300_m63


2010-01-29  Jens-Heiner Rechtien  <hr@openoffice.org>  [d86e0001487fbba3d6a8fa5b841a3037052fe685]

ab71: merge with DEV300_m54


2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [07b14e2be5db4611856156bcbd893bef07fe78ca]

autorecovery: SetDontCreateCancellable is dead


2009-12-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [cc4ba57423ee8f277cdecd24c23201c2e70114f0]

dba33e: Merge from dba33d


2009-12-12  Mathias Bauer  <mba@openoffice.org>  [c740d7e5188f4588aeb87c7070b7d53232b57bad]

#i107450#: two errors found when rebuilding from scratch


2009-12-11  Vladimir Glazunov  <vg@openoffice.org>  [57a7e3e73cda884c7db69f1a71d56288a4aa59fb]

CWS-TOOLING: integrate CWS fwk129_DEV300


2009-12-11  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [ee4014bf1050fdf2792147d27f683919c9aa97a2]

vcl108: #i107588# remove unused code (thanks cmc)


2009-12-11  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [56e07dcf2dba907b37825db8e6ad72ec2eeaf0a8]

merge with DEV300m67


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0aed2b2affa6869bc80b99e4d569f02f897a16d6]

dba33d: merge after pulling the latest changes from CWS dba33b


2009-12-11  Mathias Bauer  <mba@openoffice.org>  [557675c797f5a936134462baab2d117a6f6a635f]

some forgotten code cleanup


2009-12-11  Mathias Bauer  <mba@openoffice.org>  [193793ebfbcec41ae9968232adeeb61b699220f3]

remove superfluous resource


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [82912e374f9fcc4dd794ba4c11188c54c331366c]

SvxBrushItem does not use sfx code anymore


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [c68ab8079f573b52854918f807d6746daf5533b1]

#i107450#: move SvxSearchIten to svl


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [7b1e789b80db97894440e03ece73dcfc1afc5e2b]

#i107450#: move ThesaurusDialog and HyphenWordDialog to cui


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [a5c2f6e2460e0b0196e6acbdc3c162994022bab2]

#i107450#: split up the two different ways to detect a module field unit


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [25e555d8a01b258c78727fc733c188b07b7dc265]

#i107450#: move GetLanguageString to class SvtLanguageTable


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [c75542822d3bc7eb77e48da8b28a60c5fcc19a0e]

CWS-TOOLING: integrate CWS vcl107


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [5fa23f3c9d3cad8a11578bf15a912caff2525d73]

#i107450#: remove SdrObject dependency from OutlinerForwarder; EditEnginePool for ItempropertySet of EditObjects; split unoprov.hxx+cxx


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [d49c3e5e91dde2b85a67cae1f13a9da4d7159b9c]

CWS-TOOLING: integrate CWS os137


2009-12-10  sb  <sb@openoffice.org>  [f654da57e23cac2e42cbbca3d9f0e0cc8fa3c4f3]

sb111: merged in DEV300_m67


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [484348988ae35fb89ee0579bc463cbd9d552203a]

dba33d: merge


2009-12-10  Takashi Ono  <tono@openoffice.org>  [30cd7772ce7b7cc4d0284f482d4433c5bcf668bb]

i#107582: mingw port for tkr28


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [f1f9e1cf593ffc14f8cdd3e8d57f792a87bf5684]

dba33d: merge


2009-12-10  Kai Sommerfeld  <kso@openoffice.org>  [aac550a96fd341aa7ab609697238fb92bc9b7c6b]

merged with DEV300_m67


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [edd4ce810b3b392d74219ca48930c2d009a09f30]

dba33d: merge with DEV300_m67


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6e2fe72a96b5a6d3a3a3985bb85087a5223122d8]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  David Tardon  <dtardon@openoffice.org>  [3e8340bea5b583ea3e266a63b811bc32b134562d]

dtardon01: update to DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [929106fc72f21cab83a6d45c8a2151b002cba1d4]

CWS-TOOLING: integrate CWS killnonpro


2009-12-09  sb  <sb@openoffice.org>  [907d71c0ffac9cb9ee44af2bbf0168b446479878]

sb111: #i107556# do not depend on order of XNameAccess::getElementNames; removed some unused com.sun.star.wizards code


2009-12-08  Kurt Zenker  <kz@openoffice.org>  [4df3ab56014e82c9ad8c4528827370686d6604e9]

masterfix: #i10000# no 64-bit debug libs to link


2009-12-08  Joachim Lingner  <jl@openoffice.org>  [798c6cad04a4d35ca2af89a637fd9a9edb4515ea]

jl145: #i97653# subject name of certificate are not correct displayed if they use special characters


2009-12-08  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [319bd8ef09bb9f57cbb62117cf0b073338673f1a]

writerfilter07: merged DEV300_m66


2009-12-08  Joachim Lingner  <jl@openoffice.org>  [461531ea0d0fa08648398371cbfb5190caa226dc]

jl137: #i103420# MinGW struggles with SecureZeroMemory. Using rtl_zeroMemory


2009-12-07  Mathias Bauer  <mba@openoffice.org>  [02cf4ea2f63c2c391d2836fbdbb31c697deb9d1a]

next merge


2009-12-07  Kurt Zenker  <kz@openoffice.org>  [8c71fcc8eca9024f413b04eb56fe0a8def2d5964]

#i10000# DBG_CTOR can not be used in a non pro version


2009-12-07  sb  <sb@openoffice.org>  [171e93ab47ac9901c59ba72b598fb9b46f5661be]

merged in DEV300_m66


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [871e01af03cebccec8b84cd998cc9525e665a5f9]

merge to m67


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [936124154d6dfb50b1342a58ddc3dea5aeed3f03]

CWS-TOOLING: integrate CWS dv18_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [a0d108991a710820fe6d3e06afea5d6ab94adbdd]

CWS-TOOLING: integrate CWS dv16_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [86cd6adc0203ee6ceaeeb599a71c4b314e1def3d]

CWS-TOOLING: integrate CWS dba32j_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [0710d5dff3f8d81a9d654f7683b08198a450d56d]

CWS-TOOLING: integrate CWS localization37_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [267e9e5dab81ad457e30822eef00bed15d8c4bd9]

CWS-TOOLING: integrate CWS fwk125_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [1c55076d45178d0284122c04c50b7a87e9117e49]

update to current version


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [65626d789a507021af368a57526570d4c2a07527]

CWS-TOOLING: integrate CWS tkr28_DEV300


2009-12-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [50d3d021166c2ecffbcbb493a6d0571c316304d1]

merge with DEV300m66


2009-12-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [098cb25988f0d893f595731147c53eef7ee1b712]

d2v02: #161005# use X11 link dependency only where really required


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [3e852b2cf47d396f235f7f8929b379e032c90185]

CWS-TOOLING: integrate CWS gridcontrol_02


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [ec7857d7f02dd071a93ad0e91ac2e5370a4e86fa]

CWS-TOOLING: integrate CWS npower12


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [5abb4ed716ac557cb3b412d17718ec9af2bbc48d]

CWS-TOOLING: integrate CWS jl141_DEV300


2009-12-02  Mathias Bauer  <mba@openoffice.org>  [f8ce8c1eac6e00c00e1bd168ed831c8c0f758522]

merge with db33a


2009-12-02  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [a876e804500bc947b6806955e78cd5ba6fc83e35]

merge to m66


2009-12-02  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7f11a2a736edf35d2414f99945725d985830091c]

Merge


2009-12-01  sb  <sb@openoffice.org>  [a75dba8ee3c099c14967719a9ce2e1cb65b90a1f]

sb111: merged in to-the-side QA fixes


2009-12-01  Kurt Zenker  <kz@openoffice.org>  [fd488e2c4eb52dc63f47c99be001143f2779ec28]

CWS-TOOLING: integrate CWS dba33a


2009-12-01  David Tardon  <dtardon@openoffice.org>  [6208e3c444af80466d68fc8ea53be6ddad978641]

update to DEV300_m66


2009-12-01  Oliver Bolte  <obo@openoffice.org>  [1a8329369c9a81e71036b77dbbe6f47609cfeb91]

CWS-TOOLING: integrate CWS dba32j 2009-11-26 09:30:10 +0100 msc  r277648 : #100000 fix urgent testscript error 2009-11-25 10:27:56 +0100 msc  r277625 : #i100000 fix urgent testscript error 2009-11-17 22:16:46 +0100 fs  r277544 : CWS-TOOLING: rebase CWS dba32j to branches/OOO320@277531 (milestone: OOO320:m5) 2009-11-17 14:26:47 +0100 fs  r277535 : ooops, didn't mean to commit this uncommented line 2009-11-14 20:50:29 +0100 fs  r277505 : add a --disable-pango switch to SM's configure options, and add a patch which makes certain code respect it (well, respect it better than currently, by not using some pango_x_* functions, which are not always available, even when pango itself is present) 2009-11-14 20:47:41 +0100 fs  r277504 : spelling 2009-11-13 14:04:00 +0100 fs  r277502 : #i100764# (commit approved by ab@openoffice.org): getModelFromBasic: do not start with the parent's parent when looking for ThisComponent, but walk up the anchestor chain, starting with the immediate parent 2009-11-13 11:04:15 +0100 fs  r277496 : #i100764# better heuristics for determining whether or not to participate in the ThisComponent game 2009-11-13 11:02:30 +0100 fs  r277495 : #i100764# set the WB_EXT_DOCUMENT style at the backing component's container window, when creating it without the TaskCreator (which would normally do this) 2009-11-11 13:49:11 +0100 fs  r277452 : #i106816# 2009-11-11 13:48:53 +0100 fs  r277451 : fix the CREATETARBAL target, which is expected to create the zips used as prebuilts. The *inc.zip missed the NSS files in case NSS was built externally 2009-11-11 12:15:34 +0100 fs  r277449 : update ignore list 2009-11-11 12:09:23 +0100 fs  r277448 : add a link to the Mozilla build tools download location 2009-11-11 12:07:16 +0100 fs  r277447 : add a link to the Mozilla build tools download location 2009-11-06 16:23:12 +0100 fs  r277393 : #i106643# 2009-11-03 23:20:29 +0100 fs  r277328 : #i106574# reverted the recent fix for issue #i105235#, and implemented a better one. 2009-11-02 12:59:48 +0100 fs  r277294 : #i106550# errorOccured: also display the error when we're not in a nested form action - form actions are allowed to be triggered by other instances as well


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c2dea30527507ac60b0bf75f6393609ffd231b0e]

#i10000#


2009-11-30  Joachim Lingner  <jl@openoffice.org>  [cb6a77275f3f5a6f1b1e5c322b8979389d8a095a]

jl137: casting CERTVerfiyLog.arg, which is void* not working on Linux x86_64


2009-11-30  Rene Engelhard  <rene@openoffice.org>  [5b4393f8f73bcfb3f1794a0e10dc76d0a983f7b8]

fontooocleanup: also remove FontOOo stuff in wizards/source/launcher, thanks cmc


2009-11-27  Jens-Heiner Rechtien  <hr@openoffice.org>  [41708f4d14f1c7ec3fe0d47c273a63fd36677f35]

dba33a: summary migration from SVN

2009-11-06 13:10:39 +0000 msc  r277387 : minor fix for automatic test
2009-11-06 13:09:33 +0000 msc  r277385 : minor fix for automatic test
2009-11-06 12:30:57 +0000 fs  r277383 : argh. On some virtual machines, waiting 5 seconds for the event to arrive is not enough. Increasing the timeout ...
2009-11-06 12:13:34 +0000 fs  r277382 : this diagnostic code should not have slipped in
2009-11-05 13:21:06 +0000 fs  r277369 : SHL2NOCHECK=TRUE (requested by hjs)
2009-11-04 14:09:46 +0000 msc  r277355 : minor fix for automatic testing
2009-11-04 13:23:02 +0000 msc  r277352 : minor fix for automatic testing
2009-11-04 10:53:28 +0000 msc  r277341 : minor fix for automated testscript
2009-11-04 08:30:58 +0000 msc  r277333 : minor fix for automatic test
2009-11-04 08:15:43 +0000 msc  r277332 : minor fix for automatic test
2009-11-03 14:25:44 +0000 fs  r277324 : #i10000#
2009-11-03 09:47:47 +0000 fs  r277315 : found yet another help ID zombie ... moved formhelpid.hrc content to propctrlr.hrc, where it belongs
2009-11-03 08:50:24 +0000 fs  r277312 : use createTempFileURL, which cares for some more specialities ...
2009-11-03 08:44:55 +0000 fs  r277311 : when creating a temp file for purpose of getting a temp file URL, the delete the file immediately. On some machines/JVMs, the file exists, with write access denied, which isn't Good (TM)
2009-10-22 13:06:17 +0000 fs  r277126 : removed wrong assertion
2009-10-21 08:10:35 +0000 fs  r277077 : reverted the previous change, which was nonsense
2009-10-21 07:19:43 +0000 fs  r277076 : export the component_foo functions, now that some of the objects are built with VISIBILITY_HIDDEN=TRUE
2009-10-21 07:08:35 +0000 fs  r277075 : spare useless call
2009-10-20 21:26:31 +0000 fs  r277072 : #i10000#
2009-10-20 08:06:04 +0000 fs  r277039 : CWS-TOOLING: rebase CWS dba33a to trunk@277035 (milestone: DEV300:m62)
2009-10-16 09:55:25 +0000 fs  r276960 : remove one of the superfluous implts_doLayout calls introduced with the previous patch
2009-10-15 13:18:52 +0000 fs  r276941 : removed the basic tests. According to cn, they're not used anymore (for a long time), and according to 'du -h', they take up 6.0M on my hard disc. For too much for useless code, /me thinks.
2009-10-15 13:06:51 +0000 fs  r276940 : #i10000# remove useless include (otherwise the compiler warning it provokes would need to be fixed by declaring VISIBILITY_HIDDEN=TRUE in the makefile.mk)
2009-10-15 12:52:39 +0000 fs  r276939 : #i10000#
2009-10-15 12:44:26 +0000 fs  r276938 : #i10000#
2009-10-15 12:00:33 +0000 fs  r276936 : #i10000#
2009-10-15 10:31:37 +0000 fs  r276934 : #i105259# prepare for the Hidden arg
2009-10-15 10:31:05 +0000 fs  r276933 : IsMaximized -> const
2009-10-15 09:50:15 +0000 fs  r276932 : during #i105259#:
introduce an option to the layout manager to preserve, if possible, the size of the content window
when layouting. Enable this option for embedded (SFX-based) documents opened for outplace editing.
(the option is incompatible with in-place editing, anyway)
This is because such embedded objects couple the (content) window size to the VisAreaSize, in that
both are used interchangeably. When an embedded object is closed, it remembers the VisAreaSize,
and restores it upon next open. This, however, leads to different content window sizes when the
window is closed with another toolbar set than used during opening.
This patch here prevents those different content window sizes. Also, now the content window size
doesn't change when, explicitly or implicitly, a toolbar is shown or hidden. Instead, the content
window size stays the same, and the container window size is adjusted.
2009-10-15 09:32:41 +0000 fs  r276931 : during #i105259#: UNO access to more attributes of top windows
2009-10-15 09:30:28 +0000 fs  r276930 : indention corrected (better readable)
2009-10-15 09:26:46 +0000 fs  r276929 : during #i105259#: access to more attributes of top windows
2009-10-14 10:04:39 +0000 fs  r276889 : connecting via services manager, not naming service
2009-10-12 11:31:08 +0000 fs  r276831 : during #i105806# FillPropertySet: do not attempt to set *AutoStyleName if it doesn't exist
2009-10-12 11:24:44 +0000 fs  r276830 : #i105806# getPropertyValue: throw an UnknownPropertyException for, well, unknown properties
2009-10-08 08:20:58 +0000 fs  r276774 : implSubmit: re-throw WrappedTargetExceptions unmodified
2009-10-07 19:19:42 +0000 fs  r276770 : #i105198# do not pass an CommandType if we do not have a command
2009-10-07 17:39:36 +0000 fs  r276768 : export the OWeakObject::disposeWeakConnectionPoint symbol
2009-10-07 12:59:17 +0000 fs  r276754 : #i87693#
2009-10-07 11:19:22 +0000 fs  r276752 : #i10000#
2009-10-07 10:21:08 +0000 fs  r276748 : #105482# do not require a controller, at least not in *all* circumstances (executed reports have a model, the ReportDefinition, but no Controller)
2009-10-07 10:04:08 +0000 fs  r276747 : copying the changes from CWS fwk121 herein, in particular the fix for
issue #i105371#
2009-10-07 09:58:30 +0000 fs  r276746 : copying the changes from CWS fwk121 herein, in particular the fix for
issue #i105371#
2009-10-07 09:48:14 +0000 fs  r276744 : removed (now) pointless assertion
2009-10-07 06:59:19 +0000 fs  r276740 : export the OWeakObject::disposeWeakConnectionPoint symbol
2009-10-07 06:44:43 +0000 fs  r276739 : OComponentHelper::release & WeakAggComponentImplHelperBase::release:
when our ref count drops to 0, call OWeakObject's disposeWeakConnectionPoint before (temporarily) incrementing
the ref count, again. This ensures that our adapter cannot create references to the dying object anymore.
(A complex test case in dbaccess (#i105505#) triggered such a situation, but in another class using an analogous
release/dispose/destroy pattern, namely WeakComponentImplHelperBase)
2009-10-07 06:37:20 +0000 fs  r276738 : found during some new complex test cases: call disposeWeakConnectionPoint before actually starting to destroy the object, this ensures no other threads will resurrect it while it is dying
2009-10-06 21:58:24 +0000 fs  r276734 : oops, two small corrections to the previous fix (hey, complex test cases are cool)
2009-10-06 21:51:16 +0000 fs  r276733 : log the name of the data source which cannot be revoked
2009-10-06 21:50:41 +0000 fs  r276732 : more detailed error message when cleanup fails
2009-10-06 21:50:01 +0000 fs  r276731 : reworked the ModelImpl caching. The new and improved UNO API test for css.sdb.RowSet
revealed some inconsistencies, in whether the objects are cached by their URL, or by their
registration name. This has been changed to caching by registration name.
2009-10-06 13:50:34 +0000 fs  r276714 : print diagnostics when we cannot clean up the test case
2009-10-06 13:45:02 +0000 fs  r276713 : this test failed all the time, since the core (rightfully) threw an exception. Disabled it for the moment, until issue 84253 is fixed
2009-10-06 12:52:46 +0000 fs  r276711 : rewrote this test. Now we do not re-use the same .odb across different test cases, as this leads to unreliable
(timing-dependent) results/failures. Instead, every test sets up a new odb file.
Also, did some re-factoring, improved the cleanup code, and caught a few more errors.
2009-10-06 12:51:07 +0000 fs  r276710 : DBTools taking a logger now
2009-10-06 12:50:42 +0000 fs  r276709 : taking a PrintWriter for logging purpose
2009-10-06 12:50:03 +0000 fs  r276708 : DBTools taking a logger now
2009-10-06 12:49:22 +0000 fs  r276707 : typo
2009-10-06 12:49:03 +0000 fs  r276706 : typo
2009-10-06 12:48:52 +0000 fs  r276705 : wrappers around some database-related services - initial versions only, to evolve over time, and intended to finally replace the DBTools class
2009-10-06 12:48:02 +0000 fs  r276704 : typo
2009-10-06 12:38:42 +0000 fs  r276702 : some better diagnostics, done during getting the API tests to work more reliably
2009-10-06 10:35:51 +0000 fs  r276698 : when living in, e.g., the DataSourceBrowser, we can't expect to find an XModifiable2, so don't assert its existence
2009-10-05 12:47:52 +0000 oj  r276677 : #i105607# check for read moved into if scope
2009-10-05 11:37:06 +0000 fs  r276676 : when saving a file fails, retrieve the error message from the InteractionRequestStringResolver - this is better than any generic message we can create
2009-10-05 10:04:23 +0000 oj  r276673 : #i105607# check for read moved into if scope
2009-10-05 09:46:17 +0000 fs  r276671 : #i10000#
2009-10-05 08:43:58 +0000 fs  r276664 : #i105505#
release: dispose the (base classes) weak connection point before disposing ourself,
and in particular before temporarily incrementing our ref count, again.
This way, we prevent that a separate thread re-surrects us (using the weak connection
point's queryAdapted) while we're in the process of destruction
2009-10-05 08:41:49 +0000 fs  r276663 : #i105505# +disposeWeakConnectionPoint (outsourced into dedicated method from ::release)
2009-10-05 08:40:26 +0000 fs  r276662 : no need to derived from OSubComponent, its features are not used, directly derive from WeakComponentImplFoo instead
2009-10-05 08:39:38 +0000 fs  r276661 : #i105505# diagnostics
2009-10-05 08:39:16 +0000 fs  r276660 : #i105505# +testDocumentRevenants
2009-10-05 08:36:01 +0000 fs  r276659 : #i105560# reverted the removal of GenericController::openHelpAgent - this is needed in module reportdesign
2009-10-04 19:53:30 +0000 fs  r276657 : #105560#
remove unused code
thanks to cmc@openoffice.org for submitting the patch
2009-10-04 19:50:28 +0000 fs  r276656 : #i105550# remove unused 'fire' method (thanks to cmc)
2009-10-03 16:13:15 +0000 fs  r276655 : CWS-TOOLING: rebase CWS dba33a to trunk@276429 (milestone: DEV300:m60)
2009-10-02 19:20:48 +0000 fs  r276651 : #i104117# lotta changed IDs ...
2009-10-02 10:52:24 +0000 fs  r276634 : #i105505#
If a model is created, and is a revenant of a previous incarnation, then ensure it is properly initialized.
In particular, in its ctor, set the state to "Initializing", not "Initialized", and then let the ModelImpl
call attachResource. This ensures that the model is initialized completely, including firing the necessary
events.
2009-10-02 10:51:08 +0000 fs  r276633 : #i105505# always do an attachResource at the newly loaded model, even if it (internally) was not really loaded, but only a revenant of a previous incarnation of this document
2009-10-01 11:10:13 +0000 fs  r276597 : do not rely on the name 'Standard' for the one and only form in a document
2009-10-01 10:36:29 +0000 fs  r276590 : #i105509# don't rely on default form component names, use indexes
2009-10-01 09:12:20 +0000 fs  r276582 : #i105505#
2009-09-30 07:55:21 +0000 fs  r276542 : removed some unsed methods / spared some unnecessary pixel<->logic conversion
2009-09-30 07:53:22 +0000 fs  r276541 : removed unneeded methods
2009-09-30 06:35:59 +0000 fs  r276538 : #i10000#
2009-09-29 13:45:02 +0000 fs  r276531 : refactored the Roadmap* classes, to be able to fix above-mentioned #i105113#
2009-09-29 10:27:10 +0000 fs  r276520 : #i105367#
2009-09-29 08:46:45 +0000 fs  r276510 : #i104956# cleaned up the makefiles
2009-09-28 21:00:07 +0000 fs  r276505 : #i104117# sourced those IDs out from extension.hrc
2009-09-28 20:59:05 +0000 fs  r276504 : no need to let one FREE...
2009-09-28 20:53:36 +0000 fs  r276503 : #i104117#
cleaned up the mess with help IDs in module extensions.
Formerly, extensions used to use help IDs which were declared in module svx, and vice versa.
Also, help ID ranges were not respected.
2009-09-28 11:25:36 +0000 fs  r276489 : typo
2009-09-28 11:25:10 +0000 fs  r276488 : #i105235#
2009-09-24 11:53:16 +0000 fs  r276423 : #i105234# do not zoom the control when they view information is still uninitialized (happens at least in Writer when opening a form document)
2009-09-24 09:42:28 +0000 fs  r276415 : #i105234# proper zoom handling for the nav bar
2009-09-24 09:42:19 +0000 fs  r276414 : #i105234# setZoom: care for precision errors caused by implicit conversion float->double
2009-09-16 11:11:43 +0000 fs  r276195 : #i105082#
consolidated the sub storage handling, by delegating more functionality into
the DocumentStorageAccess class. As a result, there won't be that many unnecessary
commits anymore. Also, the two different storage caches (in ModelImpl::m_aStorages
and DocumentStorageAccess::m_aExposedStorages) have been consolidated.
This is not really part of the fix of issue 105082, but it helped reducing the
calls to the storage/package implementation.
2009-09-15 21:42:27 +0000 fs  r276190 : don't calculate space for BOLD if the text is not really bold (speeds up rendering for large tree structures)
2009-09-15 20:20:23 +0000 fs  r276188 : getTypeInfo: fill m_aTypeInfoRows only if really all type infos could be retrieved
2009-09-15 20:19:29 +0000 fs  r276187 : do not continue loading when the controller initialization throws an error
2009-09-14 12:25:57 +0000 fs  r276119 : oops, this patch was not intended for this CWS
2009-09-14 12:13:57 +0000 fs  r276114 : #cr6875455# introduce a ReferenceDevice property for various control models
2009-09-14 10:33:02 +0000 fs  r276106 : removed dead file
2009-09-09 08:37:31 +0000 fs  r275972 : remove OSL_TRACE in VCLXButton dtor
2009-09-08 11:19:17 +0000 oj  r275926 : i76534# remove mnemonic from fixed text
2009-09-07 08:39:37 +0000 fs  r275874 : create CWS dba33a from cws/dba32g@275857 (CWS: dba32g)
2009-11-27  Kai Sommerfeld  <kso@openoffice.org>  [768445238809bde73117585e894b0244437ac272]

#i95011# - no more unneeded PROPFINDs, caused by ucb getPropertyValues command. Handling of compressed streams now completely handled by UCB.


2009-11-27  Joachim Lingner  <jl@openoffice.org>  [f90fe7df0d7886c29043559b678aca7897cbf907]

jl137: #103420# build error in util when ENABLE_NSS_MODULE==NO


2009-11-27  Joachim Lingner  <jl@openoffice.org>  [f9cfc8b424f443d63b8f943cf1cbc6d80b39b8fd]

jl137: #103420# xmlsecurity needs latest NSS otherwise not building


2009-11-27  Dirk Völzke  <dv@openoffice.org>  [b1f7302ec8f8916ca83a525a67140cbdaf989d7b]

#i107166# Use 32 bit for values larger than 32768


2009-11-26  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [f023ca62a257d13b633a2fe231f1203a9642b279]

writefilter07: merged DEV300_m65


2009-11-26  Dirk Völzke  <dv@openoffice.org>  [a5b359dd6e44200a1db15c1ef307c2e94d8aae48]

#i96594# Allow customization of 'register for Microsoft File Types' in custom setup


2009-11-26  Kai Sommerfeld  <kso@openoffice.org>  [6f04581c2fe16e0062867a9532576aba6b666bda]

#i107081# - impl/use new PasswordContainerInteractionHandler UNO service.


2009-11-26  Dirk Völzke  <dv@openoffice.org>  [f488c387eeff8aad588f8981c6d58ee269c01a27]

#i107166# Make check for extension update independent from office update check


2009-11-25  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [975c8476cab55ef23b3961861ccb186a7cfffe8e]

merge with DEV300m65


2009-11-25  Vladimir Glazunov  <vg@openoffice.org>  [288a0a8e8bf809e74e023add370c517f0a22c6d7]

CWS-TOOLING: integrate CWS controltextrendering


2009-11-25  Mikhail Voitenko  <mav@openoffice.org>  [d8d96efe69cd98171a3891486e65b31a6f44fa93]

#i107047# let the temporary stream be flushed in time


2009-11-25  Mikhail Voitenko  <mav@openoffice.org>  [b95a92ab2c22f6701230ceb67fe0e830a8f1fd19]

#i105719# switch to temporary file ealier to allow storing to the same location


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [9bb425228829f4b55dab3b8bdc62cdbeb97d4beb]

CWS-TOOLING: integrate CWS jl133_DEV300


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [8f6a7b628a6a3bb1ee3a0b25c9278835f8a40ca2]

CWS-TOOLING: integrate CWS cmcfixes64


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [51402173b4d107f6d2629416b7eb57f19339dff2]

CWS-TOOLING: integrate CWS native271


2009-11-24  Ivo Hinkelmann  <ihi@openoffice.org>  [7ec5e8b47fffa082352d9d3edfb51e773c422653]

CWS-TOOLING: integrate CWS localization37 2009-11-20 17:34:04 +0100 ihi  r277585 : not yet the best solution 2009-11-19 14:34:34 +0100 ihi  r277560 : #i103247# updated Luxembourgish autocorrect data 2009-11-16 16:58:56 +0100 ihi  r277525 : added ast to no_ms_lang 2009-11-16 16:57:23 +0100 ihi  r277524 : added ast 2009-11-16 16:41:22 +0100 ihi  r277523 : #i106900# updated identifier ShowAnnotation -> ShowAnnotations 2009-11-16 16:39:34 +0100 ihi  r277522 : small helper script 2009-11-16 15:24:34 +0100 ihi  r277520 : Fixed german and removed ln ti pap ur 2009-11-11 14:27:38 +0100 releng  r277457 : added ug, om, si, oc, or, ml, as to non ms langs 2009-11-11 14:23:30 +0100 releng  r277456 : Fix for merging more then just one 2009-11-11 14:12:52 +0100 ihi  r277455 : #i106775# Merge of OOo 3.2 l10n cws localization37 nb nn he ga uk my bg ja uz fi bn kid fr nl vi ca pt-BR ru ka oc gl cs km kn ko sh si om gu sk sl zh-CN ku or da sr de sv hi-IN pa-IN ta te pl th hu dz lv pt tr en-GB id el ar as eo es ml et eu zh-TW is ug it mr 2009-11-05 23:07:09 +0100 ihi  r277375 : added om kid , removed dupe ta-IN 2009-11-03 18:09:39 +0100 ihi  r277327 : removed dupe 2009-11-02 19:02:55 +0100 ihi  r277303 : #i105973 obsolete sdf files removed 2009-11-02 19:02:16 +0100 ihi  r277302 : #i105973 obsolete sdf files removed 2009-10-13 19:19:06 +0200 ihi  r276871 : CWS-TOOLING: rebase CWS localization37 to branches/OOO320@276773 (milestone: OOO320:m1) 2009-10-01 13:19:45 +0200 ihi  r276598 : key -> ky ... this one triggered a bad crash in rsc 2009-09-09 17:02:20 +0200 ihi  r276004 : added some langs 2009-09-09 13:17:16 +0200 ihi  r275986 : lucky local cygwin fix 2009-09-03 18:47:45 +0200 ihi  r275769 : #104328# deal with l10nless src files 2009-09-03 15:58:51 +0200 ihi  r275760 : added some new langs 2009-09-03 15:54:16 +0200 ihi  r275759 : old localize.pl tool used as a helper 2009-09-03 15:53:48 +0200 ihi  r275758 : do not merge not wellformated sdf files 2009-09-03 15:51:59 +0200 ihi  r275757 : old localize.pl tool used as a helper 2009-09-03 15:50:03 +0200 ihi  r275756 : some small helpers added 2009-09-01 18:22:04 +0200 ihi  r275681 : update DEV300 code line with OOO310 strings 2009-09-01 13:45:43 +0200 ihi  r275658 : #i104680# prevent that self defined or dupe ms ids are merged


2009-11-24  Mathias Bauer  <mba@openoffice.org>  [de6f20d9e7234dabad380f8d97383be624da4c52]

some fixes after resync


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [775ac717b6902aee5f387d715e347578e72d565e]

CWS-TOOLING: integrate CWS linuxhppa1


2009-11-24  sb  <sb@openoffice.org>  [b54295643d05a4e04a00cb00110dbed2ed576f21]

sb111: merged in DEV300_m65


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [094e60ee6a7b2d5b019ed2723231d8d9998bc9bd]

merge commit for m65


2009-11-23  Ivo Hinkelmann  <ihi@openoffice.org>  [5c705ef113ed3f626aa943691986d5e83c724cbd]

CWS-TOOLING: integrate CWS fwk125 2009-11-19 08:11:20 +0100 jsk  r277554 : fwk125: #i105760# - removed warnlog, re-enabled autotest e_help.bas 2009-11-16 16:21:49 +0100 tl  r277521 : #i106571# fixed locale list for dictionaries to get rid of duplicate entries 2009-11-12 08:47:31 +0100 hde  r277469 : rework of hyphenation 2009-11-11 15:25:16 +0100 hde  r277462 : rework of hyphenation 2009-11-11 15:24:09 +0100 hde  r277461 : rework of hyphenation 2009-11-11 13:52:02 +0100 hde  r277453 : new include for hyphenation tools 2009-11-10 12:28:51 +0100 tl  r277427 : #i102304# fix for hyphenation dialog 2009-11-10 12:00:10 +0100 mav  r277425 : #i10000# A workaround for pch and windows headers conflict 2009-11-10 11:58:32 +0100 mav  r277424 : #i10000# A workaround for pch and windows headers conflict 2009-11-09 15:47:59 +0100 kso  r277414 : #i16732# fixed url matching. 2009-11-09 11:51:40 +0100 mav  r277406 : #i10000# use precompiled headers 2009-11-08 23:53:03 +0100 mav  r277399 : #i10000# fix warning 2009-11-08 23:50:23 +0100 mav  r277398 : #i10000# adapt for unix 2009-11-08 23:49:52 +0100 mav  r277397 : #i10000# adapt for unix 2009-11-08 21:26:06 +0100 mav  r277396 : CWS-TOOLING: rebase CWS fwk125 to branches/OOO320@277373 (milestone: OOO320:m4) 2009-11-06 16:30:27 +0100 ab  r277394 : #i106100# Hold references to packages to speed up further calls to getDeployedPackages() 2009-11-06 15:58:48 +0100 mav  r277392 : #i102464# check the Windows ACL 2009-11-06 15:58:23 +0100 mav  r277391 : #i102464# check the Windows ACL 2009-11-04 11:54:06 +0100 tl  r277342 : #i106497# incorrectly found 'supported languages' fixed 2009-11-04 10:40:51 +0100 tl  r277335 : #i106571# dictionary updates for Polish and Swedish. 2009-10-28 09:54:41 +0100 tl  r277236 : #i106100# context menu performance 2009-10-27 15:47:05 +0100 tl  r277213 : #i106100# context menu performance 2009-10-23 17:31:56 +0200 mav  r277170 : #i106075# use correct path to inprocserv.dll 2009-10-23 16:07:27 +0200 mav  r277168 : #i105760# seek the temporary file to beginning also for URL case 2009-10-23 11:03:58 +0200 mav  r277134 : CWS-TOOLING: rebase CWS fwk125 to branches/OOO320@276942 (milestone: OOO320:m2)


2009-11-23  Joachim Lingner  <jl@openoffice.org>  [18c9b78b1b1674fe6e2e5a1da5517c3d885e8f3b]

jl137: #i107145# improve NSS initialization without profile


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [a3fb7577fc67b62d26fac69b05d47890c29db2de]

#i104338#: fix build without Java


2009-11-23  Dirk Völzke  <dv@openoffice.org>  [ceedc13ecf5be972f445db5a6787da7f73e7c791]

#i106978# Fixed dangerous debugging code


2009-11-19  Mikhail Voitenko  <mav@openoffice.org>  [b007455973c23647bea6ed6dceeec60f7e54ea94]

#i107035# let the temporary file be removed after the stream has been closed


2009-11-19  Caolán McNamara  <cmc@openoffice.org>  [9b43f6e4945bb2c92addf0439cc2a540d3a4debc]

linuxhppa1: #i107051#: port to linux hppa (parisc)


2009-11-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [dd8141ff1ff687261f83fce212c98b017006e08b]

dba33d: #i104844# check name and do not close when name is wrong


2009-11-19  Dirk Völzke  <dv@openoffice.org>  [ea6261cf0bc4f46d1a41910f816d0c8e3439abf1]

#i106978# the extension manager should set an interaction handler when looking for updates


2009-11-18  David Tardon  <dtardon@openoffice.org>  [fadc05fec51a0395cb1acf0907b3ea82f461963c]

update to DEV300_m65


2009-11-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [780adfc46b4271f02c3ae7ae7324f660137887a6]

commit pull


2009-11-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [58726f641e92d77b4ec36308d91fa0ab89c52e06]

cmcfixes64: merge with DEV300 m63


2009-11-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [40d4114666684dc3763682d021f0d25c5582411a]

#i106541# commit afer merge


2009-11-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5dd314e819395f93dab5d5352616952176d0faa0]

merge


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1dced06e0298af0bd4e1b1dc0c53209ee4939ce5]

merge


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [01fb5eb2010f7cc9ad7db1a5ac33af169fd2688a]

in preparation of #i84012#: introduced a dedicated interface (css.sdb.XDatabaseRegistrations) for dealing with data source registrations, this way hiding the concrete configuration details.


2009-11-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c4ec7de2e819f93327157171fbae84267dffdd19]

dba33d: pull from dba33b


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [17e7971a872fb3b966d7e9e949bf18aa099991c7]

CWS-TOOLING: integrate CWS cmcfixes66


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [b41aed60e60c3c594af91a11295cc19992aa9110]

CWS-TOOLING: integrate CWS changehc02


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [0b7df85d9f1e544bbe68c918342c83b3f4e4f0d2]

CWS-TOOLING: integrate CWS ause109


2009-11-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [db3f1d9d87bfc9478224179bb34583eb776d7484]

merge with DEV300_m64


2009-11-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6615a8e1800ff80cac536529152cfa8501cda278]

#i105086# fix blob handling, map to bytes when possible


2009-11-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [29f406c49b12a960c2d561bef5dafe4ba275b0f4]

#i106805# some exception safety (the real fix for this issue is in CWS dba32j, but this change here will make future such occurrences less severe)


2009-11-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3f9ee0177533eb0e9ffb0205752c9ab46be9b8a9]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-11-13  Joachim Lingner  <jl@openoffice.org>  [e5320e6437f00ac6d476caac944c65cf53c4e31b]

jl137: #i103420# fixed windows certificate verfification regarding revocation


2009-11-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [fe4ded2e6985e31b02712574655124350e557a46]

#i105086# fix blob handling, map to bytes when possible


2009-11-13  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [c29137e0d02d5f598617d95a0647af5c6a8788a6]

writerfilter07: merged DEV300_m64


2009-11-13  Mathias Bauer  <mba@openoffice.org>  [c01d8ffde2ffe8a6cf83ca9450e45d38a51d2b19]

some string resource problems


2009-11-13  sb  <sb@openoffice.org>  [6f1c519bdf8a8136654aefb455b0a3e93ffb0fb4]

sb116: #i106845# removed obsolete IRIX port


2009-11-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2e3469cccee20fcff51747385c86e9516eeef590]

#i106643# test case ... (not that it fails in this CWS at the moment, since the fix was committed to another CWS)


2009-11-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [043b31c86cfb7f19df09de2da900a9c009772add]

some refactoring, done during creation of a test case for #i106643#


2009-11-12  Kai Sommerfeld  <kso@openoffice.org>  [41d401b634247efc672846e4e8a17f259b2ccc52]

Rebased to DEV300 m64.


2009-11-12  Mathias Bauer  <mba@openoffice.org>  [e9121728e13eb64abaa8676e7d42e831bd0d03bf]

still problems with hid.lst


2009-11-12  Mathias Bauer  <mba@openoffice.org>  [7e3ff1e67dfacd8fff59894fdf5dcd88d48ee097]

some problems with svxitems.hrc


2009-11-11  Mathias Bauer  <mba@openoffice.org>  [db2f669901cb415694b72864be1a05e5f7716b04]

some fixes for remaining resource problems


2009-11-11  sb  <sb@openoffice.org>  [1070524ca0ec222581288d261d755e14a4a2b9f3]

sb116: merged in DEV300_m64


2009-11-11  sb  <sb@openoffice.org>  [e34a581676f80b5b11c30b0f3cd565db781cba09]

sb111: merged in DEV300_m64


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [af3e6fcdd7952a6f4fd5b67334bbbb7ac58534e2]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [639f54bc9daa26095781d06db1009460861c9950]

#i105086# impl clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [24b05dca10c2e08cc28dc8ca334a3dff3de544f7]

#i105086# fix for clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [a95671f38452a20797826cce11f07692b5e80d91]

comit fix from master


2009-11-11  mb93783  <mb93783@v20z-so3.germany.sun.com>  [0df86370f258c35ff1ad6adbe9a4995ce08ba2e5]

wrong ResMgr


2009-11-11  Mathias Bauer  <mba@openoffice.org>  [caaa3239a47ba4a44280270de00af3a233c866c2]

wrong ResMgr


2009-11-11  Tobias Krause  <tkr@openoffice.org>  [0926a21b4c7abbf716bfbfc57924524ab986c0a7]

#105892# declare RegDeleteKeyExA  for mingw


2009-11-11  Tobias Krause  <tkr@openoffice.org>  [28ab52850e93c750ee8e468727570157cdce68a6]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-11  Mathias Bauer  <mba@openoffice.org>  [ba5e1aecaaf52bb95845b3a749f0864b01b94648]

#i103496#: sandbox removed


2009-11-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f8098bc9755e0881b42ccb481afbc2d151df4d01]

merge with DEV300_m64


2009-11-10  os  <os@openoffice.org>  [498b0b4dc81c4a5b9c7096233e53750d1a4361ae]

rebase


2009-11-10  Caolán McNamara  <cmc@openoffice.org>  [e4d0fe26c072ed87eb3fe64a054d8e8bd21b7915]

cmcfixes66: merge with DEV300 m64


2009-11-10  Joachim Lingner  <jl@openoffice.org>  [562b8cb755cd47756ebcc899ac6d0e11dfcfb2ab]

jl137: merge with DEV300_m64


2009-11-10  Tobias Krause  <tkr@openoffice.org>  [735df50375d5c78030b65b6f1653b17e333f5057]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-10  Mathias Bauer  <mba@openoffice.org>  [99cf10226f8e69eb07c7f3c3a506621e6fa65e14]

#i106421#: some fixes for helpids


2009-11-10  Joachim Lingner  <jl@openoffice.org>  [96f2654bda5a206def3a17ac10fed07f3926632e]

jl137: #i103420# changed comment


2009-11-10  Tobias Krause  <tkr@openoffice.org>  [d2f4ff6d29c5de1df9bd4852bcb973881a89f6d3]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-10  Tobias Krause  <tkr@openoffice.org>  [13209c456dc5aeb320493b044322a66405449444]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-10  Tobias Krause  <tkr@openoffice.org>  [57b2d07ff0f4b49e6c59837b0ec0151682873ad3]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-09  Joachim Lingner  <jl@openoffice.org>  [a083bedb70eb4b866d6a5fc8893d8c9defc9a66d]

jl137: #i103420# better allow tracing in product built depending on bootstrap var XMLSECURITY_TRACE


2009-11-09  Joachim Lingner  <jl@openoffice.org>  [e32d7031c9452ccf474786c32071bf1bcce8f426]

jl137: #i103420# better allow tracing in product built depending on bootstrap var XMLSECURITY_TRACE


2009-11-09  Mathias Bauer  <mba@openoffice.org>  [307062bb41aa62eb24fe34438282476ce12c24ea]

#i103496#: remove unneccessary sandbox module


2009-11-09  Mathias Bauer  <mba@openoffice.org>  [6d4ccda25524c1a0a63ced3c807c8cbcc03eeb6b]

re-added HID for macro headertablistbox


2009-11-09  Ingo Schmidt  <is@openoffice.org>  [67c0f09a63468e6dbabc84dc7ca9932d27a06443]

#i106624# new jre6u17


2009-11-09  Tobias Krause  <tkr@openoffice.org>  [2292d07272cee7644b9d8e230b2a446cc5d74081]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5a59a1547c0fa70dfdd555b98c8f5d2e96dc1ff6]

merge


2009-11-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6be177faa5f264e39d6e100683541d9ae081a68b]

line ends


2009-11-06  Tobias Krause  <tkr@openoffice.org>  [7d012d43cd6995717ae9e5766f9038b7991aed64]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-06  Tobias Krause  <tkr@openoffice.org>  [c8223d38e2022774f396f812fdafdfe8c1dd84d9]

#105892# define KEY_WOW64_64KEY for mingw


2009-11-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [63aacad8bc49b83b25f6071a675cbf2ef047667b]

#i10000#


2009-11-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [66d894d69932280f11d77eeaf3e366e9d9b43d7e]

#i106671# use proper UNO API to not only retrieve images for our slots, but also the command descriptions, which are to be used as quick help text


2009-11-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dbec2d8a2455110a3d8ec8c8294aad54b095bf6d]

not needed anymore


2009-11-06  Caolán McNamara  <cmc@openoffice.org>  [5dcefa6c1bf0b0d8e0f20c66ad159b1ac763d544]

cmcfixes66: #i106431# add missing fcloses


2009-11-06  Caolán McNamara  <cmc@openoffice.org>  [34ef7a39f1e8a4a1bb6eb4c9c64df758f2357ff6]

cmcfixes66: #i106674# fix remaining new[]/delete mismatches


2009-11-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6ae8d145c6366fddc55884963cad5a9fe099ffd5]

#i106671# retrieve the images from the document's/module's XImageManager, not from some obscure SfxImageManager


2009-11-05  Hans-Joachim Lankenau  <hjs@openoffice.org>  [da37ea3e3125584bbc085ffae09404d8e772f7a1]

ause109: #i106645# localizable content requires dependency on l10n


2009-11-05  Joachim Lingner  <jl@openoffice.org>  [1773f4af99a1b8f7ef588f17d05b4fa465e039fe]

jl137:  #103420# better logging


2009-11-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fea9d45f98bc605b3ba584c3b0f656b37fda055e]

#i68332# use css.form.runtime.FormFeature, instead of SFX slot IDs (where possible so far)


2009-11-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c96ff0d03940f6dc658f5bb77b95270da0808311]

new test case catching issue #i105235# (note that the fix for this issue is not yet in here, so until we rebase to a milestone where CWS dba32h resp. dba32j are integrated, the test will fail)


2009-11-05  Mathias Bauer  <mba@openoffice.org>  [149bf83542679afa2c58cbe67b79145218769216]

lost HID


2009-11-04  Mathias Bauer  <mba@openoffice.org>  [6b1476244a3bacfc06285f9c5e85204ddf0ea188]

#i196421#: some problems with pch on Windows


2009-11-04  Mathias Bauer  <mba@openoffice.org>  [27c41639612c491b44132ef761de511018efbe82]

another warning on unxsoli


2009-11-04  mb93783  <mb93783@macpro-dev1>  [68ada2204584bcc0155e6799a58ff3f28d6a8c4d]

#i106432#, #i103496#: some fixes found while building on more platforms


2009-11-04  Mihaela Kedikova  <misheto@openoffice.org>  [b5ea2c69125ef24110ac083b90d70b444b5235cf]

fixes for i106470


2009-11-04  Mathias Bauer  <mba@openoffice.org>  [1a449b61ce1cc96a0f6fa260b61b1139927d58b0]

#i106421#: cleanup of help ids


2009-11-04  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [b15a4c790be7aa5dd1bd7c2dbbeca341e0945971]

be more tolerant when setting the TextAlign, given that the property is 16 bit, but css.awt.TextAlign is 32 bit


2009-11-04  Mihaela Kedikova  <misheto@openoffice.org>  [4d2b2af532adaead7d0bec6f6363e5064fd07c61]

fixes for i106470


2009-11-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [c7d84e0c3b499356e42f224760582667a0497647]

#i104678# use high contrast mode setting instead of IsDark (paradigm shift begun with issue i35482)


2009-11-03  Mihaela Kedikova  <misheto@openoffice.org>  [9b5e246d3c2316da96d8c6159450c7eea91e3c7f]

fixes for i106470


2009-12-02  Jens-Heiner Rechtien  <hr@openoffice.org>  [91cf127f2987fa6b31c8293dbc7f5246921288bf]

gridcontrol_02: merge with DEV300 m63


2009-11-03  Mikhail Voitenko  <mav@openoffice.org>  [34732b249fc535c5118fbc739c604167b989bb33]

#i106476# support 64-bit IE


2009-11-03  Mikhail Voitenko  <mav@openoffice.org>  [cb8ea16cbb1637240fa502a7dc4cb972017183e4]

#i106476# support 64-bit IE


2009-11-03  Mikhail Voitenko  <mav@openoffice.org>  [e24840273a726122b9831ee92e44c5cf49723724]

#i106476# support 64-bit IE


2009-11-03  Mikhail Voitenko  <mav@openoffice.org>  [0e09a97231f583b46e1926ab3e20089848bfbcbd]

#i106476# support 64-bit IE


2009-11-02  Mikhail Voitenko  <mav@openoffice.org>  [4b4a3dd201605475634a63efd495c83839321342]

#i106476# support 64-bit IE


2009-11-02  Mikhail Voitenko  <mav@openoffice.org>  [1e4a8ec1a61013e270dc3a55b18cd5b34429586b]

#i106476# support 64-bit IE


2009-11-02  Mathias Bauer  <mba@openoffice.org>  [b8655015b6c59d2dbafd72e6f05d632b31963e55]

#i106421#: create new cui resource file


2009-11-02  Tobias Krause  <tkr@openoffice.org>  [7e0747059c60745c618a15923df5bbb2e95bc4df]

#105892# fix reg64 customaction deinstallation


2009-11-02  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [fa7987fa3fa68987804795ed794104c52642e807]

don't use ShowTreeView and ShowTreeViewButton, those are superseded by Enabled/ShowBrowser, and lead to an assertion in non-product builds


2009-11-02  Vladimir Glazunov  <vg@openoffice.org>  [0403e71d0ea9626eed63513afa9ed890f4a6a66f]

CWS-TOOLING: integrate CWS oooimprovement5_DEV300


2009-11-02  Mihaela Kedikova  <misheto@openoffice.org>  [8f8d31f131674e25d291902ba4dc2aa26625fa0f]

fixes for i106470


2009-11-01  Mathias Bauer  <mba@openoffice.org>  [69d8f16300c70c0b2dff2673bc8428eec3f6381a]

merge commit for DEV300_m63


2009-11-01  Tobias Krause  <tkr@openoffice.org>  [34fb0e7bbe12eecd4ee1c1bb33dc6847a98cc0fd]

#105892# add new registry entries for x64


2009-11-01  Tobias Krause  <tkr@openoffice.org>  [c3cc518a65a8d82d71fcd13e6180de6cefcde40f]

#105892# add new registry entries for x64


2009-10-31  Mathias Bauer  <mba@openoffice.org>  [dc6132bd4194c872193941fc067603492d021d93]

#i106421#: move svx/source/cui to cui


2009-10-30  Mikhail Voitenko  <mav@openoffice.org>  [a87cee388f61fa7b24488d1db08635ac0019c79f]

#i106476# support 64-bit IE


2009-10-30  Mikhail Voitenko  <mav@openoffice.org>  [4b08933a9199ac7df812584c7e72dc0c02587892]

#i106476# support 64-bit IE


2009-10-30  Mikhail Voitenko  <mav@openoffice.org>  [420dbac799df429393ade13edc569176c1acfc25]

#i106476# support 64-bit IE


2009-10-30  Mihaela Kedikova  <misheto@openoffice.org>  [f7935ad4ba8a98fcb17d73d4304740a1216c37ac]

fixes for i106470


2009-10-30  Mikhail Voitenko  <mav@openoffice.org>  [b43e69fbc7776ef25a905dc72efc840662d486bf]

#i106476# support 64-bit IE


2009-10-30  Mikhail Voitenko  <mav@openoffice.org>  [d59911b279f31da02db13849aece5b2050351d47]

#i106476# support 64-bit IE


2009-10-30  Vladimir Glazunov  <vg@openoffice.org>  [62dc08e5efb68f0014ad66acef2d53728ca4325b]

CWS-TOOLING: integrate CWS installer11_DEV300


2009-10-30  Vladimir Glazunov  <vg@openoffice.org>  [b6000ec61d12f39c77b31557cf9225bd81f9d7cc]

CWS-TOOLING: integrate CWS ause108


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c22e835d0c364c3515dd3d8365bf96ca29d1a32f]

merging lates changes from pull-location


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3b42853c11c1aa82944c22e78368927c85097976]

#i10000#


2009-10-29  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [8d45ce4a4df98ad19befc3990aac73151ce47dfa]

vcl107: #i106444# strict aliasing patch (thanks cmc)


2009-10-29  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [d8aa1aeb0346a21440728ac85488bef1d53b28f1]

vcl107: #i106443# check fgets (thanks cmc)


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [92955f15867098c2e19e2ea950656a63d1a042ef]

merge


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a0568fc736b6f17a17a4b72ea876ccdfaea79e10]

#i10000#


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f4689dcb83e42e8d18b589f42ebb48e6cae3b653]

uhm ... who's doing that the old way?


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fef1504ed647cd74192c8b6a72e1104a0926a36b]

merging latest changes (pushed to cwsserv by oj)


2009-10-29  Ocke Janssen  <Ocke.Janssen@sun.com>  [6e4b2bb1c82c3eabc8f562976481688a16579bd7]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-10-29  Ocke Janssen  <Ocke.Janssen@sun.com>  [8a00db35f310f4d8a7d169de7840ac622c3a2a8f]

apply changes from m62


2009-10-29  Ingo Schmidt  <is@openoffice.org>  [3cc01fefa93860d142de0d9216a36ed5cdf500e0]

#i10633# admin.pl support for msidb.exe next to admin.pl


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3590b9a61954e4a969bc5bda7aa9f862715d6aeb]

line ends


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [63ee288bb1845f2c156f52aaef535e7573a1d0c3]

typo in classname (unused, anyway, but ...)


2009-10-29  Ingo Schmidt  <is@openoffice.org>  [a92565f87226bd6d3eced731daafdbf665898805]

#i106333# using local msidb.exe


2009-10-29  jl  <jl@openoffice.org>  [3dd5aa51891e0d604cb25d9bc014966696332bbd]

#103420# use CERT_PKIXVerifyCert


2009-10-27  Ivo Hinkelmann  <ihi@openoffice.org>  [6e8dc4ca7d45597f6efb74b336f3cb14952b298b]

CWS-TOOLING: integrate CWS jl133 2009-10-20 11:47:23 +0200 jl  r277045 : CWS-TOOLING: rebase CWS jl133 to branches/OOO320@276942 (milestone: OOO320:m2) 2009-09-30 12:23:43 +0200 jl  r276551 : #i103747# added dependency to local filesystem service 2009-09-14 14:12:18 +0200 jl  r276113 : #i103747# 2009-09-14 14:09:41 +0200 jl  r276112 : #i103747# 2009-09-14 13:24:20 +0200 jl  r276108 : #i103747# 2009-09-11 08:27:43 +0200 jl  r276049 : #i103747# changes for opensolaris bundled extensions 2009-09-11 08:21:36 +0200 jl  r276048 : #i103747# changes for opensolaris bundled extensions


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [862e7d0556e31cbf2e28ef2547ea4a723c0e8142]

merged last changes


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [c8b19a2b803761c20b5d68c7f34754f7d86f413c]

merged DEV300_m62


2009-10-27  skotti  <skotti@wintermute>  [5b4900e40cca5cc9f9efd6a09f847215be837bb2]

Merge latest DEV300 and CWS sb111


2009-10-27  Ingo Schmidt  <is@openoffice.org>  [9f1dfe4f7f8e26729aa9ec5e5355e54ca764dbb2]

#i10633# admin.pl support for included cabinet files


2009-10-27  Release Engineers  <releng@openoffice.org>  [7bf1381f02e277dea45e08aed8b2d28bf8360f31]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [1996c1656dfce64fe3eee81325bec883d2266bce]

merge commit for m62


2009-10-23  Oliver Bolte  <obo@openoffice.org>  [787ba976ad061e85acb386dd57ef48f9c03118df]

#i105892# Windows 64 Bit support


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [dbfa229dc7835486a5fe4e6b206f9a42adf704b8]

#i106184# introduce a 'VerticalAlign' property for edit-like form controls


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [947dc0943bf74fda75c142a9669c906c6a8d97d8]

oops, forgot this file in the previous change (moving css.form.(X)FormController to css.form.runtime)


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [fd282f647b427b56766a95556b7688652530dba7]

step 0 of an UNOization of the css.form.(X)FormController implementation: move the API to css.form.runtime, so we can later add new API chunks without breaking compatibility of the existing API in css.form


2009-10-22  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [b7b9987f12ba738c0373138b09a59398b6ff5f7f]

commit after rebase to DEV300m62


2009-10-21  sb  <sb@openoffice.org>  [c2c4069f215ab0784dae8cc951c69f936150e6d6]

merged in DEV300_m62


2009-10-21  Vladimir Glazounov  <vg@openoffice.org>  [8a3c7cd72892e8bc165afc347a4817ad817a60a4]

CWS-TOOLING: integrate CWS fwk123 2009-10-14 10:18:49 +0200 cd  r276885 : #i99971# Use AttachThreadInput to force SetForegroundWindow 2009-10-14 08:56:20 +0200 mav  r276881 : #i105476# let the allocated memory live long anough 2009-10-14 08:53:51 +0200 mav  r276880 : #i105476# let ZipFile use mutex while creating the requested stream 2009-10-14 08:51:52 +0200 mav  r276879 : #i105476# let buffered IO use mutex ( patch from MHU ) 2009-10-09 12:20:22 +0200 cd  r276803 : #i99971# Use configuration to control window to front/focus handling 2009-10-09 12:19:22 +0200 cd  r276802 : #i99971# New configuration item to force set focus and window to front for new document windows 2009-10-09 12:18:23 +0200 cd  r276801 : #i99971# Introduction of a new show flag to force window to front 2009-10-06 11:04:16 +0200 ab  r276695 : #i105386# Call xmlInitParser() before registering input callbacks


2009-10-21  Dirk Völzke  <dv@openoffice.org>  [23a9733f3d2ad0eae51f6bde21bdb910e3299898]

#i104421# Don't report running office when path to office is infalid


2009-10-20  Caolán McNamara  <cmc@openoffice.org>  [21e2085d7c31542e5097a42794a47be40adfc2be]

CWS-TOOLING: rebase CWS cmcfixes64 to trunk@277035 (milestone: DEV300:m62)


2009-10-20  Release Engineers  <releng@openoffice.org>  [da329905a985f89b265c310d881dd94fea03b123]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-19  Mathias Bauer  <mba@openoffice.org>  [1186e4c88cbd44c586f0a5502fb9ecd72dd79988]

#i103496#: wintypes.hxx moved to tools


2009-10-16  Kohei Yoshida  <kyoshida@novell.com>  [13319ee8fb50a710aa15d4b96d31c9b463cb095c]

Removed changes that are not associated with this CWS.


2009-10-16  Kohei Yoshida  <kyoshida@novell.com>  [2ef9276662b6a2b15a2c94f754390728f505763b]

(hopefully) rebased to DEV300_m61.


2009-10-16  Frank Schönheit  <frank.schoenheit@sun.com>  [921109f9292c0690d42e385ac81814d54122ce4b]

#i104329# introduce a dedicated PrimaryKeySupport property at DataSource.Settings, which determines whether a data source should (be assumed to) support primary keys. Valid values are TRUE (=> supports), FALSE (=> doesn't support) and VOID (=> use the old heuristics, i.e. consult XDatabaseMetaData.supportsCoreSQLGrammar)


2009-10-16  Hans-Joachim Lankenau  <hjs@openoffice.org>  [cb2ff286627373f30371d5e63ec84529d0c7d9da]

ause108: #i105954# - missing dependency on l10n module


2009-10-15  Kohei Yoshida  <kyoshida@novell.com>  [a37408fa1e7373e24bd4467c5d04450a999152a3]

Support slice settings in WriteZeroBytesToRecord().


2009-10-16  Mathias Bauer  <mba@openoffice.org>  [ab2109f4280247100829925e489e8770b2b013c7]

#i103496#: split svtools; improve ConfitItems


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [d83656fca14c7c2d5e713021570d050d32811ab1]

CWS-TOOLING: integrate CWS dba32h 2009-10-12 12:21:44 +0200 msc  r276827 : remove warning for issue 102712 because the issue is fixed 2009-10-05 07:14:20 +0200 oj  r276658 : #105585# add missing dependency for OOO_UI 2009-10-02 12:50:19 +0200 fs  r276632 : #i105505# If a model is created, and is a revenant of a previous incarnation, then ensure it is properly initialized. In particular, in its ctor, set the state to "Initializing", not "Initialized", and then let the ModelImpl call attachResource. This ensures that the model is initialized completely, including firing the necessary events. 2009-10-02 12:46:12 +0200 fs  r276631 : #i105505# always do an attachResource at the newly loaded model, even if it (internally) was not really loaded, but only a revenant of a previous incarnation of this document 2009-10-01 13:09:07 +0200 fs  r276596 : do not rely on the name 'Standard' for the one and only form in a document 2009-10-01 12:35:56 +0200 fs  r276589 : #i105509# don't rely on default form component names, use indexes 2009-10-01 11:19:18 +0200 fs  r276584 : copying the fix for #i105082# into this CWS 2009-10-01 11:13:22 +0200 fs  r276583 : improved logs 2009-10-01 11:10:44 +0200 fs  r276581 : #i105505# 2009-10-01 08:07:57 +0200 fs  r276575 : manual merge of trunk, to allow cwslocalize to run 2009-09-30 22:48:30 +0200 fs  r276574 : removed that strange ONLOAD definition 2009-09-30 12:58:18 +0200 fs  r276553 : copy fix for #i105387# into this CWS, as the issue prevents us from finalizing the CWS 2009-09-30 12:56:45 +0200 fs  r276552 : copy fix for #i105387# into this CWS, as the issue prevents us from finalizing the CWS 2009-09-30 11:47:45 +0200 fs  r276549 : #i105235# 2009-09-29 12:27:40 +0200 fs  r276521 : #i105367# 2009-09-28 12:08:17 +0200 oj  r276485 : #i105371# export version in manifest.xml as well 2009-09-28 12:07:02 +0200 oj  r276484 : #i105371# export version in manifest.xml as well 2009-09-28 09:48:01 +0200 oj  r276481 : #i105366# init drivers when not empty 2009-09-25 14:31:27 +0200 fs  r276466 : CWS-TOOLING: rebase CWS dba32h to trunk@276429 (milestone: DEV300:m60) 2009-09-24 13:52:54 +0200 fs  r276422 : #i105234# do not zoom the control when they view information is still uninitialized (happens at least in Writer when opening a form document) 2009-09-24 11:42:03 +0200 fs  r276413 : #i105234# proper zoom handling for the nav bar 2009-09-24 11:41:40 +0200 fs  r276412 : #i105234# setZoom: care for precision errors caused by implicit conversion float->double 2009-09-23 12:21:22 +0200 oj  r276377 : remove dos lineends 2009-09-23 11:44:52 +0200 oj  r276376 : #i105216# load config on demand 2009-09-23 11:44:19 +0200 oj  r276375 : #i105216# load config on demand 2009-09-23 11:43:35 +0200 oj  r276374 : #i105216# load config on demand 2009-09-21 09:13:03 +0200 oj  r276307 : #i105158# use Thread support 2009-09-18 13:06:50 +0200 fs  r276277 : #i105147# 2009-09-18 11:48:23 +0200 oj  r276271 : #i105158# new method for thread safety 2009-09-18 10:42:56 +0200 fs  r276266 : CWS-TOOLING: rebase CWS dba32h to trunk@276192 (milestone: DEV300:m59) 2009-09-18 08:30:03 +0200 oj  r276263 : #i105016# load correct ldap so 2009-09-17 13:42:31 +0200 oj  r276240 : change count of check boxes 2009-09-17 13:32:59 +0200 oj  r276239 : revert false to true for currency 2009-09-17 09:14:46 +0200 oj  r276220 : #i104901# add patch for every issue 2009-09-17 09:10:29 +0200 oj  r276219 : #i104901# add patch for every issue 2009-09-11 13:47:49 +0200 oj  r276060 : #i104901# fix for indentity 2009-09-11 12:14:14 +0200 fs  r276056 : #i104594# allow to render controls without an SdrPageView 2009-09-11 11:49:31 +0200 fs  r276055 : CWS-TOOLING: rebase CWS dba32h to trunk@276043 (milestone: DEV300:m58) 2009-09-10 08:41:40 +0200 oj  r276021 : #i104911# export variable-set not for repeating sections


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [c1fdaf3fc97219c5dc2abdcc1f37f54b9ecda2fe]

CWS-TOOLING: integrate CWS sw32bf05 2009-10-08 12:41:26 +0200 tl  r276785 : #ii102766# updated de_* hyphenation patterns 2009-10-08 11:09:24 +0200 tl  r276775 : #i105715# update for hu_HU dictionary 2009-10-06 09:25:53 +0200 tl  r276694 : #i105565# fix for dictionary.xcu in dict-de.oxt 2009-10-05 12:29:46 +0200 mst  r276675 : #i105453#: hintids.hxx: change order of RES_TXTATR_WITHEND hints 2009-10-05 12:28:49 +0200 mst  r276674 : unochart.cxx: fix warning on unxlngi6 debug=t 2009-10-05 11:46:18 +0200 tl  r276672 : #i105490# Hebrew dictionary added 2009-10-05 11:39:41 +0200 tl  r276670 : #i105490# Hebrew dictionary added 2009-10-05 11:33:56 +0200 tl  r276669 : #i105490# Hebrew dictionary added 2009-10-05 11:21:02 +0200 tl  r276667 : #i105490# Hebrew dictionary added 2009-10-05 11:17:37 +0200 tl  r276666 : #i105565# de_* dictionay updates 2009-10-03 09:54:58 +0200 tl  r276654 : #i105565# de_* dictionay updates 2009-10-03 08:52:38 +0200 tl  r276653 : #i105564# pt_BR dictionaries updated 2009-10-03 08:46:42 +0200 tl  r276652 : #i105510#, #i105278# outdated dictionary.lst removed 2009-10-02 14:17:03 +0200 tl  r276644 : #i105510#, #i105278# fr_FR and da_DK dictionary updates 2009-10-01 10:05:28 +0200 od  r276577 : #i105447# method <lcl_GetUndoIdAndName(..)>           - assure correct access to undo stack objects


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [ca660617f93ec7c19eaf58183207b5e039da49ab]

CWS-TOOLING: integrate CWS fwk121 2009-09-30 11:20:33 +0200 mav  r276548 : #i105387# allow manifest.xml have no ODF version attribute even for ODF1.2 2009-09-30 10:54:46 +0200 mav  r276545 : #i105387# allow manifest.xml have no ODF version attribute even for ODF1.2 2009-09-30 10:02:12 +0200 mav  r276543 : #i105082# integrating the fix from fwk117, since it is necessary for some scenarios fixed in this cws 2009-09-30 07:33:48 +0200 jsc  r276537 : #i105360# explicitly flush OStorageStream after write operations and OStoreFile when registry file is closed 2009-09-29 14:15:09 +0200 jsc  r276528 : #i105360# explicitly flush OStorageStream after write operations and OStoreFile when registry file is closed 2009-09-29 09:45:28 +0200 dr  r276507 : #i105325# set correct format while opening zip package 2009-09-28 18:46:45 +0200 mav  r276500 : CWS-TOOLING: rebase CWS fwk121 to trunk@276429 (milestone: DEV300:m60)


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [9f9ae1af9758ef8896e2597c68b8a0ffec9f9b43]

CWS-TOOLING: integrate CWS ab76_a11y 2009-09-23 14:26:25 +0200 ab  r276390 : #i14102# Expanded/Collapsed state support


2009-10-14  Björn Michaelsen  <b_michaelsen@openoffice.org>  [d777a4f0d2a625209aca1999a325ff32271f1cb9]

#i105835# logging::Filehandler::flush flushes, logging::Logger::publish flushes all handlers


2009-10-13  Frank Schönheit  <fs@openoffice.org>  [91a8891ee95c9663932ba02e9914306829806f94]

remove obsolete files, instead of fixing newly introduced warnings in them


2009-11-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [ea129b2f441f7bbe67b08a144b9762db09c8a935]

controltextrendering: merge changes from DEV300_m61


2009-10-12  Kurt Zenker  <kz@openoffice.org>  [1d98f907b2be30939bb4061aaf159ac475a353bf]




2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [b4fbf8cc6a6c13512b5b635acd11e22f71524d89]

merge with m61


2009-10-09  Caolán McNamara  <cmc@openoffice.org>  [daa466be5284aace0acd28b4b18380ff87d44cd9]

#i104030# wrong encoding for string


2009-10-09  sb  <sb@openoffice.org>  [1cc444c64e77f5176fe481a9e12cefbb6bfdf188]

merged in to-the-side fix 47e325193a24


2009-10-08  hg  <hg@oosvn01.>  [025166a6176a43ec2df743937c8d9ab0af8d9f31]

merge with m55


2009-10-08  sb  <sb@openoffice.org>  [62775dbd408093e96cd0257454b5f8aa11b6606e]

#i101955# removed unused method (warned about by GCC)


2009-10-08  sb  <sb@openoffice.org>  [f10644c609cc59055b71cffec05c21b5f5ec1473]

merged in DEV300_m61


2009-10-06  Release Engineers  <releng@openoffice.org>  [0948d4418cc804bf3a4953fe71e0f7d1c14f08e4]

Create DEV300_m61 milestone tag from trunk@276697


2009-10-06  Mathias Bauer  <mba@openoffice.org>  [52cd4cc8ffbe5870b6415b1a29afc45b40b1f307]

#103496#: move VCL free ConfigItems to unotools


2009-10-05  Vladimir Glazounov  <vg@openoffice.org>  [5407c652312464de2f885b9d5827af2bd9e8005e]

#100000# define temp directory for rpm from environment


2009-10-02  sb  <sb@openoffice.org>  [4124128d63d9bc01128f5f6fe50877409f4a9bc0]

#i101955# re-introduced lost ldap_value_free call; minor clean up


2009-10-02  sb  <sb@openoffice.org>  [55b568c6fb61723e071d2ecbbb1a2bfad227f6ed]

#i101955# adapted LDAP backend to new interface, dropped registry/ldap/*-attr.map files, replaced registry/data/org/openoffice/LDAP.xcu.sample with registry/oo-ldap.xcd.sample and registry/oo-ad-ldap.xcd.sample


2009-09-30  Kohei Yoshida  <kyoshida@novell.com>  [dcb63a15ba2938ace9be191d5671681f264711b5]

rebased to DEV300_m60.


2009-09-30  Kohei Yoshida  <kyoshida@novell.com>  [ded74cb6fa2af0d4fb7def7759854a963232ee71]

rebased to DEV300_m60.


2009-09-28  Mathias Bauer  <mba@openoffice.org>  [d88a241861a06e13916865b19e2e03040ee208b0]

concurrency problem when generating java_ver.mk


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [fb9279bad53b112a6a3a63349b3845062e8e3fa9]

merge commit


2009-09-25  sb  <sb@openoffice.org>  [195439317172a16b9ecaa3b825216a3f792e1828]

merged in DEV300_m60


2009-09-25  Dirk Völzke  <dv@openoffice.org>  [aae86487d0ef444b4168dec056a0c61d559550a5]

#i88957# second try to remove warnings


2009-09-25  Dirk Völzke  <dv@openoffice.org>  [67d53638a484a8a5df7662a996d61b584e493035]

#i88957# Use UNISTRING macro


2009-09-25  Dirk Völzke  <dv@openoffice.org>  [b29abfdee7ae034ee1973f612c5646c915f9ed81]

#i88957# Handle some http errors


2009-09-24  Release Engineers  <releng@openoffice.org>  [81892066e06c3bf8a350c9afb46ae09194b9fb19]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-23  Ivo Hinkelmann  <ihi@openoffice.org>  [0d7fa6734c9ce417a39f6168b5575d1696ae9e04]

#i10000# #i101879# fix


2009-09-23  Noel Power  <npower@openoffice.org>  [967e76376a35d0c628affddb2520437be7d978d0]

trim more uncessary patches


2009-09-22  Release Engineers  <releng@openoffice.org>  [9de2e6ec1258a11126a38bc5da5d31bbe274a8a1]

#i10000# add missing namespace


2009-09-21  Release Engineers  <releng@openoffice.org>  [c65465394ebef5164a87f290e36d9e249a7eb375]

#i1000# add missing dep.


2009-09-21  Dirk Völzke  <dv@openoffice.org>  [afbf87e31641c935bf87e5da581bb9050faf000a]

#i105165# Don't allow quitting the application while modal dialog is shown


2010-04-20  Jens-Heiner Rechtien  <hr@openoffice.org>  [b463e400ad0f41cd347f2f761f95cc2f29048458]

dv12: Merge with DEV300_m56


2009-09-19  Mathias Bauer  <mba@openoffice.org>  [5a117f02c21214030ec4e8d6f300280e1e0fd377]

better dependencies for sdi files


2009-09-18  Noel Power  <npower@openoffice.org>  [b1432cbbdc6a3cd2b2557f0234da7b6ff1623fdd]

initial commit of code reorg, existing files that are modified


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [998d7d60f901c8cc16c0bc9644493f61f65f8b75]

CWS-TOOLING: integrate CWS cmcfixes63 2009-09-16 11:24:47 +0200 cmc  r276193 : #i105118# remove overly const warnings for -Wall 2009-09-15 18:04:24 +0200 cmc  r276183 : #i105089# fix include 2009-09-15 14:30:55 +0200 cmc  r276176 : #i105090# fix includes for s390x bridge


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [f49adc0743dc59a459377ac5e6e5b43e76a8b2eb]

CWS-TOOLING: integrate CWS dtrans2vcl 2009-09-09 19:47:56 +0200 pl  r276016 : merge fix for #i104390# into moved code 2009-09-07 12:50:47 +0200 pl  r275891 : remove nonexistant header 2009-09-04 16:47:05 +0200 pl  r275819 : forgot calling convention for Windoze 2009-09-04 13:27:36 +0200 pl  r275800 : #150926# remove X11 dependency 2009-09-04 13:19:08 +0200 pl  r275799 : #150926# move mac dtrans service to vcl to be used in service implementation 2009-09-03 21:19:01 +0200 pl  r275774 : fix warning, adjust comment 2009-09-03 18:36:01 +0200 pl  r275768 : no more sjlib 2009-09-03 17:56:49 +0200 pl  r275767 : remove unused X11 link dependency 2009-09-03 17:43:35 +0200 pl  r275766 : headless not used in X11 case 2009-09-03 17:34:36 +0200 pl  r275765 : #150926# bye bye sj2 2009-09-03 16:19:04 +0200 pl  r275761 : #150926# bye bye sj2, x11 dependenices removed where not necessary 2009-09-01 17:22:54 +0200 pl  r275674 : #150926# step 1: move X11 code from dtrans to vcl, adapt glue code


2009-09-18  Jens-Heiner Rechtien  <hr@openoffice.org>  [fb7a0cd6bcd9014b3963f94da36169a820228502]

CWS-TOOLING: integrate CWS mba32issues02 2009-09-17 mb93783 merge commit 2009-09-03 tb121644 #i104748 - slot unification to .uno:PasteSpecial 2009-09-01 mba #101455#: code simplification 2009-08-31 mb93783 iso locales for norwegian builds are nb and nn, not no 2009-08-25 mba merge to m55 2009-07-29 mba cleanup after rebase 2009-07-29 mba #i103200#: wrong order of first and last name in CJK UI 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba apply patch from broken svn CWS


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [0b4794eff901408c308b216d472e710910ae1b27]

CWS-TOOLING: integrate CWS native267 2009-09-08 16:34:02 +0200 is  r275939 : #i104893# new jre6u16 for all products 2009-09-08 15:18:09 +0200 is  r275932 : #i104893# new jre6u16 for all products 2009-09-07 14:34:35 +0200 is  r275899 : #104765# update version of vcredist_x86.exe


2009-09-17  Kohei Yoshida  <kyoshida@novell.com>  [8a9a0f6bee1afef7b444faf93815b56972c0f5f8]

forgot to add two more new files.


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [f2dcf93f81814785fc362c256692822c282c5a42]

CWS-TOOLING: integrate CWS a11y32 2009-09-08 11:46:26 +0200 tl  r275921 : #i74816# use hi-contrast for all but for printer; namely use it for virtual devices as well 2009-08-25 10:14:46 +0200 tl  r275337 : CWS-TOOLING: rebase CWS a11y32 to trunk@274622 (milestone: DEV300:m54) 2009-08-17 11:13:19 +0200 ab  r275036 : #i71360# Added attribute support for misspelled 2009-07-24 14:28:11 +0200 tl  r274306 : #i48354# fixed hierarchy order in SvHeaderTabListBox 2009-07-24 13:47:40 +0200 mav  r274305 : #i102870# let roadmap control behave as a monolite tabstop control 2009-07-24 13:47:06 +0200 mav  r274304 : #i102870# let roadmap control behave as a monolite tabstop control 2009-07-24 13:46:33 +0200 mav  r274303 : #i102870# let roadmap control behave as a monolite tabstop control 2009-07-24 09:41:16 +0200 tl  r274289 : #i74816# fixed evaluation of high-contrast-mode 2009-07-22 15:46:50 +0200 tl  r274246 : warning-free-code fix when build with debug=t 2009-07-22 15:28:59 +0200 tl  r274243 : #i74816# fixed evaluation of high-contrast-mode


2009-09-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [bbe92a255fbc7ce2e84fbc69e215d1950982056a]

CWS-TOOLING: integrate CWS vcl105 2009-09-07 Philipp Lohmann fix path issues 2009-09-07 hdu #i104525# Aqua: workaround OSX problem in RecentlyUsed list 2009-09-07 Philipp Lohmann add missing dollar sign 2009-09-07 Philipp Lohmann remove warnings 2009-09-07 hdu #i104011# need to use real-vals in cff-subsetter for some fonts 2009-09-05 Philipp Lohmann #i103674# less noise 2009-09-05 Philipp Lohmann #i103674# add garmin communicator to list of crashing plugins 2009-09-05 Philipp Lohmann #i103674# confiuration option to disable plugin support 2009-09-05 Philipp Lohmann merge #i102735# 2009-09-05 Philipp Lohmann #i88802# enable transparency resolution for PDF/A 2009-09-04 Philipp Lohmann rebase to DEV300m57 2009-09-03 Philipp Lohmann #i90083# fix a typo 2009-09-03 Philipp Lohmann merge 2009-09-03 Philipp Lohmann #i90083# workaround for application frame switching 2009-09-03 hdu #i104720# better description for --without-fonts configure option 2009-09-02 hdu #i104723# update third-party fonts 2009-09-02 hdu #i104723# update default-installed Liberation fonts from 1.04->1.05.1.20090721 2009-09-02 hdu #i104720# update default-installed DejaVu fonts from 2.21->2.30 2009-09-02 hdu #i89682# add Gentium fonts to default installation 2009-09-02 hdu #i89682# add Gentium fonts to default installation 2009-09-01 hdu #i104011# fix vertical offset in PDF-export of USP-layouted text 2009-08-27 Philipp Lohmann #i102033# ignore transients 2009-08-27 Philipp Lohmann merge 2009-08-27 Philipp Lohmann fix warning, remove crappy early exits 2009-08-26 Philipp Lohmann #i63494# user event time for generic plugin always regotten to work around metacity 2009-08-26 Philipp Lohmann merge 2009-08-26 Philipp Lohmann #i104526# fix string conversion 2009-08-25 Philipp Lohmann #b6855541# show newly added driver, repair remove driver 2009-08-25 Philipp Lohmann #i104469# maximizing issue (thanks haggai)


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [62545aa89e276bf78e815d6fe7b2ff1acacc9693]

CWS-TOOLING: integrate CWS ab74 2009-09-10 10:13:43 +0200 jsk  r276023 : Test Cases for #i103691, #i103697, #i103990 2009-09-03 15:42:36 +0200 ab  r275754 : #i103990# Removed warning 2009-09-03 09:02:32 +0200 ab  r275744 : CWS-TOOLING: rebase CWS ab74 to trunk@275331 (milestone: DEV300:m56) 2009-09-02 17:14:42 +0200 ab  r275724 : #i103697# Applied patch 2009-08-27 15:11:50 +0200 ab  r275488 : #i103354# Check Lucene index file to be named _0.cfs, fail otherwise 2009-08-26 08:57:21 +0200 ab  r275393 : #i104354# Changed loop variable type to avoid Solaris Intel compiler optimizer bug 2009-08-17 14:17:32 +0200 ab  r275053 : #i73263# Adapted breakpoint dialog to longer strings 2009-08-13 17:09:30 +0200 ab  r274951 : #i103691# Fix empty comparison behaviour 2009-08-13 13:03:28 +0200 ab  r274935 : #i103948# Applied patch 2009-08-13 12:31:15 +0200 ab  r274931 : #i103134# Patch: Always set default property 2009-08-13 11:02:50 +0200 ab  r274926 : #i103990# Support arrays in user types 2009-07-21 11:16:54 +0200 ab  r274171 : #i102816# Make sure LocaleItem is loaded before copying from it 2009-07-20 14:56:35 +0200 ab  r274139 : #i102816# Use default language as final fallback in service implementation


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [ee5962ed62371da4338424e74ed010e18ec24d78]

CWS-TOOLING: integrate CWS encsig09 2009-09-14 15:11:29 +0200 oc  r276125 : #i105049# MacroSignatur needs Macro 2009-09-09 17:09:46 +0200 jl  r276005 : #i103989# could not signe encrypted doc containing a formular object 2009-09-09 13:11:24 +0200 jl  r275985 : #i103989# could not signe encrypted doc containing a formular object 2009-09-08 15:54:02 +0200 mav  r275934 : #i103906# fix the automation test scenario ( tempfile should be writable for the user ) 2009-09-07 14:01:39 +0200 mav  r275895 : #i103906# fix the problem with reload 2009-09-07 09:34:48 +0200 mav  r275871 : #i104786# do the ODF version check only for ODF documents 2009-09-07 08:19:06 +0200 mav  r275870 : #i104389# fix text 2009-09-06 22:24:21 +0200 mav  r275867 : #i104786# check the consistency of ODF version 2009-09-06 22:23:24 +0200 mav  r275866 : #i104786# check the consistency of ODF version 2009-09-06 22:23:00 +0200 mav  r275865 : #i104786# check the consistency of ODF version 2009-09-06 22:22:36 +0200 mav  r275864 : #i104786# check the consistency of ODF version 2009-09-06 22:22:03 +0200 mav  r275863 : #i104786# check the consistency of ODF version 2009-09-02 17:09:30 +0200 mav  r275722 : #i104715# let repairing mechanics use the streams correctly 2009-09-01 16:52:49 +0200 mav  r275670 : #i104389# notify user not to trust the corrupted document 2009-09-01 16:31:37 +0200 mav  r275668 : #i104389# use vnd.sun.star.zip: protocol to access zip files 2009-09-01 16:30:32 +0200 mav  r275667 : #i104389# use vnd.sun.star.zip: protocol to access zip files 2009-09-01 16:22:13 +0200 jl  r275666 : #i104339# small content change 2009-09-01 14:20:42 +0200 jl  r275660 : #i103519# remove some debug output 2009-09-01 13:51:52 +0200 jl  r275659 : #i103519# NSS uses '\' for escaping in distinguished names 2009-09-01 12:49:47 +0200 mav  r275655 : #i104389# use zip-mode to read from jar files 2009-09-01 12:40:22 +0200 mav  r275653 : #i104389# use zip-mode to read from jar files 2009-09-01 12:32:29 +0200 mav  r275652 : #i104389# use constants 2009-08-31 21:58:00 +0200 mav  r275637 : #i10000# fix warning 2009-08-31 21:11:17 +0200 mav  r275636 : #i104227# adding of scripting signature removes the document signature 2009-08-31 20:55:05 +0200 mav  r275635 : #i103905# ZipStorage supports Compressed property 2009-08-31 20:53:55 +0200 mav  r275634 : #i103905# adjust macro signature transfer to usage of ZipStorage 2009-08-31 15:30:49 +0200 jl  r275609 : #i103989# warning is shown as long the user does not click 'OK' 2009-08-31 14:36:10 +0200 jl  r275608 : #i103989# changed warning text when signing macro and there is a document signature. This warning is only displayed once 2009-08-31 13:34:41 +0200 mav  r275603 : #i104452# disable macros in repaired documents 2009-08-31 13:33:42 +0200 mav  r275602 : #i104452# disable macros in repaired documents 2009-08-31 13:03:56 +0200 jl  r275600 : #i45212# signature dialog could not be started when using read-only documents 2009-08-31 09:26:13 +0200 mav  r275583 : #i104578# store the additional entry as the last one to workaround parsing problem in OOo3.1 and later 2009-08-30 20:54:25 +0200 mav  r275562 : #i10000# adopt for unix 2009-08-30 10:56:00 +0200 mav  r275561 : CWS-TOOLING: rebase CWS encsig09 to trunk@275331 (milestone: DEV300:m56) 2009-08-28 16:34:00 +0200 mav  r275539 : #i104578# write necessary info in manifest.xml for ODF1.2 encrypted document 2009-08-28 14:04:22 +0200 mav  r275533 : #104587# fix handling of readonly streams 2009-08-28 13:58:10 +0200 mav  r275531 : #i104389# fix the broken document handling 2009-08-28 11:40:39 +0200 mav  r275522 : #i104389# fix the signature streams check 2009-08-27 21:48:12 +0200 mav  r275509 : #i103927# show the warning 2009-08-27 21:47:48 +0200 mav  r275508 : #i103927# show the warning 2009-08-27 16:45:59 +0200 jl  r275495 : #i45212# remove unused variable 2009-08-27 16:34:00 +0200 jl  r275494 : #i103989# 2009-08-27 13:54:28 +0200 jl  r275482 : #i103519# fixed replacement of 'S' by 'ST' 2009-08-27 12:32:21 +0200 mav  r275472 : #i10000# fix warning 2009-08-27 11:58:11 +0200 mav  r275467 : #i104389# handle the entry path correctly 2009-08-26 17:18:35 +0200 jl  r275438 : #i103519# subject and issuer distinguished names were not properly displayed. The strings were obtained by system functions (Windows, NSS), which use quotes to escape the values, when they contain special characters 2009-08-26 11:00:20 +0200 mav  r275403 : #i10000# fix warnings 2009-08-26 08:25:45 +0200 mav  r275392 : #i10000# fix warning 2009-08-26 08:02:22 +0200 mav  r275391 : #i10000# adopt for linux 2009-08-26 07:40:30 +0200 mav  r275390 : #i10000# fix warning 2009-08-26 07:35:28 +0200 mav  r275389 : #i10000# use correct include file name 2009-08-25 15:01:41 +0200 jl  r275356 : #i103989# better check for mimetype of streams 2009-08-25 09:07:09 +0200 mav  r275335 : CWS-TOOLING: rebase CWS encsig09 to trunk@274622 (milestone: DEV300:m54) 2009-08-24 18:17:02 +0200 mav  r275329 : #i103927# check the nonencrypted streams 2009-08-24 18:14:14 +0200 mav  r275328 : #i103927# check the nonencrypted streams 2009-08-24 17:59:34 +0200 mav  r275327 : #i103927#,#i104389# check the package consistency and nonencrypted streams 2009-08-24 16:18:28 +0200 jl  r275323 : #i103989# added comment 2009-08-24 13:08:47 +0200 jl  r275305 : #i45212# #i66276# only write the X509Certificate element once and allow to add remove several certificates at a time 2009-08-21 12:57:28 +0200 ufi  r275239 : 104339 2009-08-21 08:39:05 +0200 jl  r275213 : #i10398# comparing URIs of signed files with the 'element list' 2009-08-20 13:39:47 +0200 jl  r275178 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:35:39 +0200 jl  r275177 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:29:06 +0200 jl  r275176 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:26:21 +0200 jl  r275175 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 12:05:09 +0200 ufi  r275170 : i104339 2009-08-19 12:24:54 +0200 jl  r275146 : #i10398# displaying 'old signature' icon and status in signature dialog 2009-08-18 15:18:48 +0200 jl  r275111 : #i103989# document signatures containing manifest.xml are now validated according to the final ODF1.2 spec 2009-08-18 11:41:06 +0200 mav  r275087 : #i103927# detect if encrypted ODF1.2 document contains nonencrypted streams 2009-08-18 11:35:13 +0200 mav  r275085 : #i103927# detect if encrypted ODF1.2 document contains nonencrypted streams 2009-08-14 17:32:41 +0200 jl  r274999 : #i103989# using c14n tranformation for XML streams 2009-08-14 15:27:43 +0200 jl  r274987 : #i103989# remove special handling for encrypted document streams in UriBindingHelper::OpenInputStream, since we use zip storage this is not necessary anymore 2009-08-14 15:08:10 +0200 jl  r274983 : #i103989# Showing a message when adding or removing a macro signature, that the document signature will be removed 2009-08-14 14:57:27 +0200 jl  r274982 : #i103989# accesing Sequence at invalid index 2009-08-11 08:55:02 +0200 mav  r274846 : #i103905# let signing service know if there is already a valid document signature 2009-08-10 11:33:37 +0200 jl  r274799 : #i103905# do not truncate the stream 2009-08-10 10:43:47 +0200 mav  r274797 : #i103905# provide the storage version 2009-08-07 16:58:46 +0200 jl  r274780 : #i103989# 2009-08-07 16:56:19 +0200 jl  r274779 : #i103989# using odf version string etc. 2009-08-07 15:20:53 +0200 mav  r274771 : #i103905# provide the storage version 2009-08-07 15:19:12 +0200 mav  r274770 : #i103905# provide the storage version 2009-08-07 12:41:45 +0200 mav  r274758 : #103930# do not store thumbnail in case of encrypted document 2009-08-07 12:36:52 +0200 mav  r274757 : #i103905# provide the storage version 2009-08-07 12:15:54 +0200 mav  r274754 : #i103760# the signed state is not lost on saving 2009-08-07 12:06:19 +0200 mav  r274753 : #i103760# avoid warning regarding signature removal on export 2009-08-07 12:06:01 +0200 mav  r274752 : #i103760# avoid warning regarding signature removal on export 2009-08-06 08:47:34 +0200 mav  r274703 : #i103905# allow to transport ODF version to the signing component 2009-08-05 21:34:42 +0200 mav  r274701 : #i103905# allow to transport ODF version to the signing component 2009-08-05 15:48:17 +0200 mav  r274683 : #i103905# allow to transport ODF version to the signing component 2009-08-05 14:58:12 +0200 jl  r274673 : #i103989# documentsignature now signes all streams except documentsignatures.xml, all streams are processed as binary files 2009-08-05 12:00:32 +0200 mav  r274648 : #i103905# allow to transport ODF version to the signing component 2009-08-04 10:57:04 +0200 jl  r274612 : #i103989# added XInitialization 2009-07-31 10:32:27 +0200 mav  r274516 : #i103905# use zip storage to sign documents 2009-07-30 14:01:33 +0200 mav  r274489 : #i103906# optimize the usage of temporary medium 2009-07-30 14:00:28 +0200 mav  r274488 : #i103906# optimize the usage of temporary medium 2009-07-30 13:59:09 +0200 mav  r274487 : #i103906# optimize the usage of temporary medium 2009-07-30 13:50:44 +0200 mav  r274485 : #i103906# optimize the usage of temporary medium 2009-07-30 13:49:53 +0200 mav  r274484 : #i103906# optimize the usage of temporary medium 2009-07-30 13:49:13 +0200 mav  r274483 : #i103906# optimize the usage of temporary medium 2009-07-30 13:47:09 +0200 mav  r274482 : #i103905#,#i103906# let the signing process use zip-storage; optimize the usage of temporary medium 2009-07-21 09:10:31 +0200 mav  r274159 : CWS-TOOLING: rebase CWS encsig09 to trunk@273468 (milestone: DEV300:m51) 2009-05-05 08:39:01 +0200 mav  r271496 : #i100832# allow to sign macros only when there are any


2009-09-17  hb137859  <hb137859@x42-so34>  [871bf56b2bdde41f1ad3ab2fe022c002b8259532]

merged DEV300_m59


2009-09-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [69301294414b98ef4ab3520fb663d63bf3b8f64e]

